function [xhat, P, xPrior, PPrior, zEstContainer, xEstContainer, MSE_EstContainer, ...
    zPredContainer, xPredContainer, MSE_PredContainer] = applyKalmanFilterWrapper(...
    u, z, numTsteps, numFilters, measurementSpaceDim, stateSpaceDim, controlInputDim, ...
    xhat, xPrior, PPrior, A, B, P, Q, R, H, disableUpdate)
% applyKalmanFilterWrapper is a helper function called by dsp.KalmanFilter
% class to call the desktop accelerated mex cg_applyKalmanFilter_double,
% cg_applyKalmanFilter_single or the MATLAB implementation
% mexsrc.applyKalmanFilter

% Copyright 2018 The MathWorks, Inc.

if isa(u, 'double')
    [xhat, P, xPrior, PPrior, zEstContainer, xEstContainer, MSE_EstContainer, ...
        zPredContainer, xPredContainer, MSE_PredContainer] = cg_applyKalmanFilter_double(...
        u, z, numTsteps, numFilters, measurementSpaceDim, stateSpaceDim, controlInputDim, ...
        xhat, xPrior, PPrior, A, B, P, Q, R, H, disableUpdate);
else
    [xhat, P, xPrior, PPrior, zEstContainer, xEstContainer, MSE_EstContainer, ...
        zPredContainer, xPredContainer, MSE_PredContainer] = cg_applyKalmanFilter_single(...
        u, z, numTsteps, numFilters, measurementSpaceDim, stateSpaceDim, controlInputDim, ...
        xhat, xPrior, PPrior, A, B, P, Q, R, H, disableUpdate);
end
end