function hprintbtns = render_vqprintbtns(htoolbar, hMainFig)
%RENDER_VQPRINTBTNS Render the "New", "Open", "Save", "Print" and 
%   "Print Preview" toolbar buttons.

%   Copyright 1988-2019 The MathWorks, Inc.

%%load sptviewicons;      % Load new, print and print preview icons
load mwtoolbaricons; %#ok % Load new, open, save, print and print preview icons.

pushbtns = {newdoc,...
            opendoc,...
            savedoc,...
            printdoc,...
            printprevdoc};

tooltips = {'New Session',...
            'Open Session',...
            'Save Session',...
            'Print',...
            'Print Preview'};

tags = {'newsessiontb',...
        'opensessiontb',...
        'savesessiontb',...
        'printresp',...
        'printprev'};

cbs=vqfmenu_callbacks(hMainFig);
btncbs = {cbs.new,...
          cbs.open,...
          cbs.save,...
          cbs.print,...
          cbs.printpreview};

  % Render the PushButtons
for i = 1:length(pushbtns)
   hprintbtns(i) = uipushtool( ...
       'Cdata',           pushbtns{i}, ...
       'Parent',          htoolbar,    ...
       'ClickedCallback', btncbs{i},   ...
       'Tag',             tags{i},     ...
       'Tooltipstring',   tooltips{i}); %#ok
end
