 function sqcalculateandsetundefined_ud(handles)
 % Outputs: Err always column vector;
 % User Data are updated here (SET)

 %   Copyright 1988-2021 The MathWorks, Inc.

      AutoGenerateInitCB  = (get(handles.popupSQSource,'Value')==1);
      AutoGenerateInitPT = (~AutoGenerateInitCB)&&(get(handles.popupInitPTSource,'Value')==1);
      StopCriteriaRelTh   = (get(handles.popupStopCri,'Value')==1);
      StopCriteriaMaxIter = (get(handles.popupStopCri,'Value')==2);
      
      hfig=handles.sqdtool;
      ud=get(hfig,'UserData');
      if (AutoGenerateInitCB) %% auto-generate initCB
          % get initPT
          ud.initPT=[];% otherwise there is memory and you might get error
          size_TS=size(ud.TS);
          if (size_TS(1)>1 && size_TS(2)>1) % TS is a matrix
              min_TS = min(min(ud.TS));
              max_TS = max(max(ud.TS));
          else          
              min_TS = min(ud.TS);
              max_TS = max(ud.TS);
          end    
          int_training = (max_TS - min_TS)/ud.NumLevel ;
          
          ud.initCB = (min_TS+int_training/2 : int_training : max_TS-int_training/2);
          LengthPT = ud.NumLevel-1;
          for i=1:LengthPT 
            ud.initPT(i)=(ud.initCB(i)+ud.initCB(i+1))/2; 
          end
          % up to now auto ud.initCB and auto ud.initPT are row vectors
          % change them to column vector
          ud.initCB = ud.initCB'; % default: finalCB column vector
          ud.initPT = ud.initPT'; % default: finalPT column vector
      else %% user-defined initCB
          % get NumLevel
          ud.NumLevel = length(ud.initCB);
          if (AutoGenerateInitPT) %% auto-generate initPT
              %get ud.initCB is always sorted
              ud.initPT=[];% otherwise there is memory and you may get error
              for i=1:(ud.NumLevel-1)
                ud.initPT(i)=(ud.initCB(i)+ud.initCB(i+1))/2; 
              end
          end
          % up to now auto ud.initPT is row vectors e.g. [1x15]
          size_CB = size(ud.initCB);
          if size_CB(1) >1 % user defined ud.initCB is column vector
              ud.initPT = ud.initPT'; % default: finalPT column vector
          end
      end        
  
      if (StopCriteriaRelTh) %% RelTh only, DEFAULT MaxIter = inf
         % ud.MaxIter = inf <-- in this case c-mex gives '0' !
          ud.MaxIter = double(int32(inf));
      elseif (StopCriteriaMaxIter)%% MaxIter only, DEFAULT RelTh = 0
         ud.RelTh = 0;
      end   
      % set autogenerated initCB (with numLevel), autogenerated initPT, RelTh, MaxIter
      set(hfig,'UserData',ud);

% [EOF]
