function cbs =sqfmenu_callbacks(hMainFig)
% CALLBACKS Callbacks for the menus and toolbar buttons of the SQ DESIGN (Lloyd) GUI.

% Copyright 1988-2019 The MathWorks, Inc.

cbs.new           = {@new_cbs,          hMainFig};
cbs.open          = {@open_cbs,         hMainFig};
cbs.save          = {@save_cbs,         hMainFig};
cbs.saveas        = {@saveas_cbs,       hMainFig};
cbs.close         = {@close_cbs,        hMainFig};
cbs.export        = {@export_cbs,       hMainFig};
cbs.pagesetup     = {@pagesetup_cbs,    hMainFig};
cbs.printsetup    = {@printsetup_cbs,   hMainFig};
cbs.printpreview  = {@printpreview_cbs, hMainFig};
cbs.print         = {@print_cbs,        hMainFig};
cbs.printtofigure = {@printofigure_cbs, hMainFig};

%-------------------------------------------------------------------------
function new_cbs(~, ~, ~)
sqdtool;

%-------------------------------------------------------------------------
function open_cbs(~, ~, hMainFig)
sqload(hMainFig);

%-------------------------------------------------------------------------
function save_cbs(~, ~, hMainFig)
sqsave(hMainFig);

%-------------------------------------------------------------------------
function saveas_cbs(~, ~, hMainFig)
sqsaveas(hMainFig);

%-------------------------------------------------------------------------
function close_cbs(~, ~, hMainFig)
sqclose(hMainFig);

%-------------------------------------------------------------------------
function export_cbs(~, ~, hMainFig) 
sqexport(hMainFig)

%-------------------------------------------------------------------------
function pagesetup_cbs(~, ~, hMainFig)
hFig_printprev = sqcopyaxes(hMainFig);
printpreview(hFig_printprev);
delete(hFig_printprev);

%-------------------------------------------------------------------------
function printsetup_cbs(~, ~, hMainFig)
hFig_printprev = sqcopyaxes(hMainFig);
printdlg(hFig_printprev);
delete(hFig_printprev);

%-------------------------------------------------------------------------
function printpreview_cbs(~, ~, hMainFig)
hFig_printprev = sqcopyaxes(hMainFig);
printpreview(hFig_printprev);
delete(hFig_printprev);

%-------------------------------------------------------------------------
function print_cbs(~, ~, hMainFig)
hFig_printprev = sqcopyaxes(hMainFig);
printdlg(hFig_printprev);
delete(hFig_printprev);

%-------------------------------------------------------------------------
function printofigure_cbs(~, ~, hMainFig)
% Full view analysis
hFig_printprev = sqcopyaxes(hMainFig);
set(hFig_printprev, 'Name', 'Full View Analysis');
set(hFig_printprev, 'Visible', 'on');
