function sqsave(hFig)
%SAVE Save the current session

%   Copyright 1988-2021 The MathWorks, Inc.

ud=get(hFig,'UserData');

filename = ud.FileName;  

[file, ext] = strtok(filename, '.');

if isempty(ext)
    filename = [file '.sqd'];
end

if ~(ud.SaveOverwriteFlag)
    sqsaveas(hFig);
elseif file ~= 0
    sqSave2file(hFig, filename);
end  

% ------------------------------------------------------------
function sqSave2file(hFig, file)
% Unix returns a path that sometimes includes two paths (the
% current path followed by the path to the file) separated by '//'.
% Remove the first path.
indx = strfind(file, [filesep,filesep]);
if ~isempty(indx)
    file = file(indx+1:end);
end
sqsaveorsaveas(hFig, file, 'save');
