function sqsaveas(hFig)
%SAVEAS Save the file

%   Copyright 1988-2019 The MathWorks, Inc.

% If a file isn't specified, bring up the dialog
ud=get(hFig,'UserData');
file = ud.FileName;
if isempty(file)
    file = '*.sqd';
end
[filename,pathname] = ...
    uiputfile(file, 'Save SQ Design Session As...', 'Untitled.sqd');

% Don't save if filename is 0
if filename ~= 0
    file = [pathname filename];
    [filename_tmp, ext] = strtok(filename, '.');
    if isempty(ext)
        file = [file '.sqd'];
    end
    if strcmpi(filename_tmp, 'SQDTOOL')
        errordlg('File name cannot be sqdtool');
        return
    else 
       sqsaveorsaveas(hFig, file,'saveas');        
    end
end
