function vqcalculateandsetundefined_ud(handles)
% User Data are updated here (SET)

%   Copyright 1988-2019 The MathWorks, Inc.

AutoGenerateInitCB  = (get(handles.popupInitCBSource,'Value')==1);
StopCriteriaRelTh   = (get(handles.popupStopCri,'Value')==1);
StopCriteriaMaxIter = (get(handles.popupStopCri,'Value')==2);

hfig=handles.vqdtool;
ud=get(hfig,'UserData');

if (AutoGenerateInitCB)
    size_TS  = size(ud.TS);
    numTSvector = size_TS(2);
    rand_idx = double(int32(numTSvector*rand(1,ud.NumLevel)));
    zero_idx = find(rand_idx==0);
    if (~isempty(zero_idx))
        rand_idx(zero_idx) = 1;
    end
    ud.initCB =[];
    ud.initCB = ud.TS(:,rand_idx);
end

if (StopCriteriaRelTh) %% RelTh only, DEFAULT MaxIter = inf
    % ud.MaxIter = inf <-- in this case c-mex gives '0' !
    ud.MaxIter = double(int32(inf));
elseif (StopCriteriaMaxIter)%% MaxIter only, DEFAULT RelTh = 0
    ud.RelTh = 0;
end
% set autogenerated initCB (with numLevel), RelTh, MaxIter
set(hfig,'UserData',ud);
