function cbs =vqfmenu_callbacks(hMainFig)
% CALLBACKS Callbacks for the menus and toolbar buttons of the VQ DESIGN (GLA) GUI.

% Copyright 1988-2019 The MathWorks, Inc.

cbs.new           = {@new_cbs,          hMainFig};
cbs.open          = {@open_cbs,         hMainFig};
cbs.save          = {@save_cbs,         hMainFig};
cbs.saveas        = {@saveas_cbs,       hMainFig};
cbs.close         = {@close_cbs,        hMainFig};
cbs.export        = {@export_cbs,       hMainFig};
cbs.pagesetup     = {@pagesetup_cbs,    hMainFig};
cbs.printsetup    = {@printsetup_cbs,   hMainFig};
cbs.printpreview  = {@printpreview_cbs, hMainFig};
cbs.print         = {@print_cbs,        hMainFig};
cbs.printtofigure = {@printofigure_cbs, hMainFig};

%-------------------------------------------------------------------------
function new_cbs(~, ~, ~)
vqdtool;

%-------------------------------------------------------------------------
function open_cbs(~, ~, hMainFig)
vqload(hMainFig);

%-------------------------------------------------------------------------
function save_cbs(~, ~, hMainFig)
vqsave(hMainFig);

%-------------------------------------------------------------------------
function saveas_cbs(~, ~, hMainFig)
vqsaveas(hMainFig);

%-------------------------------------------------------------------------
function close_cbs(~, ~, hMainFig)
vqclose(hMainFig);

%-------------------------------------------------------------------------
function export_cbs(~, ~, hMainFig)
vqexport(hMainFig);

%-------------------------------------------------------------------------
function pagesetup_cbs(~, ~,hMainFig)
hFig_printprev = vqcopyaxes(hMainFig);
printpreview(hFig_printprev);
delete(hFig_printprev);

%-------------------------------------------------------------------------
function printsetup_cbs(~, ~,hMainFig)
hFig_printprev = vqcopyaxes(hMainFig);
printdlg(hFig_printprev);
delete(hFig_printprev);

%-------------------------------------------------------------------------
function printpreview_cbs(~, ~,hMainFig)
hFig_printprev = vqcopyaxes(hMainFig);
printpreview(hFig_printprev);
delete(hFig_printprev);

%-------------------------------------------------------------------------
function print_cbs(~, ~,hMainFig)
hFig_printprev = vqcopyaxes(hMainFig);
printdlg(hFig_printprev);
delete(hFig_printprev);

%-------------------------------------------------------------------------
function printofigure_cbs(~, ~, hMainFig)
% Full view analysis
hFig_printprev = vqcopyaxes(hMainFig);
set(hFig_printprev, 'Name', 'Full View Analysis');
set(hFig_printprev, 'Visible', 'on');
