function cacheTotalTraceCount(this)
%cacheTotalTraceCount Cache the trace counts per input.

%   Copyright 2012-2014 The MathWorks, Inc.

displays = this.Displays;
sourceData = this.SourceDataCache;
if isempty(sourceData)
    return
end
maxDims = sourceData.MaxDimensions;
complexity = sourceData.IsComplex;
% Calculate the number of channels per input.
nChannels = prod(maxDims(:, 2:end), 2);
fDisp = min(numel(displays), numel(nChannels)) - 1;
plotMagPhase = cellfun(@(display) display.PlotMagPhase, this.Displays(1:fDisp + 1));
plotMagPhase(end + 1:numel(nChannels)) = plotMagPhase(end);
complexity = plotMagPhase(:) | complexity(:);
nChannels(1:fDisp) = nChannels(1:fDisp) .* (complexity(1:fDisp) + 1);
nChannels(fDisp + 1:end) = nChannels(fDisp + 1:end)*(any(complexity(fDisp + 1:end)) + 1);
% Use cumulative sum to capture all of the channels.  Multiply by the
% complexity to determine the number of traces.
this.TotalTraceCount = cumsum(nChannels);
this.DisplayTraceCount = cumsum([nChannels(1:fDisp); sum(nChannels(fDisp + 1:end))]);
end
