function [xdata,ydata] = getAllData(this,traceIndex)
%GETALLDATA Get the allData.

%   Copyright 2012-2015 The MathWorks, Inc.

% Return null for measurements if the DataBuffer object in DataSource is
% empty (scope not started or commented) or if we have a screen message.
if isDataEmpty(this.Application.DataSource) || this.Application.screenMsg
    xdata = [];
    ydata = [];
    return;
end

% Only one display in Array Plot
hLine = this.Displays{1}.Lines(traceIndex);

% Get the X and Y data properties from the line
xdata = get(hLine, 'XData');
ydata = get(hLine, 'YData');
if isscalar(ydata) && isnan(ydata) && isequal(xdata, 0)
    xdata = [];
    ydata = [];
    return;
end

% Make sure that the output is always a column vector
xdata = xdata(:);
ydata = ydata(:);
end