function hPropDb = getPropertySet
%getPropertySet Get the propertyDb.

%   Copyright 2012-2018 The MathWorks, Inc.

% Define enumerations
if isempty(findtype('ArrayScopePlotType'))
    schema.EnumType('ArrayScopePlotType', {'Auto', 'Line', 'Stairs', 'Stem'});
end
if isempty(findtype('ArrayScopeDefaultMarker'))
    schema.EnumType('ArrayScopeDefaultMarker', {'none', 'o'});
end
if isempty(findtype('XAxisLabelsType'))
    schema.EnumType('XAxisLabelsType', {'All', 'None', 'Bottom'});
end
if isempty(findtype('MaximizeAxesType'))
    schema.EnumType('MaximizeAxesType', {'Auto', 'On', 'Off'});
end
if isempty(findtype('ArrayScopeAxisScaleType'))
    schema.EnumType('ArrayScopeAxisScaleType', {'Linear', 'Log'});
end
if isempty(findtype('ArrayScopeXDataModeType'))
    schema.EnumType('ArrayScopeXDataModeType', ...
        {'Sample increment and X-offset', 'Custom'});
end

% Properties
hPropDb = matlabshared.scopes.visual.DisplayVisual.getPropertySet(...
    'PlotType', 'ArrayScopePlotType', 'Stem', ...
    'DefaultMarker', 'ArrayScopeDefaultMarker', 'o', ...
    'XDataMode','ArrayScopeXDataModeType','Sample increment and X-offset',...
    'XOffset', 'string', '0', ...
    'SampleIncrement', 'string', '1', ...
    'CustomXData', 'string', '[]', ...
    'XScale', 'ArrayScopeAxisScaleType', 'Linear', ...
    'YScale', 'ArrayScopeAxisScaleType', 'Linear', ...
    'XAxisLabels', 'XAxisLabelsType', 'Bottom', ...
    'MaximizeAxes', 'MaximizeAxesType', 'Auto', ...
    'UserDefinedChannelNames', 'mxArray', {''}, ...
     ... Properties required to Map Vector Scope
    'VectorScopeLegacyMode','bool',false);
end
