function [xdata,ydata] = getVisibleData(this,traceIndex)
%GETVISIBLEDATA Get the visible data.

%   Copyright 2012-2015 The MathWorks, Inc.

% Get all data
[xdata,ydata] = getAllData(this,traceIndex);
if isempty(xdata) || isempty(ydata)
    return;
end

% Return only the data in the limits of the axes.
displays = this.Displays;
xLim = get(displays{1}.Axes(1), 'XLim');
firstIndex = find(xdata==xLim(1), 1, 'first');
if isempty(firstIndex)
    firstIndex = find(xdata<=xLim(1), 1, 'last');
    if isempty(firstIndex)
        firstIndex = 1;
    end
end
lastIndex = find(xdata==xLim(2), 1, 'last');
if isempty(lastIndex)
    lastIndex = find(xdata>=xLim(2), 1, 'first');
    if isempty(lastIndex)
        lastIndex = numel(xdata);
    end
end
xdata = xdata(firstIndex:lastIndex);
ydata = ydata(firstIndex:lastIndex);
end
