function [isAvailable,deferContentMove] = isDataAvailable(this)
%isDataAvailable   Return whether data is available for display

%   Copyright 2012-2014 The MathWorks, Inc.

% Data is available if source is not empty, is valid, and contains
% non-empty data.
hSource = this.Application.DataSource;
isAvailable = false;
deferContentMove = true;
if ~isempty(hSource) && this.IsSourceValid && ~isDataEmpty(hSource)
    % requestUpdate(hSource); % TODO: Might be required
    sourceData = getData(hSource);
    isAvailable = ~isempty(sourceData) && ~isempty([sourceData.time]);
    % Defer content move if source is not running and data is not available
    deferContentMove = isStopped(hSource) && ~isAvailable;
end
end
