function onChannelNamesChanged(this,hDisplay)
%onChannelNamesChanged If style dialog is open, we need to update the line
% names that are currently showing.

%   Copyright 2012-2014 The MathWorks, Inc.

% If ChannelNames was changed graphically via the legend, the property set
% must be updated.
setPropertyValue(this, 'UserDefinedChannelNames', hDisplay.UserDefinedChannelNames);

% Only update style dialog line names if this is the current display
allLines = [];
if strcmpi(this.SelectedDisplay, num2str(hDisplay.Placement))
    allLines = hDisplay.Lines;
end
% If the Style Dialog is open, refresh the line names
if ~isempty(allLines) && ~isempty(this.StyleDialog) && this.StyleDialog.Visible
    lineNames = get(allLines, 'DisplayName');
    if ~iscell(lineNames)
        lineNames = {lineNames};
    end
    this.StyleDialog.LineNames = lineNames;
end
notify(this, 'DisplayUpdated');
end
