function onChannelVisibilityChanged(this,hDisplay)
%onChannelVisibilityChanged Update the line properties cache on the
% display. Also if style dialog is open, update the line visibility
% checkbox.

%   Copyright 2016-2017 The MathWorks, Inc.

% Update the line properties cache
hLines = hDisplay.Lines;
numLines = numel(hLines);
if hDisplay.PlotMagPhase
    numLines = ceil(numLines/2);
end 
for k = 1:numLines
    lp.Visible = get(hLines(k),'Visible');
    hDisplay.setLineProperties(k, lp);
end

% Update the style dialog if this is the current display
if strcmpi(this.SelectedDisplay, num2str(hDisplay.Placement)) && ...
        ~isempty(this.StyleDialog) && this.StyleDialog.Visible
    refreshStyleDialog(this,this.SelectedDisplay);
end
