function onFigureColorChange(this)
%onFigureColorChange Listener callback for figure color changes

%   Copyright 2012-2014 The MathWorks, Inc.

% When figure color changes, update the color of display containers to
% match the new figure color
hVisParent = getVisualizationParent(this.Application);
newColor = get(hVisParent, 'BackgroundColor');
for indx = 1:numel(this.Displays)
    this.Displays{indx}.updateColor(newColor);
end
% Update color of the dialog manager used by measurement science.
if ~isempty(this.DialogMgr)
    this.DialogMgr.BackgroundColor = newColor;
end
end
