function onFigureZoom(this,e)
%onFigureZoom Overload onFigureZoom callback method

%   Copyright 2012-2014 The MathWorks, Inc.

zoomAxes = e.Axes;
% Always assume both X- and Y-limits may have been updated, since the axes
% zoom context menu has options that update both directions regardless of
% the zoom state.  Since AbortSet is true for SelectedDisplay properties,
% calling onYLimChange unnecessarily should not dirty the model. Handle
% X-direction by getting new X-Limits and applying to all other displays.
% While looping, discover which display received the zoom.
newXLim = get(zoomAxes, 'XLim');
hDisplays = this.Displays;
zoomedDisplay = [];
for displayInd = 1:numel(hDisplays)
    hDisplay = hDisplays{displayInd};
    hAxes = hDisplay.Axes;
    for axInd = 1:numel(hAxes)
        if zoomAxes==hAxes(axInd)
            zoomedDisplay = hDisplay;
        else
            set(hAxes(axInd), 'XLim', newXLim);
        end
    end
    % Guarantee that the tick labels are created and positioned
    % correctly
    updateXTickLabels(hDisplay);
    updateYTickLabels(hDisplay);
end
% Handle Y-direction by updating visual properties
onYLimChange(this, zoomedDisplay);
sendEvent(this.Application, 'VisualLimitsChanged');
end
