function onPropertiesButtonOpening(this, hScope, ~)
%onPropertiesButtonOpening Callback for the properties toolbar button.

%   Copyright 2015-2017 The MathWorks, Inc.

% Add the Style dialog sub button
if hScope.HasPropertiesButton
    buttons = this.Buttons;
    if isempty(buttons)
        hBtnParent = hScope.Handles.propertiesButton;
        
        buttons.style = uipushtool('Parent', hBtnParent, ...
            'Tag', 'uimgr.uipushtool_Style', ...
            'CData', getIcon(hScope, 'style'), ...
            'ClickedCallback', uiservices.makeCallback(@showStyleDialog, this), ...
            'TooltipString', getString(message('Spcuilib:scopes:ButtonViewStyle')));
        
        buttons.legend = uitoggletool('Parent', hBtnParent, ...
            'Tag', 'button_Legend', ...
            'CData', getIcon(hScope, 'toggle_legend'), ...
            'ClickedCallback', @this.toggleLegend, ...
            'TooltipString', getString(message('Spcuilib:scopes:LegendLabel')));
        
        this.Buttons = buttons;
    end
    set(buttons.legend, 'State', uiservices.logicalToOnOff(isLegendVisible(this)));
end
