function onViewMenuOpening(this, hScope, ~)
%ONVIEWMENUOPENING Callback for View Menu opening

%   Copyright 2014-2017 The MathWorks, Inc.

menus = this.Menus;
if isempty(menus) || ~ishghandle(menus.properties)
    
    % Determine the placement based on UIMgr if there.
    hGUI = getGUI(hScope);
    if isempty(hGUI)
        hView = hScope.Handles.viewMenu;
        startPos = 0;
    else
        mView = hGUI.findchild('Menus', 'View');
        hView = mView.WidgetHandle;
        v = find(mView);
        v(1) = [];
        placement = get(v, 'Placement');
        if iscell(placement)
            placement = [placement{:}];
        end
        startPos = numel(find(placement <= 0));
    end
    position = uiservices.Counter(startPos);
    
    % Render the menus and store their handles for later reference.
    menus.properties = uimenu(hView, ...
        'Tag', 'uimgr.uimenu_Properties', ...
        'Position', position.next, ...
        'Label', uiscopes.message('DisplayPropertiesLabel'), ...
        'Callback', uiservices.makeCallback(@onEditOptions, this));
    
    menus.style = uimenu(hView, ...
        'Tag', 'uimgr.uimenu_Style', ...
        'Position', position.next, ...
        'Label', uiscopes.message('MenuViewStyle'), ...
        'Callback', uiservices.makeCallback(@showStyleDialog, this));
    
    menus.legend = uimenu(hView, ...
        'Tag', 'menu_showLegend', ...
        'Position', position.next,...
        'Label', getString(message('Spcuilib:scopes:MenuViewLegend')), ...
        'Callback', @this.toggleLegend);
    
    this.Menus = menus;
end

set(menus.legend, 'Checked', uiservices.logicalToOnOff(isLegendVisible(this)));
