function haxesContextMenu = createAxesContextMenu(this,hDisplay)
%createAxesContextMenu Local function called from setDisplayProperties()

%   Copyright 2012-2014 The MathWorks, Inc.

haxesContextMenu = uicontextmenu('Parent', this.Application.Parent, ...
    'Callback', @(h, ~) makeSubMenus(h, this, hDisplay));
end

% -------------------------------------------------------------------------
function makeSubMenus(h, this, hDisplay)

set(h, 'Callback', []);

showPrintAction = this.Application.ScopeCfg.showPrintAction('menu');
if showPrintAction
    uimenu(h, ...
        'Label', uiscopes.message('PrintDisplayToFigureLabel'), ...
        'Tag', 'PrintDisplayToFigCMenu', ...
        'Callback', makeCallback(this, @onPrintDisplay, hDisplay));
end

uimenu(h, ...
    'Label', uiscopes.message('DisplayPropertiesContextMenuLabel'), ...
    'Tag', 'DisplayPropertiesCMenu', ...
    'Separator', uiservices.logicalToOnOff(showPrintAction), ...
    'Callback', makeCallback(this, @onEditOptions, hDisplay.Placement));

% "Style ..." context menu item
uimenu(h, ...
    'Label', [getString(message('Spcuilib:scopes:Style')), ' ...'], ...
    'Tag', 'LineVisualDisplayStyle', ...
    'Callback', makeCallback(this, @showStyleDialog, hDisplay.Placement));
end
