function hpanelContextMenu = createDisplayPanelContextMenu(this,hDisplay)
%createDisplayPanelContextMenu Local function called from
% setDisplayProperties()

%   Copyright 2012-2014 The MathWorks, Inc.
hpanelContextMenu = uicontextmenu('Parent', this.Application.Parent, ....
    'Callback', @(h, ~) makeSubMenus(h, this, hDisplay));
end

% -------------------------------------------------------------------------
function makeSubMenus(h, this, hDisplay)

set(h, 'Callback', []);

uimenu(h, ...
    'Label', uiscopes.message('DisplayPropertiesContextMenuLabel'), ...
    'Tag', 'PanelDisplayPropertiesCMenu', ...
    'Callback', makeCallback(this, @onEditOptions, hDisplay.Placement));

% "Style ..." context menu item
uimenu(h, ...
    'Label', [getString(message('Spcuilib:scopes:Style')), ' ...'], ...
    'Tag', 'PanelLineVisualDisplayStyle', ...
    'Callback', makeCallback(this, @showStyleDialog, hDisplay.Placement));
end
