function updateDisplayProperties(hDisplay)
%updateDisplayProperties Local function called from updateDisplays().
% Update display properties that might have changed.

%   Copyright 2012-2014 The MathWorks, Inc.

% Line properties may have updated if input port mapping changed
updateLineProperties(hDisplay);

% Y-Limits might be set to variable names, in which case we need to
% re-compute their values
minYLim = hDisplay.MinYLimReal;
maxYLim = hDisplay.MaxYLimReal;
if isnan(str2double(minYLim))
    hDisplay.MinYLimReal = minYLim;
end
if isnan(str2double(maxYLim))
    hDisplay.MaxYLimReal = maxYLim;
end

minYLim = hDisplay.MinYLimMag;
maxYLim = hDisplay.MaxYLimMag;
if isnan(str2double(minYLim))
    hDisplay.MinYLimMag = minYLim;
end
if isnan(str2double(maxYLim))
    hDisplay.MaxYLimMag = maxYLim;
end

% Update YTick labels to show enumerator names if all inputs to the display
% are enumerations of the same class.
updateYTickLabels(hDisplay)

end
