function refreshStyleDialog(this,displayName)
%refreshStyleDialog     Refresh the contents of the style dialog with
% current inputs.
% This function is called when:
% 1) User changes the selected display on the style dialog by clicking it.
% 2) SelectedDisplay property changes
% 3) Simulation is run
% 4) Display layout changes

%   Copyright 2012-2014 The MathWorks, Inc.

displayNum = str2double(displayName);
if ~isempty(this.StyleDialog) && this.StyleDialog.Visible
    ip = getStyleDialogInput(this, displayNum);
    if ~isempty(ip)
        initialize(this.StyleDialog, ip);
    end
end
end
