function setDisplayProperties(this,hDisplay)
%setDisplayProperties   Set display properties and dynamic behavior

%   Copyright 2012-2018 The MathWorks, Inc.

% Get initial XLim to apply later, since updating properties on display can
% reset limits
initXLim = this.Displays{1}.XLim;
% Add a context menu to the display
hDisplay.ContextMenu = createAxesContextMenu(this, hDisplay);
hDisplay.PanelContextMenu = createDisplayPanelContextMenu(this, hDisplay);
% Set main properties on display
hDisplay.FrameProcessing = true;
hDisplay.PlotType = getPropertyValue(this, 'PlotType');
hDisplay.XScale = getPropertyValue(this, 'XScale');
hDisplay.YScale = getPropertyValue(this, 'YScale');
hDisplay.DefaultMarker = getPropertyValue(this, 'DefaultMarker');
hDisplay.TimeOverrunMode = 'Scroll';
hDisplay.UserDefinedChannelNames = getPropertyValue(this, 'UserDefinedChannelNames');
% Set channel names changed listener. The callback function executes when
% we set ChannelNames on the plotter.
hDisplay.ChannelNamesChangedListener = makeCallback(this, @onChannelNamesChanged, hDisplay);
hDisplay.ChannelVisibilityChangedListener = makeCallback(this, @onChannelVisibilityChanged, hDisplay);
hDisplay.XLim = initXLim;
end
