function setupListeners(this,~)
%setupListeners   Visual-specific setup

%   Copyright 2012-2014 The MathWorks, Inc.

% Listener for Scope closing
this.ScopeCloseListener = addlistener(this.Application, 'Close', @(h,ed) close(this));

% Listener for Scope visibility
this.ScopeVisibleListener = uiservices.addlistener(this.Application.Parent, ...
    'Visible', 'PostSet', makeCallback(this, @onScopeVisibleChange));

% Listener for Figure color
this.FigureColorListener = uiservices.addlistener(getVisualizationParent(this.Application), ...
    'BackgroundColor', 'PostSet', makeCallback(this, @onFigureColorChange));

% Listener for Scope title
this.ScopeTitleListener = addlistener(this.Application, ...
    'UpdateDialogsTitleBarEvent', makeCallback(this, @onScopeTitleChange));
end
