function updateMarkers(this,varargin)
% updateDefaultMarker If framelength = 1 and the PlotType is Line or
% Stairs, add a temporary marker and a top banner message. Remove the
% marker and banner message if framelength > 1.

%   Copyright 2016 The MathWorks, Inc.

% There is only one display
hDisplay = this.Displays{1};
anyLineMarkerOverridden = enableMarkers(hDisplay,varargin{:});
if ~this.MarkerEnabledMessageShown && anyLineMarkerOverridden
    % Throw the warning once if any line marker was overridden
    warningDialog(this.Application, getString(message('Spcuilib:scopes:MarkersEnabled')), ...
        'markersOverridden');
    this.MarkerEnabledMessageShown = true;
elseif this.MarkerEnabledMessageShown && ~anyLineMarkerOverridden
    % Remove the warning once if none of the line markers are overridden
    % currently
    warningDialog(this.Application, '-remove', 'markersOverridden');
    this.MarkerEnabledMessageShown = false;
end
