function updatePlotType(this)
%updatePlotType Update the plot type in the visual

%   Copyright 2012-2016 The MathWorks, Inc.

% There is only one display
hDisplay = this.Displays{1};
newPlotType = getPropertyValue(this, 'PlotType');
hDisplay.PlotType = newPlotType;
switch (newPlotType)
    case 'Line'
        hDisplay.DefaultMarker = 'none';
    case 'Stairs'
        hDisplay.DefaultMarker = 'none';
    case 'Stem'
        hDisplay.DefaultMarker = 'o';
end
% Update the DefaultMarker property value in the ArrayPlotVisual object
setPropertyValue(this, 'DefaultMarker', hDisplay.DefaultMarker);
updateCachedLinePropertiesMarkers(hDisplay);
updateLineProperties(hDisplay);
updateMarkers(this);
if this.IsStyleDialogOpen
    % Besides updating PlotType, MarkerStyles may also have changed. So
    % refresh the entire display.
    refreshStyleDialog(this, 1);
end
end
