function updateSampleIncrement(this, showErrors)
%updateSampleIncrement   Update SampleIncrement in the display

%   Copyright 2015 The MathWorks, Inc.

% Validate the new SampleIncrement property value
[newSampIncr,errID,errmsg] = evalPropertyValue(this, 'SampleIncrement');
if ~isempty(errID)
    if (nargin < 2 || showErrors)
        oldSampIncr = this.Displays{1}.SampleIncrement;
        uiscopes.errorHandler(uiscopes.message('ErrorTimeDomVis', ...
            'SampleIncrement', errmsg, sprintf('%g', oldSampIncr)), ...
            uiscopes.message('TitleScopeError'), errID);
    end
    return;
end

% Update SampleIncrement property in the display, and update X-span and
% call update() method is data is available.
this.Displays{1}.SampleIncrement = newSampIncr;
updateXSpan(this);
if isDataAvailable(this)
    update(this);
end
sendEvent(this.Application, 'VisualLimitsChanged');

end