function updateSelectedDisplay(this,newSelectedDisplay)
%updateSelectedDisplay   Update properties for selected display
% Update the properties dialog with the new selected display values.
% However, no display should be updated in this process.

%   Copyright 2012-2019 The MathWorks, Inc.

this.SelectedDisplayUpdateEnabled = false;
try
    updateProperties(this, newSelectedDisplay);
catch e
    this.SelectedDisplayUpdateEnabled = true;
    rethrow(e);
end
this.SelectedDisplayUpdateEnabled = true;
% Refresh the properties dialog one more time
refreshPropertiesDialog(this);
end
