function updateXDataMode(this)
%updateXDataMode Update the XData Mode in the visual

%   Copyright 2015 The MathWorks, Inc.

% There is only one display
hDisplay = this.Displays{1};
hDisplay.XDataMode = getPropertyValue(this, 'XDataMode');
% Update the related properties too.
if strcmp(hDisplay.XDataMode, 'Custom')
    updateCustomXData(this);
else
    updateSampleIncrement(this);
    updateXOffset(this);
end
% Update the axis XSpan and draw if data is available.
updateXSpan(this);
if isDataAvailable(this)
    update(this);
end
sendEvent(this.Application, 'VisualLimitsChanged');
