function updateXOffset(this,newDisplays,showErrors)
%updateXOffset   Update XOffset on displays

%   Copyright 2012-2015 The MathWorks, Inc.

% Validate the new value
[newXOffset,errID,errmsg] = evalPropertyValue(this, 'XOffset');
if ~isempty(errID)
    if (nargin<3 || showErrors)
        oldXOffset = this.Displays{1}.TimeDisplayOffset;
        uiscopes.errorHandler(uiscopes.message('ErrorTimeDomVis', ...
            'XOffset', errmsg, sprintf('%g', oldXOffset)), uiscopes.message('TitleScopeError'), errID);
    end
    return;
end

% Update the TimeDisplayOffset property in the display (Array Plot has only
% one display).
if nargin < 2
    newDisplays = this.Displays;
end
hDisplay = newDisplays{1};
if ~hDisplay.ShowContent
    % If no content in display, reset to default value.
    hDisplay.TimeDisplayOffset = 0;
else
    % Displays use the property name TimeDisplayOffset
    hDisplay.TimeDisplayOffset = newXOffset;
end
end
