function updateXSpan(this,hDisplays)
%updateXSpan   Update Xspan in the display

%   Copyright 2012-2017 The MathWorks, Inc.

if nargin<2
    hDisplays = this.Displays;
end
% Array Plot has only one display
hDisplay = hDisplays{1};

frameLength = this.CurrentFrameLength;
hDisplay.CurrentFrameLength = frameLength;
if strcmp(hDisplay.XDataMode, 'Custom')
    xData = hDisplay.CustomXData;
    if ~isempty(xData)
        if frameLength > 1 && frameLength <= numel(xData)
            newXSpan = xData(frameLength) - xData(1);
        else
            if numel(xData) > 1
                if frameLength == 1
                    newXSpan = xData(2) - xData(1);
                else
                    newXSpan = xData(end) - xData(1);
                end
            elseif xData(1) == 0
                newXSpan = 1;
            else
                newXSpan = abs(xData(1));
            end
        end
        hDisplay.TimeSpan = newXSpan;
        hDisplay.TimeWrap = newXSpan;
        hDisplay.TimeDisplayOffset = xData(1);
    end
else
    sampIncr = hDisplay.SampleIncrement;
    if frameLength > 1
        hDisplay.TimeSpan = sampIncr*frameLength - sampIncr;
        hDisplay.TimeWrap = sampIncr*frameLength;  % Prevents autoscale failure (g958681)
    else
        hDisplay.TimeSpan = sampIncr;
        hDisplay.TimeWrap = sampIncr;
    end
end
