function updateYScale(this)
%updateYScale Update the YScale value in the Display

%   Copyright 2018 The MathWorks, Inc.

yLimReal = [str2double(this.SelectedDisplayMinYLimReal) str2double(this.SelectedDisplayMaxYLimReal)];
yLimMag = [str2double(this.SelectedDisplayMinYLimMag) str2double(this.SelectedDisplayMaxYLimMag)];

% ArrayPlot uses only one display for now
newYScale = getPropertyValue(this, 'YScale');
this.Displays{1}.YScale = newYScale;

if strcmpi(newYScale, 'Log') && ~this.NegYValuesIgnoredMessageShown ...
        && ((any(yLimReal <=0) && ~this.SelectedDisplayPlotMagPhase) ...
        || (any(yLimMag <=0) && this.SelectedDisplayPlotMagPhase))
    % Throw the warning once if negative Y values are ignored
    warningDialog(this.Application, getString(message('dsp:system:ArrayPlot:NegYValuesIgnored')), ...
        'negYValuesIgnored');
    this.NegYValuesIgnoredMessageShown = true;
elseif this.NegYValuesIgnoredMessageShown && (strcmpi(newYScale, 'Linear') ...
        || (strcmpi(newYScale, 'Log') && ((any(yLimReal > 0) && ~this.SelectedDisplayPlotMagPhase) ...
        || (any(yLimMag > 0) && this.SelectedDisplayPlotMagPhase))))
    % Hide the warning if it is shown and YScale is set to Linear
    warningDialog(this.Application, '-remove', 'negYValuesIgnored');
    this.NegYValuesIgnoredMessageShown = false;
end
end