classdef GraphicalPropertyEditorArrayPlot < uiservices.GraphicalPropertyEditor
% GraphicalPropertyEditorArrayPlot  GraphicalPropertyEditorArrayPlot class
    
% Copyright 2012-2015 The MathWorks, Inc.
    
  methods    
    function this = GraphicalPropertyEditorArrayPlot(varargin)      
      this@uiservices.GraphicalPropertyEditor(varargin{:});
    end
  end
  methods (Access = protected)
      
    function create(this, ip, okCallback, applyCallback, ...
              displaySelectedCallback, closeCallback)
      % Create the graphical property editor GUI
      
      % Code is same as for GraphicalPropertyEditorSpectrumScope except
      % that the SpectrumType and NormalTraceFlag customizations are not
      % present here.
            
      % Call super class create method to create the dialog
      create@uiservices.GraphicalPropertyEditor(this, ip, okCallback, ...
          applyCallback, displaySelectedCallback, closeCallback);
      
      % Remove display selector and resize the dialog.
      this.Widgets.DisplaySelectorLabel.Visible = 'off';
      this.Widgets.DisplaySelector.Enable = false;
      this.Widgets.DisplaySelector.Visible = 'off';
       if ~matlabshared.scopes.useWebFigure()&& ~this.UseNewStyleDialog
      
      pf = uiservices.getPixelFactor;
      shortVerticalOffset = 10*pf;  % Space between rows of widgets
      offFactor = this.Widgets.DisplaySelectorLabel.Position(4) + shortVerticalOffset;
      
      % Reduce the dialog size
      editDlgPos = get(this.EditorDialog,'Position');
      newPos = [editDlgPos(1) editDlgPos(2) editDlgPos(3) editDlgPos(4)-offFactor];
      set(this.EditorDialog,'Position',newPos);
      
      % Move the widgets
      this.Widgets.FigureColorLabel.Position(2) = this.Widgets.FigureColorLabel.Position(2) - offFactor;
      this.Widgets.FigureColorPicker.Position(2) = this.Widgets.FigureColorPicker.Position(2) - offFactor;
      
      this.Widgets.PlotTypeLabel.Position(2) = this.Widgets.PlotTypeLabel.Position(2) - offFactor;
      this.Widgets.PlotTypeSelector.Position(2) = this.Widgets.PlotTypeSelector.Position(2) - offFactor;
      
      sepLinePos = get(this.Widgets.SeparatorLine2,'Position');
      newPos = [sepLinePos(1) sepLinePos(2)-offFactor sepLinePos(3:4)];
      set(this.Widgets.SeparatorLine2,'Position',newPos);      
      newAxesWidgetsBottom = newPos(2) + newPos(4) + shortVerticalOffset;
      this.Widgets.AxesColorsLabel.Position(2) = newAxesWidgetsBottom;
      this.Widgets.AxesBackgroundPicker.Position(2) = newAxesWidgetsBottom;
      this.Widgets.AxesForegroundPicker.Position(2) = newAxesWidgetsBottom;
       else
            this.Widgets.LinePropPanel.Layout.Row=1;                
       end
    end
  end
end
