function S = HelperUnpackUIData(UI)
% HelperUnpackUIData This helper function is used int he parameter tuning UI

%  Copyright 2016-2017 The MathWorks, Inc.

persistent resetState userDataCounter
if isempty(resetState)
    resetState = false;
    userDataCounter = 0;
end
drawnow limitrate;   % needed to process UI callbacks

if isempty(UI) || ~isvalid(UI)
    % Return early if the figure was closed
    S.Stop = true;
    S.Reset = false;
    S.ValuesChanged = false;
    S.Pause = false;
    return;
end

UD = get(UI,'UserData');
S.TuningValues = UD(1:end-4);
resetFlag        = false;
valueChangedFlag = false;
if userDataCounter ~= UD(end-3)
   userDataCounter = UD(end-3);
   valueChangedFlag = true;
end
S.ValuesChanged = valueChangedFlag;
if UD(end-2) ~= resetState
    resetFlag  = true;
    resetState = ~resetState;
end
S.Reset = resetFlag;
S.Pause  = logical(UD(end-1));
S.Stop   = logical(UD(end));




end