function InsertExtraBlock(blk, blkLHPort, preOrPost, ...
    tpsBlkHOffset, tpsBlkVOffset, libToLoad,blkToInsert,paramName,Val)

% Helper function adds block and connects it.
       
% Copyright 2014 The MathWorks, Inc.

% Get the parent block full name
blkParentName = get_param(blk, 'Parent');

% Get a random name for the Transpose block
[~ , tpsBlkName] = fileparts(tempname);
tpsBlkName = [blkParentName '/' tpsBlkName];

% Delete the line connecting from/to the port.
delete_line(blkLHPort.Handle);

tpsBlkHandle = addBlock(blk,preOrPost,tpsBlkHOffset,tpsBlkVOffset,...
                        libToLoad, blkToInsert,tpsBlkName);

for i=1:length(paramName)
    set_param(tpsBlkHandle,paramName{i},Val{i});
end

tpsBlkPortH = get_param(tpsBlkHandle, 'PortHandles');

% Reconnect lines from the original source block to the Transpose block,
% and from the Transpose block to the original destination block.
fromBlkName    = get_param(blkLHPort.SrcBlockHandle, 'Name');
% If the block's name contains '/', replace it by '//'.
fromBlkName    = regexprep(fromBlkName, '/', '//');
fromBlkPortNum = get_param(blkLHPort.SrcPortHandle, 'PortNumber');
toBlkName      = get_param(tpsBlkHandle, 'Name');
toBlkPortNum   = get_param(tpsBlkPortH.Inport, 'PortNumber');
add_line(blkParentName, [fromBlkName '/' int2str(fromBlkPortNum)], ...
    [toBlkName   '/' int2str(toBlkPortNum)], ...
    'autorouting', 'on');

fromBlkName    = get_param(tpsBlkHandle, 'Name');
fromBlkPortNum = get_param(tpsBlkPortH.Outport, 'PortNumber');
toBlkName      = get_param(blkLHPort.DstBlockHandle, 'Name');
% If the block's name contains '/', replace it by '//'.
toBlkName      = regexprep(toBlkName, '/', '//');
if iscell(toBlkName)
    for i=1:length(toBlkName)
        toBlkPortNum   = get_param(blkLHPort.DstPortHandle(i), 'PortNumber');
        add_line(blkParentName, [fromBlkName '/' int2str(fromBlkPortNum)], ...
            [toBlkName{i}   '/' int2str(toBlkPortNum)], ...
            'autorouting', 'on');
    end
else
    toBlkPortNum   = get_param(blkLHPort.DstPortHandle, 'PortNumber');
    add_line(blkParentName, [fromBlkName '/' int2str(fromBlkPortNum)], ...
        [toBlkName   '/' int2str(toBlkPortNum)], ...
        'autorouting', 'on');
end
