function rtwTargetInfo(cm)
%

%   Copyright 2021 The MathWorks, Inc.
    cm.registerTargetInfo(@loc_register_crl);
end

function this = loc_register_crl
    lib = RTW.TflRegistry;
    lib.Name = 'DSP Intel AVX2-FMA (Windows)';
    lib.TableList = {'dsp_intel_avx2_crl_table_win64.mat'};
    lib.BaseTfl = '';
    lib.TargetHWDeviceType = {'Intel->x86-64', ...
        'Intel->x86-64 (Windows64)', ...
        'AMD->x86-64 (Windows64)',...
        'MatlabHost'};
    
    lib.Description = 'Uses x86 AVX2/FMA for Optimal code generation';
    this(1) = lib;
    
    lib = RTW.TflRegistry;
    lib.Name = 'DSP Intel AVX2-FMA (Linux)';
    lib.TableList = {'dsp_intel_avx2_crl_table_glnxa64.mat'};
    lib.BaseTfl = '';
    lib.TargetHWDeviceType = {'Intel->x86-64', ...
        'Intel->x86-64 (Linux 64)', ...
        'AMD->x86-64 (Linux 64)', ...
        'MatlabHost'};
    
    lib.Description = 'Uses x86 AVX2/FMA for Optimal code generation';
    this(2) = lib;
    
    lib = RTW.TflRegistry;
    lib.Name = 'DSP Intel AVX2-FMA (Mac)';
    lib.TableList = {'dsp_intel_avx2_crl_table_maci64.mat'};
    lib.BaseTfl = '';
    lib.TargetHWDeviceType = {'Intel->x86-64', ...
        'Intel->x86-64 (Mac OS X)',...
        'AMD->x86-64 (Mac OS X)',...
        'MatlabHost'};
    
    lib.Description = 'Uses x86 AVX2/FMA for Optimal code generation';
    this(3) = lib;

end

% LocalWords:  avx

