/* Copyright 2020 The MathWorks, Inc. */
#ifndef __FIR_DBL_CMPLX_AVX2_BLK_H__
#define __FIR_DBL_CMPLX_AVX2_BLK_H__
#ifdef __cplusplus
extern "C"{
#endif

#include <stddef.h>
#include <string.h>
        
typedef struct sDiscreteFIRDblCmplx{
    size_t frame_length;
    size_t num_chan;
    size_t coeffs_length;
    double *states;
}sDiscreteFIRDblCmplx;

void MWDSPCRL_avx2_fir_dbl_cmplx_init_mask(sDiscreteFIRDblCmplx *S,double* coeffs,double* reversedCoeffs,size_t isRealCoeffs,size_t coeffs_length,double* initialStates,double* states,size_t stateSize,size_t initStateSize,size_t num_chan,size_t frame_length,double* transCoeffs,double* reversedtransCoeffs);
void MWDSPCRL_avx2_fir_dbl_cmplx_init_port(sDiscreteFIRDblCmplx *S,size_t coeffs_length,double* initialStates,double* states,size_t stateSize,size_t initStateSize,size_t num_chan,size_t frame_length);
void MWDSPCRL_avx2_fir_dbl_cmplx_mask(sDiscreteFIRDblCmplx *S,double* transCoeffs,double* reversedtransCoeffs,const double* in,double* out,size_t isRealCoeffs,double* coeffs);
void MWDSPCRL_avx2_fir_dbl_cmplx_port(sDiscreteFIRDblCmplx *S,double* transCoeffs,double* reversedtransCoeffs, const double* in, double* out,const double* coeffs,double* reversedCoeffs);
void MWDSPCRL_avx2_fir_dbl_cmplx_port_coefficients(sDiscreteFIRDblCmplx *S,double* reversedtransCoeffs, const double* in, double* out, double* coeffs);
#ifdef __cplusplus
}
#endif
#endif