/* Copyright 2020 The MathWorks, Inc. */
#ifndef __FIR_DFT_DBL_AVX2_BLK_H__
#define __FIR_DFT_DBL_AVX2_BLK_H__
#ifdef __cplusplus
extern "C"{
#endif
#include <stddef.h>
#include <string.h>
    
typedef struct DiscreteFIRTransDblReal{
    size_t frameLen;
    size_t nChan;
    size_t filtOrder;
    double* states;
    const double* coeffs;
}DiscreteFIRTransDblReal;

void MWDSPCRL_avx2_fir_dft_dbl_real_process(DiscreteFIRTransDblReal *S, const double* in, double* out);
void MWDSPCRL_avx2_fir_dft_dbl_real_init(DiscreteFIRTransDblReal *S, size_t frameLen, size_t nChan, size_t filtOrder, double* states, const double* coeffs,double* initialStates,size_t stateSize,size_t initStateSize);

#ifdef __cplusplus
}
#endif
#endif
