/* Copyright 2020 The MathWorks, Inc. */
#ifndef __FIR_DFT_DBL_CMPLX_AVX2_BLK_H__
#define __FIR_DFT_DBL_CMPLX_AVX2_BLK_H__
#ifdef __cplusplus
extern "C"{
#endif
    
#include <stddef.h>
#include <string.h>
    
typedef struct discreteFIRTransDblCmplx{
    size_t frameLen;
    size_t nChan;
    size_t filtOrder;
    size_t isRealCoeffs;
    double* states;
    const double* coeffs;
}discreteFIRTransDblCmplx;
void MWDSPCRL_avx2_fir_dft_dbl_cmplx_process(discreteFIRTransDblCmplx *S, const double* in, double* out);
void MWDSPCRL_avx2_fir_dft_dbl_cmplx_init(discreteFIRTransDblCmplx *S, size_t frameLen, size_t nChan, size_t filtOrder, double* states, const double* coeffs, double* initialStates, size_t stateSize, size_t initStateSize, size_t isRealCoeffs);

#ifdef __cplusplus
}
#endif
#endif
