/* Copyright 2020 The MathWorks, Inc. */
#ifndef __FIR_DFT_SGL_AVX2_BLK_H__
#define __FIR_DFT_SGL_AVX2_BLK_H__
#ifdef __cplusplus
extern "C"{
#endif
    
#include <stddef.h>
#include <string.h>
    
typedef struct DiscreteFIRTransSglReal{
    size_t frameLen;
    size_t nChan;
    size_t filtOrder;
    float* states;
    const float* coeffs;
}DiscreteFIRTransSglReal;

void MWDSPCRL_avx2_fir_dft_sgl_real_process(DiscreteFIRTransSglReal *S, const float* in, float* out);
void MWDSPCRL_avx2_fir_dft_sgl_real_init(DiscreteFIRTransSglReal *S, size_t frameLen, size_t nChan, size_t filtOrder, float* states, const float* coeffs,float* initialStates,size_t stateSize,size_t initStateSize);

#ifdef __cplusplus
}
#endif
#endif
