/* Copyright 2020 The MathWorks, Inc. */
#ifndef __FIR_DFT_SGL_CMPLX_AVX2_BLK_H__
#define __FIR_DFT_SGL_CMPLX_AVX2_BLK_H__
#ifdef __cplusplus
extern "C"{
#endif
    
#include <stddef.h>
#include <string.h>
    
typedef struct discreteFIRTransSglCmplx{
    size_t frameLen;
    size_t nChan;
    size_t filtOrder;
    size_t isRealCoeffs;
    float* states;
    const float* coeffs;
}discreteFIRTransSglCmplx;
void MWDSPCRL_avx2_fir_dft_sgl_cmplx_process(discreteFIRTransSglCmplx *S, const float* in, float* out);
void MWDSPCRL_avx2_fir_dft_sgl_cmplx_init(discreteFIRTransSglCmplx *S, size_t frameLen, size_t nChan, size_t filtOrder, float* states, const float* coeffs, float* initialStates, size_t stateSize, size_t initStateSize, size_t isRealCoeffs);

#ifdef __cplusplus
}
#endif
#endif
