/* Copyright 2020 The MathWorks, Inc. */
#ifndef __FIR_SGL_CMPLX_AVX2_BLK_H__
#define __FIR_SGL_CMPLX_AVX2_BLK_H__
#ifdef __cplusplus
extern "C"{
#endif

#include <stddef.h>
#include <string.h>
    
typedef struct sDiscreteFIRSglCmplx{
    size_t frame_length;
    size_t num_chan;
    size_t coeffs_length;
    float *states;
}sDiscreteFIRSglCmplx;
void MWDSPCRL_avx2_fir_sgl_cmplx_init_mask(sDiscreteFIRSglCmplx *S,float* coeffs,float* reversedCoeffs,size_t isRealCoeffs,size_t coeffs_length,float* initialStates,float* states,size_t stateSize,size_t initStateSize,size_t num_chan,size_t frame_length,float* transCoeffs,float* reversedtransCoeffs);
void MWDSPCRL_avx2_fir_sgl_cmplx_init_port(sDiscreteFIRSglCmplx *S,size_t coeffs_length,float* initialStates,float* states,size_t stateSize,size_t initStateSize,size_t num_chan,size_t frame_length);
void MWDSPCRL_avx2_fir_sgl_cmplx_mask(sDiscreteFIRSglCmplx *S,float* transCoeffs,float* reversedtransCoeffs, const float* in, float* out,size_t isRealCoeffs,float* coeffs);
void MWDSPCRL_avx2_fir_sgl_cmplx_port(sDiscreteFIRSglCmplx *S,float* transCoeffs, float* reversedtransCoeffs, const float* in, float* out,const float* coeffs,float* reversedCoeffs);
void MWDSPCRL_avx2_fir_sgl_cmplx_port_coefficients(sDiscreteFIRSglCmplx *S,float* reversedtransCoeffs, const float* in, float* out, float* coeffs);
#ifdef __cplusplus
}
#endif
#endif