/* Copyright 2019-2020 The MathWorks, Inc. */
#ifndef __INTERP_DBL_AVX2_BLK_H__
#define __INTERP_DBL_AVX2_BLK_H__
#ifdef __cplusplus
extern "C"{
#endif
    
#include <stdio.h>
#include <stddef.h>
#include <string.h>
#include <stdlib.h>    
typedef struct InterpDblReal{
    size_t iFactor;
    size_t frameSize;
    size_t nChans;
    size_t coef_length;
    double *states;
}InterpDblReal;

void MWDSPCRL_avx2_interp_dbl_real_init(const double *coeffs, double *reversedCoeffs, size_t coef_length, size_t iFactor, size_t nChans, double *states);
void MWDSPCRL_avx2_interp_dbl_real_process(InterpDblReal *S, const double *coeffs, double *reversedCoeffs, const double *in, double *out);
void MWDSPCRL_avx2_interp_dbl_real_port(InterpDblReal *S, const double *initialCoeffs, double *reversedCoeffs, const double *in, double *out);

#ifdef __cplusplus
}
#endif
#endif
