/* Copyright 2020 The MathWorks, Inc. */
#ifndef __INTERP_DBL_CMPLX_AVX2_BLK_H__
#define __INTERP_DBL_CMPLX_AVX2_BLK_H__
#ifdef __cplusplus
extern "C"{
#endif
#include <stdio.h>
#include <stddef.h>
#include <string.h>
#include <stdlib.h>
typedef struct FIRInterpDblCmplx{
    size_t iFactor;
    size_t frameSize;
    size_t nChans;
    size_t coeffsLength;    
}FIRInterpDblCmplx;

void MWDSPCRL_avx2_interp_dbl_cmplx_init(const double *coeffs, double *reversedCoeffs, size_t coeffsLength, double* transCoeffs,double* reversedtransCoeffs, size_t iFactor, size_t nChans, double *states);
void MWDSPCRL_avx2_interp_dbl_cmplx_init_coefficients(const double *coeffs, size_t coeffsLength, double* reversedtransCoeffs, size_t iFactor, size_t nChans, double *states);
void MWDSPCRL_avx2_interp_dbl_cmplx_process(FIRInterpDblCmplx *S, double *states, double* transCoeffs,double* reversedtransCoeffs, const double* in, double* out);
void MWDSPCRL_avx2_interp_dbl_cmplx_process_coefficients(FIRInterpDblCmplx *S, double* states,double* reversedtransCoeffs, const double* in, double* out, const double* coeffs);
void MWDSPCRL_avx2_interp_dbl_cmplx_port(FIRInterpDblCmplx *S, double* states, const double *initialCoeffs,double *reversedCoeffs, double* transCoeffs,double* reversedtransCoeffs,const double *in, double *out);
void MWDSPCRL_avx2_interp_dbl_cmplx_port_coefficients(FIRInterpDblCmplx *S, double* states, double *initialCoeffs,double* transCoeffs,double* reversedtransCoeffs,const double* in, double* out);
#ifdef __cplusplus
}
#endif
#endif
