/* Copyright 2019-2020 The MathWorks, Inc. */
#ifndef __INTERP_SGL_AVX2_BLK_H__
#define __INTERP_SGL_AVX2_BLK_H__
#ifdef __cplusplus
extern "C"{
#endif
#include <stdio.h>
#include <stddef.h>
#include <string.h>
#include <stdlib.h>
typedef struct InterpSglReal{
    size_t iFactor;
    size_t frameSize;
    size_t nChans;
    size_t coef_length;
    float *states;
}InterpSglReal;

void MWDSPCRL_avx2_interp_sgl_real_init(const float *coeffs, float *reversedCoeffs, size_t coef_length, size_t iFactor, size_t nChans, float *states);
void MWDSPCRL_avx2_interp_sgl_real_process(InterpSglReal *S, const float *coeffs, float *reversedCoeffs, const float *in, float *out);
void MWDSPCRL_avx2_interp_sgl_real_port(InterpSglReal *S, const float *initialCoeffs, float *reversedCoeffs, const float *in, float *out);

#ifdef __cplusplus
}
#endif
#endif
