/* Copyright 2020 The MathWorks, Inc. */
#ifndef __INTERP_SGL_CMPLX_AVX2_BLK_H__
#define __INTERP_SGL_CMPLX_AVX2_BLK_H__
#ifdef __cplusplus
extern "C"{
#endif
#include <stdio.h>
#include <stddef.h>
#include <string.h>
#include <stdlib.h>
typedef struct FIRInterpSglCmplx{
    size_t iFactor;
    size_t frameSize;
    size_t nChans;
    size_t coeffsLength;   
}FIRInterpSglCmplx;

void MWDSPCRL_avx2_interp_sgl_cmplx_init(const float *coeffs, float *reversedCoeffs, size_t coeffsLength,float* transCoeffs,float* reversedtransCoeffs, size_t iFactor, size_t nChans, float* states);
void MWDSPCRL_avx2_interp_sgl_cmplx_init_coefficients(const float *coeffs, size_t coeffsLength, float* reversedtransCoeffs, size_t iFactor, size_t nChans, float* states);
void MWDSPCRL_avx2_interp_sgl_cmplx_process(FIRInterpSglCmplx *S, float *states, float* transCoeffs,float* reversedtransCoeffs, const float* in, float* out);
void MWDSPCRL_avx2_interp_sgl_cmplx_process_coefficients(FIRInterpSglCmplx *S, float* states,float* reversedtransCoeffs, const float* in, float* out, const float* coeffs);
void MWDSPCRL_avx2_interp_sgl_cmplx_port(FIRInterpSglCmplx *S, float* states, const float *initialCoeffs,float *reversedCoeffs, float* transCoeffs,float* reversedtransCoeffs,const float *in, float *out);
void MWDSPCRL_avx2_interp_sgl_cmplx_port_coefficients(FIRInterpSglCmplx *S, float* states, float *initialCoeffs,float* transCoeffs,float* reversedtransCoeffs,const float* in, float* out);
#ifdef __cplusplus
}
#endif
#endif
