/* Copyright 2019-2021 The MathWorks, Inc. */
#ifndef LMS_DBL_AVX2_FCN_H
#define LMS_DBL_AVX2_FCN_H

#include "rtwtypes.h"

#ifdef __cplusplus
extern "C"{
#endif
/* LMS, double precision */
void MWSPCGlmsn_D_avx2(const real_T x[], const real_T d[], real_T mu,
        uint32_T *startIdx, real_T xBuf[], real_T wBuf[], int32_T wLen,
        real_T leakFac, int32_T xLen, real_T y[], real_T eY[]);

/* LMS with adapt input, double precision */
void MWSPCGlmsa_D_avx2(const real_T x[], const real_T desired[], real_T mu,
        uint32_T *startIdx, real_T xBuf[], real_T wBuf[], int32_T wLen,
        real_T leakFac, int32_T xLen, real_T y[], real_T eY[],
        boolean_T NeedAdapt);

/* LMS with weights output, double precision */
void MWSPCGlmsw_D_avx2(const real_T x[], const real_T d[], real_T mu,
        uint32_T *startIdx, real_T xBuf[], real_T wBuf[], int32_T wLen,
        real_T leakFac, int32_T xLen, real_T y[], real_T eY[], real_T wY[]);

/* LMS with both adapt input and weights output, double precision */
void MWSPCGlmsb_D_avx2(const real_T x[], const real_T d[], real_T mu,
        uint32_T *startIdx, real_T xBuf[], real_T wBuf[], int32_T wLen,
        real_T leakFac, int32_T xLen, real_T y[], real_T eY[], real_T wY[],
        boolean_T NeedAdapt);

/* Normalized LMS, double precision */
void MWSPCGlmsnn_D_avx2(const real_T x[], const real_T d[], real_T mu,
        uint32_T *startIdx, real_T xBuf[], real_T wBuf[], int32_T wLen,
        real_T leakFac, int32_T xLen, real_T y[], real_T eY[]);

/* Normalized LMS with adapt input, double precision */
void MWSPCGlmsna_D_avx2(const real_T x[], const real_T d[], real_T mu,
        uint32_T *startIdx, real_T xBuf[], real_T wBuf[], int32_T wLen,
        real_T leakFac, int32_T xLen, real_T y[], real_T eY[],
        boolean_T NeedAdapt);

/* Normalized LMS with weights output, double precision */
void MWSPCGlmsnw_D_avx2(const real_T x[], const real_T d[], real_T mu,
        uint32_T *startIdx, real_T xBuf[], real_T wBuf[], int32_T wLen,
        real_T leakFac, int32_T xLen, real_T y[], real_T eY[], real_T wY[]);

/* Normalized LMS with adapt input and weights output, double precision */
void MWSPCGlmsnb_D_avx2(const real_T x[], const real_T d[], real_T mu,
        uint32_T *startIdx, real_T xBuf[], real_T wBuf[], int32_T wLen,
        real_T leakFac, int32_T xLen, real_T y[], real_T eY[], real_T wY[],
        boolean_T NeedAdapt);

#ifdef __cplusplus
}
#endif
#endif
