/* Copyright 2019-2021 The MathWorks, Inc. */
#ifndef LMS_SGL_AVX2_FCN_H
#define LMS_SGL_AVX2_FCN_H

#include "rtwtypes.h"
#ifdef __cplusplus
extern "C"{
#endif
/* LMS, single precision */
void MWSPCGlmsn_S_avx2(const real32_T x[], const real32_T d[], real32_T mu,
        uint32_T *startIdx, real32_T xBuf[], real32_T wBuf[], int32_T wLen,
        real32_T leakFac, int32_T xLen, real32_T y[], real32_T eY[]);

/* LMS with adapt input, single precision */
void MWSPCGlmsa_S_avx2(const real32_T x[], const real32_T d[], real32_T mu,
        uint32_T *startIdx, real32_T xBuf[], real32_T wBuf[], int32_T wLen,
        real32_T leakFac, int32_T xLen, real32_T y[], real32_T eY[],
        boolean_T NeedAdapt);

/* LMS with weights output, single precision */
void MWSPCGlmsw_S_avx2(const real32_T x[], const real32_T d[], real32_T mu,
        uint32_T *startIdx, real32_T xBuf[], real32_T wBuf[], int32_T wLen,
        real32_T leakFac, int32_T xLen, real32_T y[], real32_T eY[], real32_T wY[]);

/* LMS with both adapt input and weights output, single precision */
void MWSPCGlmsb_S_avx2(const real32_T x[], const real32_T d[], real32_T mu,
        uint32_T *startIdx, real32_T xBuf[], real32_T wBuf[], int32_T wLen,
        real32_T leakFac, int32_T xLen, real32_T y[], real32_T eY[], real32_T wY[],
        boolean_T NeedAdapt);

/* Normalized LMS, single precision */
void MWSPCGlmsnn_S_avx2(const real32_T x[], const real32_T d[], real32_T mu,
        uint32_T *startIdx, real32_T xBuf[], real32_T wBuf[], int32_T wLen,
        real32_T leakFac, int32_T xLen, real32_T y[], real32_T eY[]);

/* Normalized LMS with adapt input, single precision */
void MWSPCGlmsna_S_avx2(const real32_T x[], const real32_T d[], real32_T mu,
        uint32_T *startIdx, real32_T xBuf[], real32_T wBuf[], int32_T wLen,
        real32_T leakFac, int32_T xLen, real32_T y[], real32_T eY[],
        boolean_T NeedAdapt);

/* Normalized LMS with weights output, single precision */
void MWSPCGlmsnw_S_avx2(const real32_T x[], const real32_T d[], real32_T mu,
        uint32_T *startIdx, real32_T xBuf[], real32_T wBuf[], int32_T wLen,
        real32_T leakFac, int32_T xLen, real32_T y[], real32_T eY[], real32_T wY[]);

/* Normalized LMS with adapt input and weights output, single precision */
void MWSPCGlmsnb_S_avx2(const real32_T x[], const real32_T d[], real32_T mu,
        uint32_T *startIdx, real32_T xBuf[], real32_T wBuf[], int32_T wLen,
        real32_T leakFac, int32_T xLen, real32_T y[], real32_T eY[], real32_T wY[],
        boolean_T NeedAdapt);

#ifdef __cplusplus
}
#endif
#endif
