function dspRelinkWebFigure(blk)
% dspRelinkWebFigure: Restore the webwindow figure handle to the block's
% user data after saving the model.

%   Copyright 2018-2019 The MathWorks, Inc.

ud = get_param(blk, 'UserData');
if isfield(ud,'FigureTag')
    list = matlab.internal.webwindowmanager.instance.windowList;
    apurl = '/toolbox/shared/dsp/webscopes/mlarrayplot/web/arrayplot/arrayplot-systemobject.html?ClientID=';
    fig = list(cellfun(@(x)~isempty(x),regexp({list.URL},regexptranslate('escape',apurl))));
    if ~isempty(fig)
        ud.FigureHandle = ud.Object.getPlotHandle();
    end
    ud = rmfield(ud,'FigureTag');
    set_param(blk, 'UserData', ud);
end
end