function dspUnlinkWebFigure(blk)
% dspUnlinkWebFigure: Remove the webwindow handle from the block's user
% data prior to saving the model.

%   Copyright 2018 The MathWorks, Inc.

ud = get_param(blk, 'UserData');
if isfield(ud,'FigureHandle') && ~isempty(ud.FigureHandle) && isvalid(ud.FigureHandle)
    % Overwrite object in UserData with uniqueTag
    uniqueTag = getfullname(blk);
    set(ud.FigureHandle, 'Tag', uniqueTag);
    ud.FigureTag = uniqueTag;
    ud = rmfield(ud,'FigureHandle');
    set_param(blk, 'UserData', ud);
end
end