function dspDeleteFVToolLinkFromMask(blkh)
%dspDeleteFVToolLinkFromMask Callback for REMOVING (deleting) any FVTool link from a block mask.
%   ANY field of a structure called 'fvtool', e.g. ud.fvtool, will be
%   removed from the UserData of the block. This is often done at model
%   load time, via an associated block Property callback. This avoids
%   keeping stale, old figures, or otherwise bad fvtool links in the UD
%   from the start (immediately, and one time, at model load time).

%   Copyright 2015 The MathWorks, Inc.

origUD = get_param(blkh, 'UserData');
if isfield(origUD,'fvtool')
    % Remove the stale, old 'fvtool' field from the UserData of the block
    set_param(blkh, 'UserData', rmfield(origUD, 'fvtool'));
end
end
