function dspRestoreLinkFVTool2Mask(blkh)
%dspRestoreLinkFVTool2Mask Callback for re-linking FVTool to a block mask.
%   The handle to FVTool, if found, will be restored in the UserData of the
%   block handle 'blkh' (i.e., in the 'fvtool' field of the ud structure).

%   Copyright 2015 The MathWorks, Inc.

ud = get_param(blkh, 'UserData');
if isfield(ud,'fvtool')
    uniqueTag = ud.fvtool;
    if ~isempty(uniqueTag) && ischar(uniqueTag)
        % Find all open figures associated with uniqueTag
        ud.fvtool = findobjinternal(0,'Type','Figure','Tag',uniqueTag);
        if ~isempty(ud.fvtool) && isvalid(ud.fvtool)
            set_param(blkh, 'UserData', ud);
        end
    end
end
end
