function [h,l,framing] = dspblk2chabank2(blkh, hpf, lpf, framingIn, inpProc) %#ok
% DSPBLK2CHABANK2 Mask dynamic dialog function for the Two-Channel
% Analysis Subband Filter block

% Copyright 2005-2018 The MathWorks, Inc.

h = [];
l = [];

framing = dspblkAdjustMultiRateFraming(inpProc, framingIn);

[M,N] = size(hpf);
if (M ~= 1 && N ~= 1)
   error(message('dsp:dspblk2chabank2:invalidCoefficient1')); 
end

[M,N] = size(lpf);
if (M ~= 1 && N ~= 1)
   error(message('dsp:dspblk2chabank2:invalidCoefficient2')); 
end

if(~isempty(hpf) && ~isempty(lpf))
        % Direct form
        % Need to reshuffle the coefficients into phase order
        h = phaseReshuffle(hpf);
        l = phaseReshuffle(lpf);
end

% ---------------------------------------------------------
function y = phaseReshuffle(x)
    len = length(x);
    y = flipud(x(:));
    if (rem(len, 2) ~= 0)
        nzeros = 2 - rem(len, 2);
        y = [zeros(nzeros,1); y];
    end
    len = length(y);
    nrows = len / 2;
    % Re-arrange the coefficients
    y = flipud(reshape(y, 2, nrows).');
