function framing = dspblkAdjustMultiRateFraming(inpProc, framingIn)
%dspblkAdjustMultiRateFraming Adjust framing setting for multirate blocks
%   Compute framing enum value to use for DSP multirate filter blocks for
%   backward compatibility and for handling input processing correctly.

% Copyright 2015 The MathWorks, Inc.

if (inpProc == 2) || (framingIn == 2) || (framingIn == 3)
    % Input processing is Elements as channels (sample based) OR
    % Framing is Allow multi-rate(2) OR
    % Framing is Maintain input frame size(3) -> Allow multi-rate(2)
    framing = 2;
elseif (framingIn == 4)
    % Framing is Maintain input frame rate(4) -> Enforce single-rate(1)
    framing = 1;
else
    framing = framingIn;
end

end
