function dspblkArrayVector(blkh)
% dspblkArrayVector Mask dynamic dialog function for Array-Vector blocks

% Copyright 2017 The MathWorks, Inc.

mask_vis_old = get_param(blkh,'MaskVisibilities');
mask_vis_new = mask_vis_old;
mask_ena_old = get_param(blkh,'MaskEnables');
mask_ena_new = mask_ena_old;

[VSrcIdx, VVctIdx, VUDTIdx, VMinIdx, VMaxIdx] = ...
    dspblkGetMaskParamIndicesFromParamNames(blkh, ...
    'V_Source',              ...
    'V_VectFromMask',        ...
    'firstCoeffDataTypeStr', ...
    'firstCoeffMin',         ...
    'firstCoeffMax');

% =======================================
% MASK PARAMETER visibilities and enables
% =======================================

% Vector (V) related parameters
% -----------------------------
mask_vals = get_param(blkh,'MaskValues');
if strcmp(mask_vals{VSrcIdx},'Dialog parameter')
    visEnaSetting = 'on';
else
    visEnaSetting = 'off';
end

% Update MaskVisibilities
mask_vis_new{VVctIdx} = visEnaSetting;
mask_vis_new{VUDTIdx} = visEnaSetting;
mask_vis_new{VMinIdx} = visEnaSetting;
mask_vis_new{VMaxIdx} = visEnaSetting;
if ~isequal(mask_vis_old, mask_vis_new)
    set_param(blkh,'MaskVisibilities',mask_vis_new);
end

% Update MaskEnables
mask_ena_new{VVctIdx} = visEnaSetting;
mask_ena_new{VUDTIdx} = visEnaSetting;
mask_ena_new{VMinIdx} = visEnaSetting;
mask_ena_new{VMaxIdx} = visEnaSetting;
if ~isequal(mask_ena_old, mask_ena_new)
    set_param(blkh,'MaskEnables',mask_ena_new);
end

% ======================================
% MASK PROPERTY visibilities and enables
% ======================================
blkMaskObj = Simulink.Mask.get(blkh);

% Vector (V) related properties
% -----------------------------
CoeffsLabel = blkMaskObj.getDialogControl('firstCoeffDataTypeLabel');
CoeffsLabel.Visible = visEnaSetting;
