function dspblkFIRHalfband(blkh)
% dspblkFIRHalfband DSP System Toolbox FIR Halfband block dialog function.

% Copyright 2017 The MathWorks, Inc.

% Dynamic dialog: handle sample-rate-related parameter visibilities

blockMaskObject = Simulink.Mask.get(blkh);
inhRateCkBoxPrm = blockMaskObject.getParameter('InheritSampleRate');
smpRateEdBoxPrm = blockMaskObject.getParameter('SampleRate');

maskNames  = get_param(blkh,'MaskNames');
maskValues = get_param(blkh,'MaskValues');
fltSpecIdx = ismember(maskNames,'Specification');
isCoefMode = strcmp(maskValues{fltSpecIdx},'Coefficients');

if isCoefMode
    % Neither sample rate parameters apply
    inhRateCkBoxPrm.Visible = 'off';
    smpRateEdBoxPrm.Visible = 'off';
    
else
    % One or both sample rate parameters apply
    inhRateCkBoxPrm.Visible = 'on';
    
    inhRateIdx = ismember(maskNames,'InheritSampleRate');
    inherit_Ts = strcmp(maskValues{inhRateIdx}, 'on');
    
    if inherit_Ts
        smpRateEdBoxPrm.Visible = 'off'; % HIDE SampleRate edit box
    else
        smpRateEdBoxPrm.Visible = 'on';  % SHOW SampleRate edit box
    end
end
