function varargout = dspblkGetMaskParamIndicesFromParamNames(blkh,varargin)
%dspblkGetMaskParamIndicesFromParamNames Get and return mask param indices
%   Return each index for each mask parameter name supplied in varargin.
%   The nargout is the same as nargin (one return for each name).

% Copyright 2017 The MathWorks, Inc.

% Find matching indices
mask_names = get_param(blkh,'MaskNames');
index_vect = find(ismember(mask_names, varargin));

% Form varargout
num_params = nargin - 1;
varargout  = cell(1, num_params); 
for paramNameIdx = 1:num_params
    varargout{paramNameIdx} = index_vect(paramNameIdx);
end
