function varargout = dspblkHistogram(blkh, actionStr)
% dspblkVariance DSP System Toolbox Histogram block helper function.

% Copyright 1995-2017 The MathWorks, Inc.

isRunning = strcmp(get_param(blkh,'run'),'on');

if (nargin > 1) && strcmp(actionStr, 'icon')
    % Setup port label structure:
    if isRunning && ~strcmp(get_param(blkh,'trigtype'),'None')
        % 2 inputs (in, rst)
        s.i1 = 1; s.i1s = 'In';
        s.i2 = 2; s.i2s = 'Rst';
        
        % Shifted icon (make room for input port labels):
        x2 = [0.29 0.92 NaN 0.29 0.29 0.38 NaN 0.38 0.38 0.47 NaN ...
              0.47 0.47 0.56 NaN 0.56 0.56 0.65 NaN 0.65 0.65 NaN ...
              0.65 0.74 0.74 NaN 0.74 0.83 0.83 NaN 0.83 0.92 0.92];
        y2 = [0.125 0.125 NaN 0.125 0.325 0.325 NaN 0.125 0.525 0.525 ...
              NaN 0.125 0.725 0.725 NaN 0.125 0.925 0.925 NaN 0.125 ...
              0.925 NaN 0.725 0.725 0.125 NaN 0.525 0.525 0.125 NaN ...
              0.325 0.325 0.125];
        
        varargout = {s, x2, y2};
    else
        % 1 input (in)
        % No need to label one input
        s.i1 = 1; s.i1s = '';
        s.i2 = 1; s.i2s = '';
        
        % Centered icon (for no input port label cases):
        x1 = [0.19 0.82 NaN 0.19 0.19 0.28 NaN 0.28 0.28 0.37 NaN ...
              0.37 0.37 0.46 NaN 0.46 0.46 0.55 NaN 0.55 0.55 NaN ...
              0.55 0.64 0.64 NaN 0.64 0.73 0.73 NaN 0.73 0.82 0.82];
        y1 = [0.1 0.1 NaN 0.1 0.3 0.3 NaN 0.1 0.5 0.5 NaN 0.1 0.7 ...
              0.7 NaN 0.1 0.9 0.9 NaN 0.1 0.9 NaN 0.7 0.7 0.1 NaN ...
              0.5 0.5 0.1 NaN 0.3 0.3 0.1];
        
        varargout = {s, x1, y1};
    end
else
    % Dynamic dialog: Mask Parameter visibilities
    mask_vis_old = get_param(blkh,'MaskVisibilities');
    mask_vis_new = mask_vis_old;
    resetDDIndex = ...
        dspblkGetMaskParamIndicesFromParamNames(blkh,'trigtype');
    
    if isRunning
        mask_vis_new{resetDDIndex} = 'on';
    else
        mask_vis_new{resetDDIndex} = 'off';
    end
    
    if ~isequal(mask_vis_old, mask_vis_new)
        set_param(blkh,'MaskVisibilities',mask_vis_new);
    end
    
    varargout = {};
end
