function dspblkObsMatrixSum(blkh)
% dspblkObsMatrixSum Mask dynamic dialog function for dspobslib/Matrix Sum

% Copyright 2017 The MathWorks, Inc.

mask_visibles = get_param(blkh,'MaskVisibilities');
old_mask_visibles = mask_visibles;

[accWLIdx, accFLIdx, outWLIdx, outFLIdx] = ...
    dspblkGetMaskParamIndicesFromParamNames(blkh, ...
    'accumWordLength',  'accumFracLength', ...
    'outputWordLength', 'outputFracLength');

accumModeStr  = get_param(blkh,'accumMode');
outputModeStr = get_param(blkh,'outputMode');

if (    strcmp(accumModeStr, 'Binary point scaling')   || ...
        strcmp(accumModeStr, 'Slope and bias scaling') || ...
        strcmp(accumModeStr, 'User-defined') )
    mask_visibles{accWLIdx} = 'on';  % Accumulator word length
    mask_visibles{accFLIdx} = 'on';  % Accumulator frac length
else
    mask_visibles{accWLIdx} = 'off'; % Accumulator word length
    mask_visibles{accFLIdx} = 'off'; % Accumulator frac length
end

if (    strcmp(outputModeStr, 'Binary point scaling')   || ...
        strcmp(outputModeStr, 'Slope and bias scaling') || ...
        strcmp(outputModeStr, 'User-defined') )
    mask_visibles{outWLIdx} = 'on';  % Output word length
    mask_visibles{outFLIdx} = 'on';  % Output frac length
else
    mask_visibles{outWLIdx} = 'off'; % Output word length
    mask_visibles{outFLIdx} = 'off'; % Output frac length
end

if ~isequal(mask_visibles, old_mask_visibles)
    set_param(blkh, 'MaskVisibilities', mask_visibles);
end

end
