function dspblkbinaryfilereader(blk, action, varargin)
% dspblkbinaryfilereader DSP System Toolbox binary file reader block
% mask helper function

%   Copyright 2015 The MathWorks, Inc.

% This function modifies settings of blocks in the subsystem. This
% should not dirty the model:
model = bdroot(blk);
dirtyFlag = get_param(model,'Dirty');
c = onCleanup(@()set_param(model,'Dirty',dirtyFlag));

    
switch action
  
    case 'browse'
        % Select file via browse button
        [filename, pathname] = uigetfile('*');
        if filename
            fname = fullfile(pathname,filename);
            set_param(blk,'Filename',fname);
        end
        
    case 'export' 
        % Export file header to base workspace
        filename = get_param(blk,'Filename');
        
        filename = dsp.simulink.BinaryFileReader.resolve(filename);
        
        reader = dsp.BinaryFileReader(filename);
        headerPrototype  = slResolve(get_param(blk,'HeaderStructure'),blk);
        reader.HeaderStructure = headerPrototype;
        header = readHeader(reader);
        [~,NAME,~] = fileparts(filename);
        if isvarname(NAME)
            varname = NAME;
        else
            varname = 'binary_file';
        end
        varname = sprintf('%s_header',varname);
        assignin('base',varname,header);
end