function dspblkconvcorr(blkh)
%DSPBLKFFT Block dynamic dialog UI helper function
%   Used by the DSP System Toolbox Convolution and Correlation blocks

% Copyright 2015 The MathWorks, Inc.

% Update dialog property visibilities
% ------------------------------------
blkMaskObj          = Simulink.Mask.get(blkh);
maskFixPtNonSpptLbl = blkMaskObj.getDialogControl('FreqFastFixPtNonSupportLabel');
maskFixPtOpPrmsGrp  = blkMaskObj.getDialogControl('FixPtOpParamsGroupBox');
maskFixPtTextLabel  = blkMaskObj.getDialogControl('FixPtBlurbTextLabel');
maskTypesTablePanel = blkMaskObj.getDialogControl('TypesTablePanel');

if isequal(get_param(blkh,'domain'),'Time')
    % Show data type parameters/properties
    dtVis = 'on';
    maskFixPtNonSpptLbl.Visible = 'off';
else
    % Hide data type parameters/properties
    dtVis = 'off';
    maskFixPtNonSpptLbl.Visible = 'on';
end

maskFixPtOpPrmsGrp.Visible  = dtVis;
maskFixPtTextLabel.Visible  = dtVis;
maskTypesTablePanel.Visible = dtVis;

% Update dialog parameter visibilities
% ------------------------------------
maskPrmNames = get_param(blkh,'MaskNames');
mask_vis_old = get_param(blkh,'MaskVisibilities');
mask_vis_new = mask_vis_old;

mask_vis_new{strcmp(maskPrmNames,'roundingMode')}          = dtVis;
mask_vis_new{strcmp(maskPrmNames,'overflowMode')}          = dtVis;
mask_vis_new{strcmp(maskPrmNames,'prodOutputDataTypeStr')} = dtVis;
mask_vis_new{strcmp(maskPrmNames,'accumDataTypeStr')}      = dtVis;
mask_vis_new{strcmp(maskPrmNames,'outputDataTypeStr')}     = dtVis;
mask_vis_new{strcmp(maskPrmNames,'outputMin')}             = dtVis;
mask_vis_new{strcmp(maskPrmNames,'outputMax')}             = dtVis;
mask_vis_new{strcmp(maskPrmNames,'LockScale')}             = dtVis;

if ~isequal(mask_vis_old,mask_vis_new)
    set_param(blkh, 'MaskVisibilities', mask_vis_new);
end

end % dspblkconvcorr
