function dspblkcount2()
% DSPBLKCOUNT2 is the mask function for the DSP System Toolbox Counter Block

% Copyright 1995-2020 The MathWorks, Inc.

block = gcbh;

% check the value of the control
% modify the dialog accordingly

% Preset the mask enables to all 'on':
en_orig = get_param(block,'MaskEnables');
en = en_orig;

CounterSize = 4;
HitValue = 7;
SamplePerFrame = 9;
SampleTimeEdit = 10;
CountDataType = 11;
HitDataType = 12;

% If count event is not free-run the disable the sample time edit box
% and disable the SamplesPerOutput frame edit box.
freerun = strcmpi('free running',get_param(block,'CountEvent'));
if ~freerun
   en{SamplePerFrame}='off'; % SamplesPerFrame edit
   en{SampleTimeEdit}='off'; % Sample time edit
else
   en{SamplePerFrame}='on';  % SamplesPerFrame edit   
   en{SampleTimeEdit}='on';  % Sample time edit
end


% If userdef is the not the counter size disable the Max count dialog
userdef = strcmpi('user defined',get_param(block,'CounterSize'));
if ~userdef
   en{CounterSize}='off';
else
   en{CounterSize}='on';
end


% If the hit output is not selected, then disable the hitvalue edit box 
hit = ~isempty(findstr('hit',lower(get_param(block,'Output'))));
if ~hit
   en{HitValue}='off';  % Disable last dialog
else
   en{HitValue}='on';
end


norst = strcmp('off', get_param(block, 'ResetInput')); % reset port
cnt =  ~isempty(findstr('Count',get_param(block,'Output')));
cntisdouble = 1;
if ~cnt
    en{CountDataType} = 'off';
else
    en{CountDataType} = 'on';
    cntisdouble = strcmpi('double',get_param(block,'CntDType'));
end
if ~cntisdouble || ~hit
    en{HitDataType} = 'off';
else
    en{HitDataType} = 'on';
end

if ~isequal(en, en_orig)
   set_param(block,'MaskEnables',en);
   % Only show enabled parameters
   set_param(block,'MaskVisibilities',en);
end

% [EOF] dspblkcount.m
