function dspblkcumsumprod(varargin)
% DSPBLKCUMSUMPROD DSP System Toolbox Cumulative Sum/Product block
% helper function.

% Copyright 1995-2020 The MathWorks, Inc.

blkh = gcbh;
fcn  = get_param(blkh,'dim');
isRunning = contains(fcn,'Channels (running ');

% Dynamic dialog handling case
[inpProcIdx, rstModeIdx] = dspblkGetMaskParamIndicesFromParamNames(...
    blkh, 'InputProcessing', 'reset_popup');

% Update mask parameter visibilities
vis_old = get_param(blkh, 'MaskVisibilities');
vis_new = vis_old;
if isRunning
    vis_new{inpProcIdx} = 'on';
    vis_new{rstModeIdx} = 'on';
else
    vis_new{inpProcIdx} = 'off';
    vis_new{rstModeIdx} = 'off';
end
if ~isequal(vis_new, vis_old)
    set_param(blkh, 'MaskVisibilities', vis_new);
end

