function dspblkmidisrc(blkh)
%DSPBLKMIDISRC Block dynamic dialog UI helper function
%   Used by the DSP System Toolbox MIDI Controls block

% Copyright 2019 The MathWorks, Inc.
oldVis = get_param(blkh, 'MaskVisibilities');

% Update dialog property visibilities
UseSpecifiedDeviceVis = 'on';
DeviceNameVis = 'off';
UseSpecifiedControlsVis = 'on';
ControlNumbersVis = 'off';
InitialValuesVis = 'on';
SyncAtStartVis = 'off';
RawUint8Vis = 'on';

if contains(get_param(blkh,'UseSpecifiedDevice'),'pecif')
    DeviceNameVis = 'on';
end
if contains(get_param(blkh,'UseSpecifiedControls'),'pecif')
    ControlNumbersVis = 'on';
    SyncAtStartVis = 'on';
end

newVis = {...
    UseSpecifiedDeviceVis DeviceNameVis UseSpecifiedControlsVis ...
    ControlNumbersVis InitialValuesVis SyncAtStartVis RawUint8Vis};

if ~isequal(oldVis, newVis)
    set_param(blkh,'MaskVisibilities', newVis);
end
