function varargout= dspblknsample(action,varargin)
% DSPBLKNSAMPLE DSP System Toolbox N-Sample Enable block helper function.

% Copyright 1995-2020 The MathWorks, Inc.

if nargin==0 
    action = 'dynamic'; 
end

blk   = gcbh;
reset = get_param(blk,'Reset')=="on";

switch action
case 'update'
   
   % If triggering not selected, set trigger type to 0.
   % Otherwise, leave trigger type as 1 (rising), 2 (falling), 3 (either)
   TriggerTypei = varargin{1};
   if reset
      TriggerTypeo = TriggerTypei;
   else
      TriggerTypeo = 0;
   end
   varargout = {TriggerTypeo};
   
   
case 'dynamic'
   % Dynamic dialog callback:
   
   mask_enables = get_param(blk,'maskenables');
   if reset
      mask_enables{4} = 'on';
      mask_enables{5} = 'off';   
   else
      mask_enables{4} = 'off';
      mask_enables{5} = 'on';
   end
   set_param(blk,'maskenables',mask_enables);
end

% [EOF] dspblknsample.m

