function dspblkstddev(blkh)
%DSPBLKFFT Block dynamic dialog UI helper function
%   Used by the DSP System Toolbox Standard Deviation and RMS blocks

% Copyright 2015-2017 The MathWorks, Inc.

% Update dialog parameter visibilities
% ------------------------------------
dirModePrmVis = 'off';
inpProcPrmVis = 'off';
rstModePrmVis = 'off';
isNonRunning  = strcmp(get_param(blkh,'run'), 'off');

if isNonRunning
    % Non-Running Standard Deviation
    dirModePrmVis = 'on'; % Show 'directionMode' param
else
    % Running Standard Deviation
    inpProcPrmVis = 'on'; % Show 'InputProcessing' param
    rstModePrmVis = 'on'; % Show 'reset_popup' param
end

maskPrmNames = get_param(blkh,'MaskNames');
mask_vis_old = get_param(blkh,'MaskVisibilities');
mask_vis_new = mask_vis_old;

mask_vis_new{strcmp(maskPrmNames,'directionMode')}   = dirModePrmVis;
mask_vis_new{strcmp(maskPrmNames,'InputProcessing')} = inpProcPrmVis;
mask_vis_new{strcmp(maskPrmNames,'reset_popup')}     = rstModePrmVis;

if ~isequal(mask_vis_old,mask_vis_new)
    set_param(blkh, 'MaskVisibilities', mask_vis_new);
end

% Cannot read the value of 'directionMode' unless it is already visible
blockMaskObject = Simulink.Mask.get(blkh);
dimEBMaskParam  = blockMaskObject.getParameter('dimension');
if isNonRunning && strcmp(get_param(blkh,'directionMode'),'Specified dimension')
    dimEBMaskParam.Visible = 'on'; % show 'dimension' parameter
else
    dimEBMaskParam.Visible = 'off';
end

end % dspblkstddev
