function dspmltiTwoChanSubbandDynamicDialogUpdate(blkh)
% dspmltiTwoChanSubbandDynamicDialogUpdate Shared dynamic dialog
% functionality for the Two-Channel Subband Filter block dialogs.

% Copyright 2015 The MathWorks, Inc.

vis_old = get_param(blkh, 'MaskVisibilities');
vis_new = vis_old;

if strcmp(get_param(blkh,'InputProcessing'), 'Elements as channels (sample based)')
    % 'Elements as channels (sample based)'
    %     ->  NO user-specified 'Rate options'
    rateOptionsPrmOnOffStr = 'off';
    rateOptMRLabelOnOffStr = 'on';
else
    % 'Columns as channels (frame based)' OR 'Inherited ...'
    %     -> user-specified 'Rate options'
    rateOptionsPrmOnOffStr = 'on';
    rateOptMRLabelOnOffStr = 'off';
end

maskNames    = get_param(blkh,'MaskNames');
framingIndex = find(strcmp(maskNames(:),'framing'));
if ~isempty(framingIndex)
    vis_new{framingIndex} = rateOptionsPrmOnOffStr;
end

blkMaskObj   = Simulink.Mask.get(blkh);
RateOptMRStr = blkMaskObj.getDialogControl('rateOptsAllowMultirateTextVar');

% Control all PARAMETER UI settings here
if ~isequal(vis_new,vis_old)
    set_param(blkh, 'MaskVisibilities', vis_new);
end

% Control all PROPERTY UI settings here
RateOptMRStr.Visible = rateOptMRLabelOnOffStr;
