function dtInfo = getFIRRateConversionFixptInfoFromSysObj(hd)
% Map System object fixedpoint properties to dtInfo structure for block
% usage
%
% This function is used for FIR Interpolator, FIR Decimator and FIR Rate
% Converter blocks

% Copyright 2014 The MathWorks, Inc.

dtInfo  = initializeFIRRateConversionFixedPointDefaults;
dtInfoFixpt = getFixedPointInfo(hd);

dtInfo.firstCoeffMode = dtInfoFixpt.CoefficientsDataType;
dtInfo.firstCoeffWordLength = dtInfoFixpt.CoefficientsWordLength;
dtInfo.firstCoeffFracLength = dtInfoFixpt.CoefficientsFracLength;
dtInfo.prodOutputMode = dtInfoFixpt.ProductDataType;
dtInfo.prodOutputWordLength = dtInfoFixpt.ProductWordLength;
dtInfo.prodOutputFracLength = dtInfoFixpt.ProductFracLength;
dtInfo.accumMode = dtInfoFixpt.AccumulatorDataType;
dtInfo.accumWordLength = dtInfoFixpt.AccumulatorWordLength;
dtInfo.accumFracLength = dtInfoFixpt.AccumulatorFracLength;
dtInfo.outputMode = dtInfoFixpt.OutputDataType;
dtInfo.outputWordLength = dtInfoFixpt.OutputWordLength;
dtInfo.outputFracLength = dtInfoFixpt.OutputFracLength;
dtInfo.overflowMode = dtInfoFixpt.OverflowAction;
dtInfo.roundingMode = dtInfoFixpt.RoundingMethod;