function dtInfo = initializeFIRRateConversionFixedPointDefaults()
  
% Initialize block fixed-point parameter defaults
%
% This function is used for FIR Interpolator, FIR Decimator and FIR Rate
% Converter blocks

% Copyright 2014 The MathWorks, Inc.

   % Initialize all to defaults
  dtInfo.arithmetic = 0; % Default: double-precision arithmetic
  dtInfo.inputWordLength  = 16;
  dtInfo.inputFracLength  = 15;
  dtInfo.firstCoeffMode = 2; % Default: same word length as input
  dtInfo.firstCoeffWordLength = 16;
  dtInfo.firstCoeffFracLength = 15;
  dtInfo.prodOutputMode = 2; % Default: same as input
  dtInfo.prodOutputWordLength = 32;
  dtInfo.prodOutputFracLength = 30;
  dtInfo.accumMode = 3; % Default: same as product output
  dtInfo.accumWordLength = 32;
  dtInfo.accumFracLength = 30;
  dtInfo.outputMode = 4; % Default: same as accumulator
  dtInfo.outputWordLength = 16;
  dtInfo.outputFracLength = 15;
  dtInfo.overflowMode = 1;
  dtInfo.roundingMode = 3; % floor