function tocdspfilterdesign
% FIR, IIR Filter Design Functions
% --------------------------------
%
%   <a href="matlab:help ca2tf                        ">ca2tf</a>                        - Coupled allpass to transfer function conversion
%   <a href="matlab:help cl2tf                        ">cl2tf</a>                        - Coupled allpass lattice to transfer function conversion
%   <a href="matlab:help designFracDelayFIR           ">designFracDelayFIR</a>           - Fractional delay FIR filter
%   <a href="matlab:help designMultirateFIR           ">designMultirateFIR</a>           - Multirate FIR filter
%   <a href="matlab:help designMultistageDecimator    ">designMultistageDecimator</a>    - Multistage decimator design
%   <a href="matlab:help designMultistageInterpolator ">designMultistageInterpolator</a> - Multistage interpolator design
%   <a href="matlab:help fircband                     ">fircband</a>                     - Constrained-band equiripple FIR filter
%   <a href="matlab:help firceqrip                    ">firceqrip</a>                    - Constrained equiripple FIR filter
%   <a href="matlab:help fireqint                     ">fireqint</a>                     - Equiripple FIR interpolators
%   <a href="matlab:help firgr                        ">firgr</a>                        - Parks-McClellan FIR filter
%   <a href="matlab:help firhalfband                  ">firhalfband</a>                  - Halfband FIR filter
%   <a href="matlab:help firlpnorm                    ">firlpnorm</a>                    - Least P-norm optimal FIR filter
%   <a href="matlab:help firls                        ">firls</a>                        - Least-square linear-phase FIR filter design
%   <a href="matlab:help firminphase                  ">firminphase</a>                  - Minimum-phase FIR spectral factor
%   <a href="matlab:help firnyquist                   ">firnyquist</a>                   - Lowpass Nyquist (Lth-band) FIR filter
%   <a href="matlab:help firpr2chfb                   ">firpr2chfb</a>                   - Two-channel FIR filter bank for perfect reconstruction
%   <a href="matlab:help ifir                         ">ifir</a>                         - Interpolated FIR filter from filter specification
%   <a href="matlab:help iircomb                      ">iircomb</a>                      - IIR comb notch or peak filter
%   <a href="matlab:help iirgrpdelay                  ">iirgrpdelay</a>                  - Optimal IIR filter with prescribed group-delay
%   <a href="matlab:help iirlpnorm                    ">iirlpnorm</a>                    - Least P-norm optimal IIR filter
%   <a href="matlab:help iirlpnormc                   ">iirlpnormc</a>                   - Constrained least Pth-norm optimal IIR filter
%   <a href="matlab:help iirnotch                     ">iirnotch</a>                     - Second-order IIR notch filter
%   <a href="matlab:help iirpeak                      ">iirpeak</a>                      - Second-order IIR peak or resonator filter
%   <a href="matlab:help tf2ca                        ">tf2ca</a>                        - Transfer function to coupled allpass conversion
%   <a href="matlab:help tf2cl                        ">tf2cl</a>                        - Transfer function to coupled allpass lattice conversion

% <a href="matlab: help dsp">DSP System Toolbox TOC</a>

%   Copyright 2013-2020 The MathWorks, Inc.