function tocdspfiltertransform
% Transform filters to other forms, use features in a filter to develop another filter
% ------------------------------------------------------------------------------------
%
%   <a href="matlab:help firlp2hp        ">firlp2hp</a>          - Convert FIR lowpass filter to Type I FIR highpass filter
%   <a href="matlab:help firlp2lp        ">firlp2lp</a>          - Convert FIR Type I lowpass to FIR Type 1 lowpass with inverse bandwidth
%   <a href="matlab:help iirbpc2bpc      ">iirbpc2bpc</a>        - Transform IIR complex bandpass filter to IIR complex bandpassfilter with different characteristics
%   <a href="matlab:help iirlp2bp        ">iirlp2bp</a>          - Transform IIR lowpass filter to IIR bandpass filter
%   <a href="matlab:help iirlp2bpc       ">iirlp2bpc</a>         - IIR lowpass to complex bandpass transformation
%   <a href="matlab:help iirlp2bs        ">iirlp2bs</a>          - Transform IIR lowpass filter to IIR bandstop filter
%   <a href="matlab:help iirlp2bsc       ">iirlp2bsc</a>         - Transform IIR lowpass filter to IIR complex bandstop filter
%   <a href="matlab:help iirlp2hp        ">iirlp2hp</a>          - Transform lowpass IIR filter to highpass filter
%   <a href="matlab:help iirlp2lp        ">iirlp2lp</a>          - Transform lowpass IIR filter to different lowpass filter
%   <a href="matlab:help iirlp2mb        ">iirlp2mb</a>          - Transform IIR lowpass filter to IIR M-band filter
%   <a href="matlab:help iirlp2mbc       ">iirlp2mbc</a>         - Transform IIR lowpass filter to IIR complex M-band filter
%   <a href="matlab:help iirlp2xc        ">iirlp2xc</a>          - Transform IIR lowpass filter to IIR complex N-point filter
%   <a href="matlab:help iirlp2xn        ">iirlp2xn</a>          - Transform IIR lowpass filter to IIR real N-point filter
%   <a href="matlab:help iirpowcomp      ">iirpowcomp</a>        - Power complementary IIR filter

% <a href="matlab: help dsp">DSP System Toolbox TOC</a>

%   Copyright 2013-2019 The MathWorks, Inc.
