function [outData] = DownSampleTransform(inData)
%

% Copyright 2014-2022 The MathWorks, Inc.

outData.NewInstanceData = inData.InstanceData;
instanceData = inData.InstanceData;

ipIndex       = -1;
isInherited   = false;
for i=1:length(instanceData)
    if strcmp(instanceData(i).Name, 'InputProcessing')
        ipIndex = i;
        if strcmp(instanceData(ipIndex).Value,  'Inherited (this choice will be removed - see release notes)')
            isInherited = true;
        end
        break;
    end
end

roIndex = -1;
for i=1:length(instanceData)
    if strcmp(instanceData(i).Name, 'RateOptions')
        roIndex = i;
        break;
    end
end

if ipIndex == -1
    outData.NewInstanceData(end+1) = struct('Name','InputProcessing','Value',...
        'Inherited (this choice will be removed - see release notes)');
    isInherited = true;
end

if isInherited
   % Remove RateOptions
   if roIndex ~= -1
      outData.NewInstanceData = [ outData.NewInstanceData(1:roIndex-1) outData.NewInstanceData(roIndex+1:end)];
   end
end

% If AllowArbitraryFixedInput does not exist, populate it with false
AllowArbitraryFixedInputIdx = find(ismember({instanceData.Name},'AllowArbitraryFixedInput'),1);

if isempty(AllowArbitraryFixedInputIdx)
   outData.NewInstanceData = [outData.NewInstanceData struct('Name','AllowArbitraryFixedInput','Value','off')];
end

% New block path
outData.NewBlockPath = 'dspsigops/Downsample';

end
