function [outData] = dspDCTBlockTransform(inData)
% dspDCTBlockTransform preserves functionality for legacy DCT, IDCT blocks. 
%
%   This is an internal function called by Simulink(R) during model load.

% Copyright 2015 The MathWorks, Inc.

newInstanceData = inData.InstanceData;

% Obsolete parameters REMOVED (no longer used):
%  (15b) 'Dimension' 'TableOpt' 'BitRevOrder' 'SkipNorm'
newInstanceData = removeObsoleteParameter(newInstanceData, 'Dimension');
newInstanceData = removeObsoleteParameter(newInstanceData, 'TableOpt');
newInstanceData = removeObsoleteParameter(newInstanceData, 'BitRevOrder');
newInstanceData = removeObsoleteParameter(newInstanceData, 'SkipNorm');

outData.NewInstanceData = newInstanceData;
outData.NewBlockPath    = inData.ForwardingTableEntry.('__slOldName__');

end

% -------------------------------------------------------------------------
function newInstanceData = removeObsoleteParameter(newInstanceData, parameterName)
for index=1:length(newInstanceData)
    if strcmp(newInstanceData(index).Name, parameterName)
        % Remove the parameter
        newInstanceData = [newInstanceData(1:index-1) newInstanceData(index+1:end)];
        break;
    end
end
end
