function [outData] = dspFFTBlockTransform(inData)
% dspDCTBlockTransform preserves functionality for legacy FFT, IFFT blocks.
%
%   This is an internal function called by Simulink(R) during model load.

% Copyright 2015 The MathWorks, Inc.

newInstanceData = inData.InstanceData;

% Obsolete parameters REMOVED (no longer used):
%  (15b) 'additionalParams', 'allowOverrides', 'RowConvenienceOn'
newInstanceData = removeObsoleteParameter(newInstanceData, 'additionalParams');
newInstanceData = removeObsoleteParameter(newInstanceData, 'allowOverrides');
newInstanceData = removeObsoleteParameter(newInstanceData, 'RowConvenienceOn');

outData.NewInstanceData = newInstanceData;
outData.NewBlockPath    = inData.ForwardingTableEntry.('__slOldName__');

end % dspFFTBlockTransform

% -------------------------------------------------------------------------
function newInstanceData = removeObsoleteParameter(newInstanceData, parameterName)
for index=1:length(newInstanceData)
    if strcmp(newInstanceData(index).Name, parameterName)
        % Remove the parameter
        newInstanceData = [newInstanceData(1:index-1) newInstanceData(index+1:end)];
        break;
    end
end
end
