function [outData] = dspFourthOrderSectionFilterTransform(inData)
% dspFourthOrderSectionFilterTransform maps the legacy CoefficientsPort
% parameter to CoefficientSource

%   This is an internal function called by Simulink(R) during model load.

% Copyright 2022 The MathWorks, Inc.

instanceData = inData.InstanceData;
outData.NewInstanceData = instanceData;

% Map CoefficientsPort to CoefficientSource
coeffPortsIdx = find(ismember({instanceData.Name},'CoefficientsPort'),1);

if ~isempty(coeffPortsIdx)
    coeffPorts = instanceData(coeffPortsIdx).Value;
    % Remove CoefficientsPort from Output Instance
    outData.NewInstanceData(coeffPortsIdx) = [];
    % Update the output instance with the new CoefficientSource
    if strcmpi(coeffPorts,'on')
        outData.NewInstanceData = [outData.NewInstanceData struct('Name','CoefficientSource','Value','Input ports')];
    else
        outData.NewInstanceData = [outData.NewInstanceData struct('Name','CoefficientSource','Value','Dialog Parameters')];
    end
end
% New block path
outData.NewBlockPath = inData.ForwardingTableEntry.('__slOldName__');