function [outData] = dspFrameOutputTransform(inData)
% dspFrameOutputTransform Function preserves functionality for legacy
% blocks that output frame-based signals. Parameter OutputFrames was
% introduced in R2015b. 
%
%   This is an internal function called by Simulink(R) during model load.

% Copyright 2014 The MathWorks, Inc.

InstanceData = inData.InstanceData;
outData.NewInstanceData = InstanceData;

index = -1; % -1 Means not found
for i=1:length(InstanceData)
    if strcmp(InstanceData(i).Name, 'OutputFrames')
        index = i;
        break;
    end
end

if index == -1
  outData.NewInstanceData(end+1) =  struct('Name', 'OutputFrames', 'Value', 'on');
end

outData.NewBlockPath = inData.ForwardingTableEntry.('__slOldName__');