function [outData] = dspInheritedInpuProcessingTransform(inData)
% dspInheritedInpuProcessingTransform Flip InputProcessing parameters set
% to Inherited to frame-based.
%
%   This is an internal function called by Simulink(R) during model load.

% Copyright 2015 The MathWorks, Inc.

InstanceData = inData.InstanceData;
outData.NewInstanceData = InstanceData;

index = -1; % -1 Means not found
for i=1:length(InstanceData)
    if strcmp(InstanceData(i).Name, 'InputProcessing')
        index = i;
        if ~isempty(strfind(InstanceData(i).Value,'Inherited'))
           outData.NewInstanceData(i).Value =  'Columns as channels (frame based)';
        end
        break;
    end
end

if index == -1
  outData.NewInstanceData(end+1) =  struct('Name', 'InputProcessing', 'Value', 'Columns as channels (frame based)');
end

outData.NewBlockPath = inData.ForwardingTableEntry.('__slOldName__');