function outData = dspMatrixSumTransform(inData)
% dspMatrixSumTransform Matrix Sum block transform
%
% This is an internal function called by Simulink(R) during model load.

% Copyright 2019 The MathWorks, Inc.

% Older models saved with dspmtrx3/Matrix Sum will be forwarded to
% dspobslib/Matrix Sum. Newer models created with dspmtrx3/Matrix Sum will
% not be forwarded to the dspobslib/Matrix Sum since the new block is a
% built-in and does not get saved under any library, they are floating
% blocks. 
% TODO: delete this file when we delete dspobslib/Matrix Sum and remove the
% forwarding table entry

InstanceData = inData.InstanceData;
% Assign it to outData
outData.NewInstanceData = InstanceData;
outData.NewBlockPath = sprintf('dspobslib/Matrix\nSum');
end
