function [outData] = dspSpectrumBlocksTransform(inData)
% dspSpectrumBlocksTransform Function preserves functionality for legacy
% cross-spectrum estimation and TFE blocks
%
%   This is an internal function called by Simulink(R) during model load.

% Copyright 2015-2020 The MathWorks, Inc.

InstanceData = inData.InstanceData;
outData.NewInstanceData = InstanceData;

for index=1:length(InstanceData)
    if strcmp(InstanceData(index).Name, 'FrequencyRange')
        val = InstanceData(index).Value;
        switch val
            case 'twosided'
                val = 'Two-sided';
            case 'onesided'
                val = 'One-sided';
            case 'centered'
                val = 'Centered';
        end
        outData.NewInstanceData(index).Value =  val;
        break;
    end
end

outData.NewBlockPath = inData.ForwardingTableEntry.('__slOldName__');