function [outData] = dspSpectrumEstimatorTransform(inData)
% dspSpectrumEstimatorTransform Function removes functionality for legacy
% spectrum estimator block

% Copyright 2014-2020 The MathWorks, Inc.

outData.NewInstanceData = inData.InstanceData;
% Old models with no Method parameter should use the Welch method
propIdx = ismember({inData.InstanceData.Name},'Method');
if ~any(propIdx)
    outData.NewInstanceData(end+1) = struct('Name','Method','Value',...
                                            'Welch');
end
% Old models with no AveragingMethod parameter should use the Running method
propIdx = ismember({inData.InstanceData.Name},'AveragingMethod');
if ~any(propIdx)
    outData.NewInstanceData(end+1) = struct('Name','AveragingMethod','Value',...
                                            'Running');
end
% Block path
outData.NewBlockPath = 'dspspect3/Spectrum Estimator';
end


