function [outData] = dspTreatMby1SignalsTransform(inData)
% dspRowConvTransform Function preserves functionality for legacy blocks
% that treat sample based rows in a special way
%
%   This is an internal function called by Simulink(R) during model load.

% Copyright 2016 The MathWorks, Inc.

InstanceData = inData.InstanceData;
outData.NewInstanceData = InstanceData;

index = -1; % -1 Means not found
for i=1:length(InstanceData)
    if strcmp(InstanceData(i).Name, 'TreatMby1Signals')
        index = i;
        break;
    end
end

 if index ~= -1
   % Remove the parameter
   outData.NewInstanceData = [outData.NewInstanceData(1:index-1) outData.NewInstanceData(index+1:end)];
 end

outData.NewBlockPath = inData.ForwardingTableEntry.('__slOldName__');
