function [outData] = dspTriggeredSignalToWorkspaceTransform(inData)
% dspTriggeredSignalToWorkspaceTransform Frame upgrade transform
%
%   This is an internal function called by Simulink(R) during model load.

% Copyright 2015 The MathWorks, Inc.

InstanceData = inData.InstanceData;
outData.NewInstanceData = InstanceData;

index = -1; % -1 Means not found
for i=1:length(InstanceData)
    if strcmp(InstanceData(i).Name, 'Save2DMode')
        index = i;
        if ~isempty(strfind(InstanceData(i).Value,'Inherit'))
           outData.NewInstanceData(i).Value =  '2-D array (concatenate along first dimension)';
        end
        break;
    end
end

if index == -1
  outData.NewInstanceData(end+1) =  struct('Name', 'Save2DMode', 'Value', '2-D array (concatenate along first dimension)');
end

outData.NewBlockPath = inData.ForwardingTableEntry.('__slOldName__');