function [outData] = dspWindowRowConvTransform(inData)
% dspWindowRowConvTransform Remove row convenience parameter from window
% block
%
%   This is an internal function called by Simulink(R) during model load.

% Copyright 2014 The MathWorks, Inc.

InstanceData = inData.InstanceData;
outData.NewInstanceData = InstanceData;

parameterName = 'RowConvenienceOn';
index = -1; % -1 Means not found
for i=1:length(InstanceData)
    if strcmp(InstanceData(i).Name, parameterName)
        index = i;
        break;
    end
end

 if index ~= -1
   % Remove the parameter
   outData.NewInstanceData = [outData.NewInstanceData(1:index-1) outData.NewInstanceData(index+1:end)];
 end

outData.NewBlockPath = inData.ForwardingTableEntry.('__slOldName__');