function [outData] = removeLockScaleParamTransform(inData)
%

% Copyright 2017 The MathWorks, Inc.

% Load old models with LockScale mask parameter removed

itemIndex = 0;

% Starting at the second index value, search for 'LockScale'
% within inData.InstanceData (and remove it if it is found).
for idx=2:length(inData.InstanceData)
    if strcmp(inData.InstanceData(idx).Name, 'LockScale')
        itemIndex = idx;
        break;
    end
end

if itemIndex > 0
    % Remove data from index "idx" from the list
    outData.NewInstanceData = ...
        [inData.InstanceData( 1:(itemIndex-1) ); ...
         inData.InstanceData((itemIndex+1):end) ];
else
    % No change to instance data; just a copy
    outData.NewInstanceData = inData.InstanceData;
end

% No change to block path (use same as in table entry)
outData.NewBlockPath = inData.ForwardingTableEntry.('__slOldName__');

end
