 function registerCompiledFixedPointInfo(fixedPointInfo,blk)
  % REGISTERCOMPILEDFIXEDPOINTINFO Write the block's compiled fixed-point
  % information to its UserData structure
  %
  % fixedPointInfo: Structure holding the fixed-point compiled info
  % blk:            Block handle
 
 %   Copyright 2014 The MathWorks, Inc.

 model = bdroot(blk);
 
 % This function should not dirty the model
 dirtyFlag = get_param(model,'Dirty');
 d = onCleanup(@()set_param(model,'Dirty',dirtyFlag));

 % Append fixed-point info the block's UserData
 UserData = get_param(blk,'UserData');
 UserData.fixedPointInfo = fixedPointInfo;
 set_param(blk,'UserData',UserData)
 
 end