function retVal = hdldspfeature(varargin)
%HDLDSPFEATURE  Undocumented internal MathWorks command for feature diagnostics

%   Copyright 2012-2016 The MathWorks, Inc.

%   This is an internal function that should never show up in any documentation.
%   It should not appear in Contents.m
%

narginchk(1, 2);

mlock;
persistent hdldspFeatureMap

if isempty(hdldspFeatureMap)
    hdldspFeatureMap = containers.Map('KeyType', 'char', 'ValueType', 'any');
    % FFT Length is limited to 2^16 point.
    hdldspFeatureMap('ExtendedFFTLength') = 'off';
    % FFT input vector size is limited to 64
    hdldspFeatureMap('ExtendedFFTInputSize') = 'off';
    
    % Channelizer Length is limited to 2^16 point.
    hdldspFeatureMap('ExtendedChannelizerFrequencyBand') = 'off';
    % Channelizer input vector size is limited to 64
    hdldspFeatureMap('ExtendedChannelizerInputSize') = 'off'; 
end

featureName  = varargin{1};

if nargin == 2
    
    featureValue = varargin{2};
    
    % set feature value
    hdldspFeatureMap(featureName) = featureValue;
  
end

% get feature value;
retVal = [];
if hdldspFeatureMap.isKey(featureName)
    retVal = hdldspFeatureMap(featureName);
end
%   Usage (put it to the last to avoid accidental exposure through help)
%   hdlfeature('FeatureName') -- get the current feature value
%   hdlfeature('FeatureName', value)  -- set the current feature value
end

