function [value,status] = safeEval(varStr)
% Utility function for safely evaluating variable name in base and current
% workspace

% Copyright 2014 The MathWorks, Inc.

value = NaN;
status = false;

if ~isvarname(varStr) 
    % not a variable name 
    % Could be a numeric expression or a function call
    % Eval:
    try
        value = eval(varStr);
        status = true;
    catch e %#ok
        % avoid catastrophic failure
    end
else
    if exist(varStr)~=4 %#ok % not a model/library
        try
            value = evalin('base',varStr);
            status = true;
        catch e %#ok
            % avoid catastrophic failure
        end
    end
end

end