function [list, lib] = showsignalblockdatatypetable(Action)
%SHOWSIGNALBLOCKDATATYPETABLE Launch DSP System Toolbox Data-type Support
%Table
%   SHOWSIGNALBLOCKDATATYPETABLE launches html page in help browser to show
%   data type support and production intent information for DSP System
%   Toolbox.
%
%   SHOWSIGNALBLOCKDATATYPETABLE('LaunchHTML') launches html page in help
%   browser to show data type support and production intent information for
%   DSP System Toolbox.
%
%   [list, lib] = SHOWSIGNALBLOCKDATATYPETABLE('GetListandLib') get the DSP
%   System Toolbox liblist and DSP System Toolbox block library names.

% Copyright 1995-2021 The MathWorks, Inc.

if nargin == 0
    Action = 'LaunchHTML';
end

switch Action
    case 'LaunchHTML'
        % DSPLIB must be loaded for this function to work.
        if isempty(find_system('SearchDepth', 0, 'CaseSensitive', 'off', 'Name', 'dsplibv4'))
            disp(DAStudio.message('dsp:bcst:LoadingDSPLib'));
            load_system('dsplibv4');
        end
        sl('bcstMakeSlSupportTable', 'dspliblist.m', false, 'dsplibv4');
        
    case 'GetListandLib'
        list = 'dspliblist';
        lib = 'dsplibv4';
        
    otherwise
        warning(message('dsp:showsignalblockdatatypetable:BCSTUnknownAct', Action));
end