function thisdisp(this)
%DISP   Display this object.

%   Author(s): J. Schickler
%   Copyright 1999-2021 The MathWorks, Inc.

fn = fieldnames(this);
idx = [5 3 2 1 4];

% Reorder the fields States and InputOffset.
ispersistent = this.PersistentMemory;
if ispersistent
    idx = [idx 8 6];
end
fn = fn(idx);

for i=1:length(fn)
    snew.(fn{i}) = get(this, fn{i});
end

snew = changedisplay(snew,'PersistentMemory',mat2str(ispersistent));

% Look for extra new line feeds, we want to get rid of them all.
sndx = min(regexp(snew, '\w'));
sndx = find(snew(1:sndx-1) == newline, 1, 'last' );
snew(1:sndx) = [];

sndx = max(regexp(snew, '\w'));
sndx = find(snew(sndx:end) == newline, 1 )+sndx;
snew(sndx:end) = [];

if ispersistent
    snew = strrep(snew, sprintf('[1x%d filtstates.cic]', length(this.States)), ...
        dispstr(this.States, 31));
end

disp(snew(1:end-1))

s = settings;
currentFormatSpacing = s.matlab.commandwindow.DisplayLineSpacing.ActiveValue;
if strcmpi(currentFormatSpacing, 'loose')
    disp(' ');
end

disp(this.filterquantizer,23);

% [EOF]
