function ifiltstruct = mapInternalmfilt(filtstruct, allowedInternal)
% mapInternalmfilt
%
% Map filtstruct to its deprecated-internal mfilt equivalent. Conversion
% may be disabled by setting allowedInternal to false (assumed true by
% default).

%   Copyright 2021 The MathWorks, Inc.

if nargin<2
    allowedInternal = true;
end

% Add more mfilts to that list as they are deprecated
internalMfilts = {  'firinterp',...
                    'linearinterp',...
                    'holdinterp',...
                    'fftfirinterp',...
                    'cicinterp',...
                    'iirinterp'};

% Convert to char if string
filtstruct  = char(filtstruct);


% By default - return input.
ifiltstruct = filtstruct;


% Expected pattern: mfilt.xyz
if ~startsWith(filtstruct,'mfilt.')
    return;
end

% Split
S = split(filtstruct,'.');

if allowedInternal && any(strcmpi(S(end),internalMfilts))
    % Add .internal prefix
    ifiltstruct = ['dsp.internal.' filtstruct];
end
