function validatemultiratesysobjstructs(this, method, struct, sysObjFlag)
%DESIGN   

%   Copyright 2011-2016 The MathWorks, Inc.

% List of valid System object structures
validSysObjStructs = validstructures(this,method,'SystemObject',true);
if sysObjFlag
  % If sysObjFlag is true, then check if the requested structure is
  % supported by System objects before designing the filter.
  if isempty(intersect(validSysObjStructs,struct))
    error(message('dsp:fdesign:basecatalog:StructureNotSupportedBySystemObjects',struct,'''SystemObject'''))
  end
else
  % If sysObjFlag is absent or false, throw a warning to set it to true as
  % long as the requested structure is supported by System objects. MFILT
  % objects are on their deprecation path, and we want to prevent / reduce
  % generation of MFILT objects.
  if ~isempty(intersect(validSysObjStructs,struct))
     warning(message('dsp:fdesign:basecatalog:UseSystemObjectForMultirateDesigns'));
  end
end