classdef (Abstract) abstractbuttercomb < fmethod.abstractdesign
%fdfmethod.abstractbuttercomb class
%   fdfmethod.abstractbuttercomb extends fmethod.abstractdesign.
%
%    fdfmethod.abstractbuttercomb properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.abstractbuttercomb methods:
%       createobj -   Create the filter object from the coefficients.
%       get_structure -   PreGet function for the 'structure' property.
%       getexamples -   Get the examples.
%       getvalidstructs -   Get the validstructs.
%       help -   Generic help for butterworth comb designs.
%       isfir -    True if the object is fir
%       shelving2comb -  Convert shelving filter to a comb filter



    methods  % public methods
    Hd = createobj(this,coeffs)
    structure = get_structure(this,structure)
    examples = getexamples(this)
    validstructs = getvalidstructs(this)
    help(this)
    b = isfir(this)
    coeffs = shelving2comb(this,L,s,g)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    coeffs = actualdesign(this,hs)
end  % possibly private or hidden 

end  % classdef

