classdef (Abstract) abstractbutterhalfband < fmethod.abstractclassiciir
%fdfmethod.abstractbutterhalfband class
%   fdfmethod.abstractbutterhalfband extends fmethod.abstractclassiciir.
%
%    fdfmethod.abstractbutterhalfband properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       DesignMode - Property is of type 'IIRHalfbandDesignMode enumeration: {'Singlerate','Interpolator','Decimator'}'  
%
%    fdfmethod.abstractbutterhalfband methods:
%       get_structure -   PreGet function for the 'structure' property.
%       getvalidstructs -   Get the validstructs.


properties (AbortSet, SetObservable, GetObservable)
    %DESIGNMODE Property is of type 'IIRHalfbandDesignMode enumeration: {'Singlerate','Interpolator','Decimator'}' 
    DesignMode = 'Singlerate';
end


    methods 
        
        function vals = getAllowedStringValues(~,prop)
            switch prop
                case 'DesignMode'
                    vals = {'Singlerate','Interpolator','Decimator'};
                otherwise
                    vals = {};
            end
        end
        
        function varargout = set(obj,varargin)
            [varargout{1:nargout}] = signal.internal.signalset(obj,varargin{:});
        end
        
        function set.DesignMode(obj,value)
        value = validatestring(value,getAllowedStringValues(obj,'DesignMode'),'','DesignMode');
        obj.DesignMode = value;
        end

    end   % set and get functions 

    methods  % public methods
    structure = get_structure(this,structure)
    validstructs = getvalidstructs(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    varargout = actualdesign(this,specs)
    Hd = createobj(this,varargin)
    help(this)
    s = thisdesignopts(this,s)
end  % possibly private or hidden 

end  % classdef

