classdef (Abstract) abstracteqriparbmagmin < fmethod.abstracteqrip
%fdfmethod.abstracteqriparbmagmin class
%   fdfmethod.abstracteqriparbmagmin extends fmethod.abstracteqrip.
%
%    fdfmethod.abstracteqriparbmagmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       MaxPhase - Property is of type 'bool'  
%       MinOrder - Property is of type 'minorderrestrict enumeration: {'any','even','odd'}'  
%       InitOrder - Property is of type 'int'  
%
%    fdfmethod.abstracteqriparbmagmin methods:
%       parsedesignopts - Parse design options


properties (AbortSet, SetObservable, GetObservable)
    %MAXPHASE Property is of type 'bool' 
    MaxPhase = false;
    %MINORDER Property is of type 'minorderrestrict enumeration: {'any','even','odd'}' 
    MinOrder = 'any';
    %INITORDER Property is of type 'int' 
    InitOrder = 3;
end


    methods 
        function set.MaxPhase(obj,value)
        % DataType = 'bool'
        validateattributes(value,{'logical','numeric'}, {'scalar'},'','MaxPhase')
        obj.MaxPhase = logical(value);
        end

        function vals = getAllowedStringValues(~,prop)
            switch prop
                case 'MinOrder'
                    vals = {'any','even','odd'};
                otherwise
                    vals = {};
            end
        end
        
        function varargout = set(obj,varargin)
            [varargout{1:nargout}] = signal.internal.signalset(obj,varargin{:});
        end
        
        function set.MinOrder(obj,value)
        value = validatestring(value,getAllowedStringValues(obj,'MinOrder'),'','MinOrder');
        obj.MinOrder = value;
        end

        function set.InitOrder(obj,value)
            % DataType = 'int'
        validateattributes(value,{'numeric'},{'scalar'},'','InitOrder')
        value = round(value); %  round to obtain an integer
        obj.InitOrder = value;
        end

    end   % set and get functions 

    methods  % public methods
    [lgrid,phaseStr,minOrderStr,N] = parsedesignopts(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    help_initorder(~)
    s = thisdesignopts(~,s,varargin)
end  % possibly private or hidden 

end  % classdef

