classdef (Abstract) abstracteqriphp < fmethod.eqriphp
%fdfmethod.abstracteqriphp class
%   fdfmethod.abstracteqriphp extends fmethod.eqriphp.
%
%    fdfmethod.abstracteqriphp properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       Wpass - Property is of type 'posdouble user-defined'  
%       Wstop - Property is of type 'posdouble user-defined'  
%       MaxPhase - Property is of type 'bool'  
%       StopbandShape - Property is of type 'stopbandshapes enumeration: {'flat','linear','1/f'}'  
%       StopbandDecay - Property is of type 'double'  
%
%    fdfmethod.abstracteqriphp methods:
%       get_maxphase - PreGet function for the 'maxphase' property.
%       thisset_maxphase - SET_MAXPHASE PreSet function for the 'maxphase' property.


properties (AbortSet, SetObservable, GetObservable)
    %STOPBANDSHAPE Property is of type 'stopbandshapes enumeration: {'flat','linear','1/f'}' 
    StopbandShape = 'flat';
    %STOPBANDDECAY Property is of type 'double' 
    StopbandDecay = 0;
end

properties (Access=protected, AbortSet, SetObservable, GetObservable)
    %PRIVMAXPHASE Property is of type 'bool'
    privMaxPhase = false;
end

properties (Transient, SetObservable, GetObservable)
    %MAXPHASE Property is of type 'bool' 
    MaxPhase
end


    methods 
        function value = get.MaxPhase(obj)
        value = get_maxphase(obj,obj.MaxPhase);
        end
        function set.MaxPhase(obj,value)
            % DataType = 'bool'
        validateattributes(value,{'logical','numeric'}, {'scalar'},'','MaxPhase')
        obj.MaxPhase = set_maxphase(obj,logical(value));
        end

        function set.privMaxPhase(obj,value)
            % DataType = 'bool'
        validateattributes(value,{'logical'}, {'scalar'},'','privMaxPhase')
        obj.privMaxPhase = value;
        end

        function vals = getAllowedStringValues(~,prop)
            switch prop
                case 'StopbandShape'
                    vals = {'flat','linear','1/f'};
                otherwise
                    vals = {};
            end
        end
        
        function varargout = set(obj,varargin)
            [varargout{1:nargout}] = signal.internal.signalset(obj,varargin{:});
        end
        
        function set.StopbandShape(obj,value)
         value = validatestring(value,getAllowedStringValues(obj,'StopbandShape'),'','StopbandShape');
        obj.StopbandShape = value;
        end

        function set.StopbandDecay(obj,value)
            % DataType = 'double'
        validateattributes(value,{'double'}, {'scalar'},'','StopbandDecay')
        obj.StopbandDecay = value;
        end

    end   % set and get functions 

    methods  % public methods
    maxphase = get_maxphase(this,~)
    maxphase = thisset_maxphase(this,maxphase)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    s = thisdesignopts(~,s)
end  % possibly private or hidden 

end  % classdef

