classdef (Abstract) abstractfirceqrip < fmethod.abstracteqrip
%fdfmethod.abstractfirceqrip class
%   fdfmethod.abstractfirceqrip extends fmethod.abstracteqrip.
%
%    fdfmethod.abstractfirceqrip properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       StopbandShape - Property is of type 'limitedstopbandshapes enumeration: {'flat','linear'}'  
%       StopbandDecay - Property is of type 'double'  
%
%    fdfmethod.abstractfirceqrip methods:
%       actualdesign -   Design the filter.
%       set_densityfactor -   PreSet function for the 'densityfactor' property.


properties (AbortSet, SetObservable, GetObservable)
    %STOPBANDSHAPE Property is of type 'limitedstopbandshapes enumeration: {'flat','linear'}' 
    StopbandShape = 'flat';
    %STOPBANDDECAY Property is of type 'double' 
    StopbandDecay = 0;
end


    methods 
        
        function vals = getAllowedStringValues(~,prop)
            switch prop
                case 'StopbandShape'
                    vals = {'flat','linear'};
                otherwise
                    vals = {};
            end
        end
        
        function varargout = set(obj,varargin)
            [varargout{1:nargout}] = signal.internal.signalset(obj,varargin{:});
        end
        
        function set.StopbandShape(obj,value)
        value = validatestring(value, getAllowedStringValues(obj,'StopbandShape'),'','StopbandShape');
        obj.StopbandShape = value;
        end

        function set.StopbandDecay(obj,value)
            % DataType = 'double'
        validateattributes(value,{'double'}, {'scalar'},'','StopbandDecay')
        obj.StopbandDecay = value;
        end

    end   % set and get functions 

    methods  % public methods
    b = actualdesign(this,hspecs)
    densityfactor = set_densityfactor(this,densityfactor)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    help_isincparams(~,type)
    s = thisdesignopts(this,s)
end  % possibly private or hidden 

end  % classdef

