classdef (Abstract) abstractifir < fdfmethod.abstractmultistage
%fdfmethod.abstractifir class
%   fdfmethod.abstractifir extends fdfmethod.abstractmultistage.
%
%    fdfmethod.abstractifir properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       rcf - Property is of type 'int'  
%       UpsamplingFactor - Property is of type 'mxArray'  
%       JointOptimization - Property is of type 'bool'  
%
%    fdfmethod.abstractifir methods:
%       determineufactor -   Determine optimal upsampling factor.
%       ifirdesign -   Design the filters using IFIR.
%       set_uf -   PreSet function for the 'uf' property.


properties (AbortSet, SetObservable, GetObservable)
    %UPSAMPLINGFACTOR Property is of type 'mxArray' 
    UpsamplingFactor = 'auto';
    %JOINTOPTIMIZATION Property is of type 'bool' 
    JointOptimization = false;
end


    methods 
        function set.UpsamplingFactor(obj,value)
        obj.UpsamplingFactor = set_uf(obj,value);
        end

        function set.JointOptimization(obj,value)
            % DataType = 'bool'
        validateattributes(value,{'logical'}, {'scalar'},'','JointOptimization')
        obj.JointOptimization = value;
        end

    end   % set and get functions 

    methods  % public methods
    cm = determineufactor(this,Fedges,Aedges,Dev,rcf)
    Hd = ifirdesign(this,hs,cm)
    uf = set_uf(~,uf)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    Hd = createobj(this,coeffs)
    help(this)
end  % possibly private or hidden 

end  % classdef

