function ns = set_ns(~, ns)
%SET_NS   PreSet function for the 'NSTAGES' property.

%   Copyright 2005-2019 The MathWorks, Inc.

if ischar(ns)
    if ~strcmpi(ns,'auto')
        error(message('dsp:schema:incorrectNumberOfStages'));
    end
else
    % Not a char
    if isnumeric(ns)
        if ns~=round(ns) || ns <= 0
            error(message('dsp:schema:incorrectNumberOfStages'));
        end
    else
        % Not numeric
        error(message('dsp:schema:incorrectNumberOfStages'));
    end
end