classdef butterhalfbandmin < fdfmethod.abstractbutterhalfband
%fdfmethod.butterhalfbandmin class
%   fdfmethod.butterhalfbandmin extends fdfmethod.abstractbutterhalfband.
%
%    fdfmethod.butterhalfbandmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       DesignMode - Property is of type 'IIRHalfbandDesignMode enumeration: {'Singlerate','Interpolator','Decimator'}'  
%
%    fdfmethod.butterhalfbandmin methods:
%       getexamples - Get the examples.
%       getorder -   Get the order.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = butterhalfbandmin
        %BUTTERHALFBANDMIN   Construct a BUTTERHALFBANDMIN object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.butterhalfbandmin;
        
        %Add dynamic properties to the class
        addsosprops(this);
        
        this.DesignAlgorithm = 'Butterworth';
        
        
        end  % butterhalfbandmin
        
    end  % constructor block

    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods

    methods  % public methods
    examples = getexamples(this)
    N = getorder(this,specs)
    vso = validspecobj(this)
end  % public methods 

end  % classdef

