classdef butterhphalfband < fdfmethod.butterhalfband
%fdfmethod.butterhphalfband class
%   fdfmethod.butterhphalfband extends fdfmethod.butterhalfband.
%
%    fdfmethod.butterhphalfband properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       DesignMode - Property is of type 'IIRHalfbandDesignMode enumeration: {'Singlerate','Interpolator','Decimator'}'  
%
%    fdfmethod.butterhphalfband methods:
%       getexamples - Get the examples.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = butterhphalfband
        %BUTTERHPHALFBAND Construct a BUTTERHPHALFBAND object

        % this = fdfmethod.butterhphalfband;
        this.DesignAlgorithm = 'Butterworth';
        
        
        end  % butterhphalfband
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    validstructs = getvalidstructs(this)
end  % public methods 

end  % classdef

