classdef butternotchq < fdfmethod.abstractbutter
%fdfmethod.butternotchq class
%   fdfmethod.butternotchq extends fdfmethod.abstractbutter.
%
%    fdfmethod.butternotchq properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstop enumeration: {'passband','stopband'}'  
%
%    fdfmethod.butternotchq methods:
%       getsosreorder - Get the sosreorder.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = butternotchq
        %BUTTERNOTCHQ   Construct a BUTTERNOTCHQ object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.butternotchq;
        
        %Add dynamic properties to the class
        addsosprops(this);
        
        this.DesignAlgorithm = 'Butterworth';
        
        
        end  % butternotchq
        
    end  % constructor block

    methods  % public methods
    sosreorder = getsosreorder(this)
    validstructs = getvalidstructs(this)
end  % public methods 

methods (Static) % static methods
    this = loadobj(s)
end  % static methods

    methods (Hidden) % possibly private or hidden
    coeffs = actualdesign(this,hs)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

