classdef butteroctave < fmethod.abstractbutter
%fdfmethod.butteroctave class
%   fdfmethod.butteroctave extends fmethod.abstractbutter.
%
%    fdfmethod.butteroctave properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstop enumeration: {'passband','stopband'}'  
%
%    fdfmethod.butteroctave methods:
%       getsosreorder - Get the sosreorder.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = butteroctave
        %BUTTEROCTAVE   Construct a BUTTEROCTAVE object.
        
        %   Author(s): V. Pellissier
        
        %Add dynamic properties to the class
        addsosprops(this);
  
        % this = fdfmethod.butteroctave;
        this.DesignAlgorithm = 'Butterworth Fractional Octave';
        
        
        end  % butteroctave
        
    end  % constructor block

    methods  % public methods
    sosreorder = getsosreorder(this)
    vso = validspecobj(this)
end  % public methods 

methods (Static) % static methods
    this = loadobj(s)
end  % static methods

    methods (Hidden) % possibly private or hidden
    varargout = actualdesign(this,hspecs)
    validstructs = fdfvalidstructs(this)
end  % possibly private or hidden 

end  % classdef

