classdef butterparameq < fdfmethod.abstractbutterparameq
%fdfmethod.butterparameq class
%   fdfmethod.butterparameq extends fdfmethod.abstractbutterparameq.
%
%    fdfmethod.butterparameq properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstop enumeration: {'passband','stopband'}'  
%
%    fdfmethod.butterparameq methods:
%       getexamples -   Get the examples.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = butterparameq
        %BUTTERPARAMEQ   Construct a BUTTERPARAMEQ object.
        
        %   Author(s): R. Losada
        
        %Add dynamic properties to the class
        addsosprops(this);
        % this = fdfmethod.butterparameq;
        
        
        this.DesignAlgorithm = 'Butterworth';
        
        
        end  % butterparameq
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
end  % public methods 

methods (Static) % static methods
    this = loadobj(s)
end  % static methods

    methods (Hidden) % possibly private or hidden
    coeffs = actualdesign(this,hs)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

