classdef butterparameqflfh < fdfmethod.abstractbutter
%fdfmethod.butterparameqflfh class
%   fdfmethod.butterparameqflfh extends fdfmethod.abstractbutter.
%
%    fdfmethod.butterparameqflfh properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstop enumeration: {'passband','stopband'}'  
%
%    fdfmethod.butterparameqflfh methods:
%       getexamples -   Get the examples.
%       getsosreorder - Get the sosreorder.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = butterparameqflfh
        %BUTTERPARAMEQFLFH   Construct a BUTTERPARAMEQFLFH object.
        
        %Add dynamic properties to the class
        addsosprops(this);
        %   Author(s): R. Losada
        
        % this = fdfmethod.butterparameqflfh;
        
        this.DesignAlgorithm = 'Butterworth';
        
        
        end  % butterparameqflfh
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    sosreorder = getsosreorder(this)
    validstructs = getvalidstructs(this)
end  % public methods 

methods (Static) % static methods
    this = loadobj(s)
end  % static methods

    methods (Hidden) % possibly private or hidden
    coeffs = actualdesign(this,hs)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

