classdef butterpeakq < fdfmethod.abstractbutter
%fdfmethod.butterpeakq class
%   fdfmethod.butterpeakq extends fdfmethod.abstractbutter.
%
%    fdfmethod.butterpeakq properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstop enumeration: {'passband','stopband'}'  
%
%    fdfmethod.butterpeakq methods:
%       getsosreorder - Get the sosreorder.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = butterpeakq
        %BUTTERPEAKQ   Construct a BUTTERPEAKQ object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.butterpeakq;
        
         %Add dynamic properties to the class
        addsosprops(this);
        
        this.DesignAlgorithm = 'Butterworth';
        
        
        end  % butterpeakq
        
    end  % constructor block
    
    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods

    methods  % public methods
    sosreorder = getsosreorder(this)
    validstructs = getvalidstructs(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    coeffs = actualdesign(this,hs)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

