classdef cheby1notchbw < fdfmethod.abstractcheby1
%fdfmethod.cheby1notchbw class
%   fdfmethod.cheby1notchbw extends fdfmethod.abstractcheby1.
%
%    fdfmethod.cheby1notchbw properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstop enumeration: {'passband','stopband'}'  
%
%    fdfmethod.cheby1notchbw methods:
%       getsosreorder - Get the sosreorder.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = cheby1notchbw
        %CHEBY1NOTCHBW   Construct a CHEBY1NOTCHBW object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.cheby1notchbw;
        
        %Add dynamic properties to the class
        addsosprops(this);
         
        this.DesignAlgorithm = 'Chebyshev type I';
        
        
        end  % cheby1notchbw
        
    end  % constructor block

    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods

    methods  % public methods
    sosreorder = getsosreorder(this)
    validstructs = getvalidstructs(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    coeffs = actualdesign(this,hs)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

