classdef cheby1peakbw < fdfmethod.abstractcheby1
%fdfmethod.cheby1peakbw class
%   fdfmethod.cheby1peakbw extends fdfmethod.abstractcheby1.
%
%    fdfmethod.cheby1peakbw properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstop enumeration: {'passband','stopband'}'  
%
%    fdfmethod.cheby1peakbw methods:
%       getsosreorder - Get the sosreorder.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = cheby1peakbw
        %CHEBY1PEAKBW   Construct a CHEBY1PEAKBW object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.cheby1peakbw;
        addsosprops(this);
        this.DesignAlgorithm = 'Chebyshev type I';
        
        
        end  % cheby1peakbw
        
    end  % constructor block

    methods  % public methods
    sosreorder = getsosreorder(this)
    validstructs = getvalidstructs(this)
end  % public methods 

methods (Static) % static methods
    this = loadobj(s)
end  % static methods

    methods (Hidden) % possibly private or hidden
    coeffs = actualdesign(this,hs)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

