classdef cheby2notchbw < fdfmethod.abstractcheby2
%fdfmethod.cheby2notchbw class
%   fdfmethod.cheby2notchbw extends fdfmethod.abstractcheby2.
%
%    fdfmethod.cheby2notchbw properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstop enumeration: {'passband','stopband'}'  
%
%    fdfmethod.cheby2notchbw methods:
%       getsosreorder - Get the sosreorder.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = cheby2notchbw
        %CHEBY2NOTCHBW   Construct a CHEBY2NOTCHBW object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.cheby2notchbw;
        
        %Add dynamic properties to the class
        addsosprops(this);
         
        this.DesignAlgorithm ='Chebyshev type II';
        
        
        end  % cheby2notchbw
        
    end  % constructor block

    methods  % public methods
    sosreorder = getsosreorder(this)
    validstructs = getvalidstructs(this)
end  % public methods 

methods (Static) % static methods
    this = loadobj(s)
end  % static methods

    methods (Hidden) % possibly private or hidden
    coeffs = actualdesign(this,hs)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

