classdef cheby2parameq < fdfmethod.abstractcheby2
%fdfmethod.cheby2parameq class
%   fdfmethod.cheby2parameq extends fdfmethod.abstractcheby2.
%
%    fdfmethod.cheby2parameq properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstop enumeration: {'passband','stopband'}'  
%
%    fdfmethod.cheby2parameq methods:
%       getsosreorder - Get the sosreorder.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = cheby2parameq
        %CHEBY2PARAMEQ   Construct a CHEBY2PARAMEQ object.
        
        %   Author(s): R. Losada
        %Add dynamic properties to the class
        addsosprops(this);
        % this = fdfmethod.cheby2parameq;
        
        this.DesignAlgorithm ='Chebyshev type II';
        
        
        end  % cheby2parameq
        
    end  % constructor block
    
    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods

    methods  % public methods
    sosreorder = getsosreorder(this)
    validstructs = getvalidstructs(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    coeffs = actualdesign(this,hs)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

