classdef designcicdecim < fdfmethod.abstractdesigncic
%fdfmethod.designcicdecim class
%   fdfmethod.designcicdecim extends fdfmethod.abstractdesigncic.
%
%    fdfmethod.designcicdecim properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.designcicdecim methods:
%       actualdesign -   CIC Decimator Number of Sections (N) estimator.
%       designopts - Structure of design options
%       get_structure -   PreGet function for the 'structure' property.
%       getvalidstructs -   Get the validstructs.
%       validspecobj -   Specifications object

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = designcicdecim
        %DESIGNCICDECIM   Construct a DESIGNCICDECIM object.
        
        %   Author(s): P. Costa
        
        % this = fdfmethod.designcicdecim;
        
        this.DesignAlgorithm = 'CIC Decimator';
        
        
        end  % designcicdecim
        
    end  % constructor block

    methods  % public methods
    varargout = actualdesign(this,fspec,R,M)
    s = designopts(this)
    structure = get_structure(this,structure)
    validstructs = getvalidstructs(this)
    str = validspecobj(h)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
end  % possibly private or hidden 

end  % classdef

