function varargout = actualdesign(this,fspec, R, M)
%ACTUALDESIGN   CIC Interpolator Number of Sections (N) estimator.

%   Author(s): P. Costa
%   Copyright 2005-2022 The MathWorks, Inc.

% Normalize usable passband frequency (fp); This algorithm expects that all
% frequencies are normalized (i.e., fp and fs);
nfreq = get(fspec, 'NormalizedFrequency'); 
normalizefreq(fspec, true); 
fp = get(fspec, 'Fpass'); 
normalizefreq(fspec, nfreq);

N = abstract_design(this,R,M,fp,fspec.Astop,'interp');

% Construct and return the MFILT.CICINTERP object.

if getDesignFlags(this).allowDFilts()
    Hm = dsp.internal.mfilt.cicinterp(R,M,N); 
else
    Hm = mfilt.cicinterp(R,M,N); %#ok This will emit an error (as should) 
end

varargout = {Hm};


% [EOF]
