classdef designcicinterp < fdfmethod.abstractdesigncic
%fdfmethod.designcicinterp class
%   fdfmethod.designcicinterp extends fdfmethod.abstractdesigncic.
%
%    fdfmethod.designcicinterp properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.designcicinterp methods:
%       actualdesign -   CIC Interpolator Number of Sections (N) estimator.
%       designopts - Structure of design options
%       get_structure -   PreGet function for the 'structure' property.
%       getvalidstructs -   Get the validstructs.
%       validspecobj -   Specifications object

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = designcicinterp
        %DESIGNCICINTERP   Construct a DESIGNCICINTERP object.
        
        %   Author(s): P. Costa
        
        % this = fdfmethod.designcicinterp;
        
        this.DesignAlgorithm = 'CIC Interpolator';
        
        
        end  % designcicinterp
        
    end  % constructor block

    methods  % public methods
    varargout = actualdesign(this,fspec,R,M)
    s = designopts(this)
    structure = get_structure(this,structure)
    validstructs = getvalidstructs(this)
    str = validspecobj(h)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
end  % possibly private or hidden 

end  % classdef

