classdef ellipalpmin < fdfmethod.abstractellip
%fdfmethod.ellipalpmin class
%   fdfmethod.ellipalpmin extends fdfmethod.abstractellip.
%
%    fdfmethod.ellipalpmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%
%    fdfmethod.ellipalpmin methods:

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function h = ellipalpmin
        %ELLIPALPMIN   Construct an ELLIPALPMIN object.
        
        %   Author(s): R. Losada
        
        % h = fdfmethod.ellipalpmin;
        
        %Add dynamic properties to the class
        addsosprops(h);
        
        h.DesignAlgorithm = 'Elliptic';
        
        
        end  % ellipalpmin
        
    end  % constructor block

    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods

    methods (Hidden) % possibly private or hidden
    Ha = design(h,hs)
end  % possibly private or hidden 

end  % classdef

