classdef ellipbscutoffwas < fdfmethod.abstractellipbpbscutoffwas
%fdfmethod.ellipbscutoffwas class
%   fdfmethod.ellipbscutoffwas extends fdfmethod.abstractellipbpbscutoffwas.
%
%    fdfmethod.ellipbscutoffwas properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%
%    fdfmethod.ellipbscutoffwas methods:
%       getsosreorder -   Get the sosreorder.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = ellipbscutoffwas
        %ELLIPBSCUTOFFWAS   Construct an ELLIPBSCUTOFFWAS object.
        
        %   Author(s): R. Losada
        
        %Add dynamic properties to the class
        addsosprops(this);
        
        % this = fdfmethod.ellipbscutoffwas;
        this.DesignAlgorithm = 'Elliptic';
        
        
        end  % ellipbscutoffwas
        
    end  % constructor block

    methods  % public methods
    sosreorder = getsosreorder(this)
    vso = validspecobj(this)
end  % public methods 

methods (Static) % static methods
    this = loadobj(s)
end  % static methods

    methods (Hidden) % possibly private or hidden
    Hd = actualdesign(this,specs)
end  % possibly private or hidden 

end  % classdef

