function [N,q,k] = gethalfbandspecs(this,specs)
%GETHALFBANDSPECS   Get the halfbandspecs.

%   Author(s): R. Losada
%   Copyright 2005-2019 The MathWorks, Inc.

N = specs.FilterOrder;

rstopsquared = 10^(specs.Astop/10) - 1;

rpasssquared = 1/rstopsquared;
Apass = 10*log10(1+rpasssquared); %#ok<NASGU>

D = (rstopsquared)/(rpasssquared);

[q,k] = computeq2(this,N,D);


% [EOF]
