classdef elliphalfbandfpass < fdfmethod.abstractelliphalfband
%fdfmethod.elliphalfbandfpass class
%   fdfmethod.elliphalfbandfpass extends fdfmethod.abstractelliphalfband.
%
%    fdfmethod.elliphalfbandfpass properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%       DesignMode - Property is of type 'IIRHalfbandDesignMode enumeration: {'Singlerate','Interpolator','Decimator'}'  
%
%    fdfmethod.elliphalfbandfpass methods:
%       getexamples - Get the examples.
%       gethalfbandspecs -   Get the halfbandspecs.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = elliphalfbandfpass
        %ELLIPHALFBANDFPASS   Construct an ELLIPHALFBANDFPASS object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.elliphalfbandfpass;
        
        %Add dynamic properties to the class
        addsosprops(this);
        
        this.DesignAlgorithm = 'Elliptic';
        
        
        end  % elliphalfbandfpass
        
    end  % constructor block
    
    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods

    methods  % public methods
    examples = getexamples(this)
    [N,q,k] = gethalfbandspecs(this,specs)
    vso = validspecobj(this)
end  % public methods 

end  % classdef

