classdef elliphilbertfpass < fdfmethod.abstractelliphilbert
%fdfmethod.elliphilbertfpass class
%   fdfmethod.elliphilbertfpass extends fdfmethod.abstractelliphilbert.
%
%    fdfmethod.elliphilbertfpass properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%
%    fdfmethod.elliphilbertfpass methods:
%       getexamples -   Get the examples.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = elliphilbertfpass
        %ELLIPHILBERTFPASS   Construct an ELLIPHILBERTFPASS object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.elliphilbertfpass;
        
        %Add dynamic properties to the class
        addsosprops(this);
        
        this.DesignAlgorithm = 'Elliptic';
        
        
        end  % elliphilbertfpass
        
    end  % constructor block

    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods

    methods  % public methods
    examples = getexamples(this)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    Hhalf = actualdesign(this,specs)
    help(this)
end  % possibly private or hidden 

end  % classdef

