classdef elliphpcutoffwas < fdfmethod.abstractellipcutoff
%fdfmethod.elliphpcutoffwas class
%   fdfmethod.elliphpcutoffwas extends fdfmethod.abstractellipcutoff.
%
%    fdfmethod.elliphpcutoffwas properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%
%    fdfmethod.elliphpcutoffwas methods:
%       getsosreorder -   Get the sosreorder.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.


methods (Static) % static methods
    this = loadobj(s)
end  % static methods

    methods  % constructor block
        function this = elliphpcutoffwas
        %ELLIPHPCUTOFFWAS   Construct an ELLIPHPCUTOFFWAS object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.elliphpcutoffwas;
         %Add dynamic properties to the class
        addsosprops(this);
        this.DesignAlgorithm = 'Elliptic';
        
        
        end  % elliphpcutoffwas
        
    end  % constructor block

    methods  % public methods
    sosreorder = getsosreorder(this)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    Hd = actualdesign(this,specs)
end  % possibly private or hidden 

end  % classdef

