classdef elliphphalfbandfpass < fdfmethod.elliphalfbandfpass
%fdfmethod.elliphphalfbandfpass class
%   fdfmethod.elliphphalfbandfpass extends fdfmethod.elliphalfbandfpass.
%
%    fdfmethod.elliphphalfbandfpass properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%       DesignMode - Property is of type 'IIRHalfbandDesignMode enumeration: {'Singlerate','Interpolator','Decimator'}'  
%
%    fdfmethod.elliphphalfbandfpass methods:
%       getexamples - Get the examples.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = elliphphalfbandfpass
        %ELLIPHPHALFBANDFPASS Construct an ELLIPHPHALFBANDFPASS object
        %   OUT = ELLIPHPHALFBANDFPASS(ARGS) <long description>

        % this = fdfmethod.elliphphalfbandfpass;
        this.DesignAlgorithm = 'Elliptic';
        
        
        end  % elliphphalfbandfpass
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    validstructs = getvalidstructs(this)
end  % public methods 

end  % classdef

