classdef elliplpcutoffwas < fdfmethod.abstractellipcutoff
%fdfmethod.elliplpcutoffwas class
%   fdfmethod.elliplpcutoffwas extends fdfmethod.abstractellipcutoff.
%
%    fdfmethod.elliplpcutoffwas properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%
%    fdfmethod.elliplpcutoffwas methods:
%       getsosreorder -   Get the sosreorder.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = elliplpcutoffwas
        %ELLIPLPCUTOFFWAS   Construct an ELLIPLPCUTOFFWAS object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.elliplpcutoffwas;
        %Add dynamic properties to the class
        addsosprops(this);
        this.DesignAlgorithm = 'Elliptic';
        
        
        end  % elliplpcutoffwas
        
    end  % constructor block

    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods

    methods  % public methods
    sosreorder = getsosreorder(this)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    Hd = actualdesign(this,specs)
end  % possibly private or hidden 

end  % classdef

