classdef ellipparameqaudioshelfs < fdfmethod.abstractellipparameqaudioshelf
%fdfmethod.ellipparameqaudioshelfs class
%   fdfmethod.ellipparameqaudioshelfs extends fdfmethod.abstractellipparameqaudioshelf.
%
%    fdfmethod.ellipparameqaudioshelfs properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%
%    fdfmethod.ellipparameqaudioshelfs methods:
%       getdesignspecs -   Get specs needed for actual design
%       getexamples -   Get the examples.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = ellipparameqaudioshelfs
        %ELLIPPARAMEQ   Construct an ELLIPPARAMEQAUDIOSHELFQA object.
        
        %Add dynamic properties to the class
        addsosprops(this);
        %   Author(s): R. Losada
        
        % this = fdfmethod.ellipparameqaudioshelfs;
        
        this.DesignAlgorithm ='Elliptic';
        
        
        end  % ellipparameqaudioshelfs
        
    end  % constructor block

    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods

    methods  % public methods
    specs = getdesignspecs(this,hs)
    examples = getexamples(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

