classdef ellipparameqminbwap < fdfmethod.abstractellip
%fdfmethod.ellipparameqminbwap class
%   fdfmethod.ellipparameqminbwap extends fdfmethod.abstractellip.
%
%    fdfmethod.ellipparameqminbwap properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%
%    fdfmethod.ellipparameqminbwap methods:
%       getsosreorder - Get the sosreorder.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = ellipparameqminbwap
        %ELLIPPARAMEQMINBWAP   Construct an ELLIPPARAMEQMINBWAP object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.ellipparameqminbwap;
        
        %Add dynamic properties to the class
        addsosprops(this);
        
        this.DesignAlgorithm = 'Elliptic';
        
        
        end  % ellipparameqminbwap
        
    end  % constructor block

    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods

    methods  % public methods
    sosreorder = getsosreorder(this)
    validstructs = getvalidstructs(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    coeffs = actualdesign(this,hs)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

