classdef ellippeakbw < fdfmethod.abstractellip
%fdfmethod.ellippeakbw class
%   fdfmethod.ellippeakbw extends fdfmethod.abstractellip.
%
%    fdfmethod.ellippeakbw properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%
%    fdfmethod.ellippeakbw methods:
%       getsosreorder - Get the sosreorder.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = ellippeakbw
        %ELLIPPEAKBW   Construct an ELLIPPEAKBW object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.ellippeakbw;
        addsosprops(this);
        this.DesignAlgorithm ='Elliptic';
        
        
        end  % ellippeakbw
        
    end  % constructor block

    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods

    methods  % public methods
    sosreorder = getsosreorder(this)
    validstructs = getvalidstructs(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    coeffs = actualdesign(this,hs)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

