classdef eqripbsconstrained < fdfmethod.abstracteqripbsord
%fdfmethod.eqripbsconstrained class
%   fdfmethod.eqripbsconstrained extends fdfmethod.abstracteqripbsord.
%
%    fdfmethod.eqripbsconstrained properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       Wpass1 - Property is of type 'posdouble user-defined'  
%       Wstop - Property is of type 'posdouble user-defined'  
%       Wpass2 - Property is of type 'posdouble user-defined'  
%       MaxPhase - Property is of type 'bool'  
%
%    fdfmethod.eqripbsconstrained methods:
%       designargs - Return the design function inputs.
%       getdesignfunction - Return the design function to be used in the
%       getexamples - Get the examples.
%       validspecobj - Returns the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.


properties (SetAccess=protected, AbortSet, SetObservable, GetObservable, Hidden)
    %PRIVCONSTRAINEDBANDS Property is of type 'double_vector user-defined' (hidden)
    privConstrainedBands = [];
end


    methods  % constructor block
        function this = eqripbsconstrained
        %EQRIPBSCONSTRAINED Construct an EQRIPBSCONSTRAINED object
        
        
        % this = fdfmethod.eqripbsconstrained;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqripbsconstrained
        
    end  % constructor block

    methods 
        function set.privConstrainedBands(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.privConstrainedBands = value;
        end

    end   % set and get functions 

    methods  % public methods
    args = designargs(this,hs)
    desfcn = getdesignfunction(~)
    examples = getexamples(~)
    s = validspecobj(~)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    s = thisdesignopts(this,s,hspecs)
end  % possibly private or hidden 

end  % classdef

