classdef eqripdiffmin < fmethod.abstracteqripdiffhilb
%fdfmethod.eqripdiffmin class
%   fdfmethod.eqripdiffmin extends fmethod.abstracteqripdiffhilb.
%
%    fdfmethod.eqripdiffmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%
%    fdfmethod.eqripdiffmin methods:
%       algoname -   Short design algorithm name
%       designargs -   Returns the inputs to the design function.
%       getexamples -   Get the examples.
%       validspecobj -   Returns the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqripdiffmin
        %EQRIPDIFFMIN   Construct an EQRIPDIFFMIN object.
        
        %   Author(s): P. Costa
        
        % this = fdfmethod.eqripdiffmin;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqripdiffmin
        
    end  % constructor block

    methods  % public methods
    name = algoname(this)
    args = designargs(this,hs)
    examples = getexamples(this)
    s = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
end  % possibly private or hidden 

end  % classdef

