classdef eqripdiffminmb < fmethod.abstracteqripdiffhilb
%fdfmethod.eqripdiffminmb class
%   fdfmethod.eqripdiffminmb extends fmethod.abstracteqripdiffhilb.
%
%    fdfmethod.eqripdiffminmb properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%
%    fdfmethod.eqripdiffminmb methods:
%       algoname -   Short design algorithm name
%       designargs -   Returns the inputs to the design function.
%       getexamples -   Get the examples.
%       validspecobj -   Returns the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqripdiffminmb
        %EQRIPDIFFMINMB   Construct an EQRIPDIFFMINMB object.
        
        %   Author(s): P. Costa
        
        % this = fdfmethod.eqripdiffminmb;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqripdiffminmb
        
    end  % constructor block

    methods  % public methods
    name = algoname(this)
    args = designargs(this,hs)
    examples = getexamples(this)
    s = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
end  % possibly private or hidden 

end  % classdef

