classdef eqripdiffordmb < fmethod.abstracteqripdiffordmbw
%fdfmethod.eqripdiffordmb class
%   fdfmethod.eqripdiffordmb extends fmethod.abstracteqripdiffordmbw.
%
%    fdfmethod.eqripdiffordmb properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       Wpass - Property is of type 'posdouble user-defined'  
%       Wstop - Property is of type 'posdouble user-defined'  
%       UniformGrid - Property is of type 'bool'  
%
%    fdfmethod.eqripdiffordmb methods:

%   Copyright 2015-2020 The MathWorks, Inc.


properties (Transient, SetObservable, GetObservable)
    %UNIFORMGRID Property is of type 'bool' 
    UniformGrid = true;
end


    methods  % constructor block
        function this = eqripdiffordmb(varargin)
        %EQRIPDIFFORDMB   Construct an EQRIPDIFFORDMB object.
        
        
        % this = fdfmethod.eqripdiffordmb;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqripdiffordmb
        
    end  % constructor block

    methods 
        function set.UniformGrid(obj,value)
            % DataType = 'bool'
        validateattributes(value,{'logical','numeric'}, {'scalar'},'','UniformGrid')
        obj.UniformGrid = value;
        end

    end   % set and get functions 

    methods (Hidden) % possibly private or hidden
    help(this)
    help_uniformgrid(~)
end  % possibly private or hidden 

end  % classdef

