classdef eqriphbastop < fdfmethod.abstracteqriphb
%fdfmethod.eqriphbastop class
%   fdfmethod.eqriphbastop extends fdfmethod.abstracteqriphb.
%
%    fdfmethod.eqriphbastop properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%
%    fdfmethod.eqriphbastop methods:
%       getexamples - Get the examples.
%       getvalidstructs -   Get the validstructs.
%       searchmincoeffwl - Search for min. coeff wordlength.
%       set_densityfactor -   PreSet function for the 'densityfactor' property.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function h = eqriphbastop
        %EQRIPHBASTOP   Construct an EQRIPHBASTOP object.
        
        %   Author(s): R. Losada
        
        % h = fdfmethod.eqriphbastop;
        
        h.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriphbastop
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    validstructs = getvalidstructs(this)
    Hbest = searchmincoeffwl(this,args,varargin)
    densityfactor = set_densityfactor(this,densityfactor)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    b = actualdesign(this,hs)
    dev = computedev(h,hs)
    args = designargs(h,hs)
    help(this)
    s = thisdesignopts(this,s)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

