classdef eqriphilbmin < fmethod.abstracteqripdiffhilb
%fdfmethod.eqriphilbmin class
%   fdfmethod.eqriphilbmin extends fmethod.abstracteqripdiffhilb.
%
%    fdfmethod.eqriphilbmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       FIRType - Property is of type 'hilbertSpecFIRTypes enumeration: {'3','4'}'  
%
%    fdfmethod.eqriphilbmin methods:
%       algoname -   Short design algorithm name
%       designargs -   Returns the inputs to the design function.
%       getexamples -   Get the examples.
%       validspecobj -   Returns the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.


properties (AbortSet, SetObservable, GetObservable)
    %FIRTYPE Property is of type 'hilbertSpecFIRTypes enumeration: {'3','4'}' 
    FIRType = '4';
end


    methods  % constructor block
        function this = eqriphilbmin
        %EQRIPHILBMIN   Construct an EQRIPHILBMIN object.
        
        %   Author(s): P. Costa
        
        % this = fdfmethod.eqriphilbmin;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriphilbmin
        
    end  % constructor block

    methods 
            
        function vals = getAllowedStringValues(~,prop)
            switch prop
                case 'FIRType'
                    vals = {'3','4'};
                otherwise
                    vals = {};
            end
        end
        
        function varargout = set(obj,varargin)
            [varargout{1:nargout}] = signal.internal.signalset(obj,varargin{:});
        end
        
        function set.FIRType(obj,value)
        value = validatestring(value,getAllowedStringValues(obj,'FIRType'),'','FIRType');
        obj.FIRType = value;
        end

    end   % set and get functions 

    methods  % public methods
    name = algoname(this)
    args = designargs(this,hs)
    examples = getexamples(this)
    s = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    help_firtype(this)
end  % possibly private or hidden 

end  % classdef

