classdef eqriphilbord < fmethod.eqriphilbord
%fdfmethod.eqriphilbord class
%   fdfmethod.eqriphilbord extends fmethod.eqriphilbord.
%
%    fdfmethod.eqriphilbord properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       UniformGrid - Property is of type 'bool'  
%
%    fdfmethod.eqriphilbord methods:

%   Copyright 2015-2020 The MathWorks, Inc.


properties (Transient, SetObservable, GetObservable)
    %UNIFORMGRID Property is of type 'bool' 
    UniformGrid = true;
end


    methods  % constructor block
        function this = eqriphilbord
        %EQRIPHILBORD   Construct an EQRIPHILBORD object.
        
        
        % this = fdfmethod.eqriphilbord;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriphilbord
        
    end  % constructor block

    methods 
        function set.UniformGrid(obj,value)
            % DataType = 'bool'
        validateattributes(value,{'logical','numeric'}, {'scalar'},'','UniformGrid')
        obj.UniformGrid = value;
        end

    end   % set and get functions 

    methods (Hidden) % possibly private or hidden
    help(this)
    help_uniformgrid(this)
end  % possibly private or hidden 

end  % classdef

