classdef eqriphpapass < fdfmethod.abstractfirceqrip
%fdfmethod.eqriphpapass class
%   fdfmethod.eqriphpapass extends fdfmethod.abstractfirceqrip.
%
%    fdfmethod.eqriphpapass properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       StopbandShape - Property is of type 'limitedstopbandshapes enumeration: {'flat','linear'}'  
%       StopbandDecay - Property is of type 'double'  
%
%    fdfmethod.eqriphpapass methods:
%       designargs -   Return the arguments for the design method.
%       searchmincoeffwl - Search for min. coeff wordlength.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqriphpapass
        %EQRIPHPAPASS   Construct an EQRIPHPAPASS object.
        
        %   Author(s): J. Schickler
        
        % this = fdfmethod.eqriphpapass;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriphpapass
        
    end  % constructor block

    methods  % public methods
    args = designargs(this,hspecs)
    Hbest = searchmincoeffwl(this,args,varargin)
    vso = validspecobj(this)
end  % public methods 

end  % classdef

