classdef eqriphpastop < fdfmethod.abstractfirceqrip
%fdfmethod.eqriphpastop class
%   fdfmethod.eqriphpastop extends fdfmethod.abstractfirceqrip.
%
%    fdfmethod.eqriphpastop properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       StopbandShape - Property is of type 'limitedstopbandshapes enumeration: {'flat','linear'}'  
%       StopbandDecay - Property is of type 'double'  
%
%    fdfmethod.eqriphpastop methods:
%       designargs -   Return the inputs for the design function.
%       searchmincoeffwl - Search for min. coeff wordlength.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqriphpastop
        %EQRIPHPASTOP   Construct an EQRIPHPASTOP object.
        
        %   Author(s): J. Schickler
        
        % this = fdfmethod.eqriphpastop;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriphpastop
        
    end  % constructor block

    methods  % public methods
    args = designargs(this,hspecs)
    Hbest = searchmincoeffwl(this,args,varargin)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
end  % possibly private or hidden 

end  % classdef

