classdef eqriphpisinc < fdfmethod.abstracteqriphp
%fdfmethod.eqriphpisinc class
%   fdfmethod.eqriphpisinc extends fdfmethod.abstracteqriphp.
%
%    fdfmethod.eqriphpisinc properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       Wpass - Property is of type 'posdouble user-defined'  
%       Wstop - Property is of type 'posdouble user-defined'  
%       MaxPhase - Property is of type 'bool'  
%       StopbandShape - Property is of type 'stopbandshapes enumeration: {'flat','linear','1/f'}'  
%       StopbandDecay - Property is of type 'double'  
%       SincFrequencyFactor - Property is of type 'double'  
%       SincPower - Property is of type 'double'  
%
%    fdfmethod.eqriphpisinc methods:
%       designargs - Return the arguments for the design method.
%       getexamples - Get the examples.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.


properties (AbortSet, SetObservable, GetObservable)
    %SINCFREQUENCYFACTOR Property is of type 'double' 
    SincFrequencyFactor = .5;
    %SINCPOWER Property is of type 'double' 
    SincPower = 1;
end


    methods  % constructor block
        function this = eqriphpisinc
        %EQRIPHPISINC Construct an EQRIPHPISINC object.
        
        
        % this = fdfmethod.eqriphpisinc;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriphpisinc
        
    end  % constructor block

    methods 
        function set.SincFrequencyFactor(obj,value)
            % DataType = 'double'
        validateattributes(value,{'double'}, {'scalar'},'','SincFrequencyFactor')
        obj.SincFrequencyFactor = value;
        end

        function set.SincPower(obj,value)
            % DataType = 'double'
        validateattributes(value,{'double'}, {'scalar'},'','SincPower')
        obj.SincPower = value;
        end

    end   % set and get functions 

    methods  % public methods
    args = designargs(this,hspecs)
    examples = getexamples(~)
    vso = validspecobj(~)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    help_isincparams(~)
end  % possibly private or hidden 

end  % classdef

