classdef eqriphpminisinc < fdfmethod.abstracteqriphpmin
%fdfmethod.eqriphpminisinc class
%   fdfmethod.eqriphpminisinc extends fdfmethod.abstracteqriphpmin.
%
%    fdfmethod.eqriphpminisinc properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       MaxPhase - Property is of type 'bool'  
%       MinOrder - Property is of type 'minorderrestrict enumeration: {'any','even','odd'}'  
%       StopbandShape - Property is of type 'stopbandshapes enumeration: {'flat','linear','1/f'}'  
%       StopbandDecay - Property is of type 'double'  
%       SincFrequencyFactor - Property is of type 'double'  
%       SincPower - Property is of type 'double'  
%
%    fdfmethod.eqriphpminisinc methods:
%       designargs - Return the arguments for the design method.
%       getexamples - Get the examples.
%       validspecobj - Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.


properties (AbortSet, SetObservable, GetObservable)
    %SINCFREQUENCYFACTOR Property is of type 'double' 
    SincFrequencyFactor = .5;
    %SINCPOWER Property is of type 'double' 
    SincPower = 1;
end


    methods  % constructor block
        function this = eqriphpminisinc
        %EQRIPHPMINISINC Construct an EQRIPHPMINISINC object.
        
        
        % this = fdfmethod.eqriphpminisinc;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriphpminisinc
        
    end  % constructor block

    methods 
        function set.SincFrequencyFactor(obj,value)
            % DataType = 'double'
        validateattributes(value,{'double'}, {'scalar'},'','SincFrequencyFactor')
        obj.SincFrequencyFactor = value;
        end

        function set.SincPower(obj,value)
            % DataType = 'double'
        validateattributes(value,{'double'}, {'scalar'},'','SincPower')
        obj.SincPower = value;
        end

    end   % set and get functions 

    methods  % public methods
    args = designargs(this,hspecs)
    examples = getexamples(~)
    vso = validspecobj(~)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    help_isincparams(~)
end  % possibly private or hidden 

end  % classdef

