classdef eqriplpapass < fdfmethod.abstractfirceqrip
%fdfmethod.eqriplpapass class
%   fdfmethod.eqriplpapass extends fdfmethod.abstractfirceqrip.
%
%    fdfmethod.eqriplpapass properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       StopbandShape - Property is of type 'limitedstopbandshapes enumeration: {'flat','linear'}'  
%       StopbandDecay - Property is of type 'double'  
%
%    fdfmethod.eqriplpapass methods:
%       designargs -   Return the arguments to be passed to the design method.
%       getvalidstructs -   Get the validstructs.
%       searchmincoeffwl - Search for min. coeff wordlength.
%       validspecobj -   Return the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqriplpapass
        %EQRIPLPAPASS   Construct an EQRIPLPAPASS object.
        
        %   Author(s): J. Schickler
        
        % this = fdfmethod.eqriplpapass;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriplpapass
        
    end  % constructor block

    methods  % public methods
    args = designargs(this,hspecs)
    validstructs = getvalidstructs(this)
    Hbest = searchmincoeffwl(this,args,varargin)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
end  % possibly private or hidden 

end  % classdef

