classdef eqriplpapassisinc < fdfmethod.eqriplpapass
%fdfmethod.eqriplpapassisinc class
%   fdfmethod.eqriplpapassisinc extends fdfmethod.eqriplpapass.
%
%    fdfmethod.eqriplpapassisinc properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       StopbandShape - Property is of type 'limitedstopbandshapes enumeration: {'flat','linear'}'  
%       StopbandDecay - Property is of type 'double'  
%
%    fdfmethod.eqriplpapassisinc methods:
%       designargs - Return the arguments for the design method.
%       getexamples - Get the examples.
%       getisincparams - Return the inv sinc parameters. 
%       validspecobj - Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqriplpapassisinc
        %EQRIPLPAPASSISINC   Construct an EQRIPLPAPASSISINC object.
        
        %   Author(s): J. Schickler
        
        % this = fdfmethod.eqriplpapassisinc;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriplpapassisinc
        
    end  % constructor block

    methods  % public methods
    args = designargs(this,hspecs)
    examples = getexamples(~)
    [freqFactor,power] = getisincparams(~,hspecs)
    vso = validspecobj(~)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
end  % possibly private or hidden 

end  % classdef

