classdef eqriplpastop < fdfmethod.abstractfirceqrip
    %fdfmethod.eqriplpastop class
    %   fdfmethod.eqriplpastop extends fdfmethod.abstractfirceqrip.
    %
    %    fdfmethod.eqriplpastop properties:
    %       DesignAlgorithm - Property is of type 'ustring' (read only)
    %       FilterStructure - Property is of type 'ustring'
    %       DensityFactor - Property is of type 'double'
    %       MinPhase - Property is of type 'bool'
    %       StopbandShape - Property is of type 'limitedstopbandshapes enumeration: {'flat','linear'}'
    %       StopbandDecay - Property is of type 'double'
    %
    %    fdfmethod.eqriplpastop methods:
    %       designargs -   Return the inputs for the design method.
    %       getvalidstructs -   Get the validstructs.
    %       searchmincoeffwl - Search for min. coeff wordlength.
    %       validspecobj -   Return the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.
    
    
    
    methods  % constructor block
        function this = eqriplpastop
            %EQRIPLPASTOP   Construct an EQRIPLPASTOP object.
            
            %   Author(s): J. Schickler
            
            % this = fdfmethod.eqriplpastop;
            
            this.DesignAlgorithm = 'Equiripple';
            
        end  % eqriplpastop
        
    end  % constructor block
    
    methods  % public methods
        args = designargs(this,hspecs)
        validstructs = getvalidstructs(this)
        Hbest = searchmincoeffwl(this,args,varargin)
        vso = validspecobj(this)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        help(this)
    end  % possibly private or hidden
    
end  % classdef

