classdef eqriplpcutoff < fdfmethod.abstractfirceqrip
%fdfmethod.eqriplpcutoff class
%   fdfmethod.eqriplpcutoff extends fdfmethod.abstractfirceqrip.
%
%    fdfmethod.eqriplpcutoff properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       StopbandShape - Property is of type 'limitedstopbandshapes enumeration: {'flat','linear'}'  
%       StopbandDecay - Property is of type 'double'  
%
%    fdfmethod.eqriplpcutoff methods:
%       designargs -   Return the arguments for the design method.
%       getvalidstructs -   Get the validstructs.
%       searchmincoeffwl - Search for min. coeff wordlength.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqriplpcutoff
        %EQRIPLPCUTOFF   Construct an EQRIPLPCUTOFF object.
        
        %   Author(s): J. Schickler
        
        % this = fdfmethod.eqriplpcutoff;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriplpcutoff
        
    end  % constructor block

    methods  % public methods
    args = designargs(this,hspecs)
    validstructs = getvalidstructs(this)
    Hbest = searchmincoeffwl(this,args,varargin)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
end  % possibly private or hidden 

end  % classdef

