classdef eqriplpfpass < fdfmethod.abstractfircband
%fdfmethod.eqriplpfpass class
%   fdfmethod.eqriplpfpass extends fdfmethod.abstractfircband.
%
%    fdfmethod.eqriplpfpass properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       MaxPhase - Property is of type 'bool'  
%
%    fdfmethod.eqriplpfpass methods:
%       designargs -   Return the design arguments.
%       get_maxphase -   PreGet function for the 'maxphase' property.
%       getvalidstructs -   Get the validstructs.
%       thisset_maxphase - SET_MAXPHASE   PreSet function for the 'maxphase' property.
%       validspecobj -   Return the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.


properties (Access=protected, AbortSet, SetObservable, GetObservable)
    %PRIVMAXPHASE Property is of type 'bool'
    privMaxPhase = false;
end

properties (Transient, SetObservable, GetObservable)
    %MAXPHASE Property is of type 'bool' 
    MaxPhase
end


    methods  % constructor block
        function this = eqriplpfpass
        %EQRIPLPFPASS   Construct an EQRIPLPFPASS object.
        
        %   Author(s): J. Schickler
        
        % this = fdfmethod.eqriplpfpass;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriplpfpass
        
    end  % constructor block

    methods 
        function value = get.MaxPhase(obj)
        value = get_maxphase(obj,obj.MaxPhase);
        end
        function set.MaxPhase(obj,value)
        validateattributes(value,{'logical','numeric'}, {'scalar'},'','MaxPhase')
        obj.MaxPhase = set_maxphase(obj,logical(value));
        end

        function set.privMaxPhase(obj,value)
            % DataType = 'bool'
        validateattributes(value,{'logical'}, {'scalar'},'','privMaxPhase')
        obj.privMaxPhase = value;
        end

    end   % set and get functions 

    methods  % public methods
    args = designargs(this,hspecs)
    maxphase = get_maxphase(this,maxphase)
    validstructs = getvalidstructs(this)
    maxphase = thisset_maxphase(this,maxphase)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    s = thisdesignopts(this,s)
end  % possibly private or hidden 

end  % classdef

