classdef eqriplpisinc < fdfmethod.abstracteqriplp
%fdfmethod.eqriplpisinc class
%   fdfmethod.eqriplpisinc extends fdfmethod.abstracteqriplp.
%
%    fdfmethod.eqriplpisinc properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       Wpass - Property is of type 'posdouble user-defined'  
%       Wstop - Property is of type 'posdouble user-defined'  
%       MaxPhase - Property is of type 'bool'  
%       StopbandShape - Property is of type 'stopbandshapes enumeration: {'flat','linear','1/f'}'  
%       StopbandDecay - Property is of type 'double'  
%
%    fdfmethod.eqriplpisinc methods:
%       designargs - Return the arguments for the design method.
%       getexamples - Get the examples.
%       getisincparams - Return the inv sinc parameters. 
%       validspecobj - Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqriplpisinc
        %EQRIPLPISINC   Construct an EQRIPLPISINC object.
        
        %   Author(s): J. Schickler
        
        % this = fdfmethod.eqriplpisinc;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriplpisinc
        
    end  % constructor block

    methods  % public methods
    args = designargs(this,hspecs)
    examples = getexamples(~)
    [freqFactor,power] = getisincparams(~,hspecs)
    vso = validspecobj(~)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    s = thisdesignopts(~,s)
end  % possibly private or hidden 

end  % classdef

