classdef eqriplpminisinc < fdfmethod.abstracteqriplpmin
%fdfmethod.eqriplpminisinc class
%   fdfmethod.eqriplpminisinc extends fdfmethod.abstracteqriplpmin.
%
%    fdfmethod.eqriplpminisinc properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       MaxPhase - Property is of type 'bool'  
%       MinOrder - Property is of type 'minorderrestrict enumeration: {'any','even','odd'}'  
%       StopbandShape - Property is of type 'stopbandshapes enumeration: {'flat','linear','1/f'}'  
%       StopbandDecay - Property is of type 'double'  
%
%    fdfmethod.eqriplpminisinc methods:
%       designargs - Return the arguments for the design method.
%       getexamples - Get the examples.
%       getisincparams - Return the inv sinc parameters. 
%       validspecobj - Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqriplpminisinc
        %EQRIPLPMINISINC   Construct an EQRIPLPMINISINC object.
        
        %   Author(s): J. Schickler
        
        % this = fdfmethod.eqriplpminisinc;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriplpminisinc
        
    end  % constructor block

    methods  % public methods
    args = designargs(this,hspecs)
    examples = getexamples(~)
    [freqFactor,power] = getisincparams(~,hspecs)
    vso = validspecobj(~)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
end  % possibly private or hidden 

end  % classdef

