classdef eqriplpminisincwparams < fdfmethod.eqriplpminisinc
%fdfmethod.eqriplpminisincwparams class
%   fdfmethod.eqriplpminisincwparams extends fdfmethod.eqriplpminisinc.
%
%    fdfmethod.eqriplpminisincwparams properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       MaxPhase - Property is of type 'bool'  
%       MinOrder - Property is of type 'minorderrestrict enumeration: {'any','even','odd'}'  
%       StopbandShape - Property is of type 'stopbandshapes enumeration: {'flat','linear','1/f'}'  
%       StopbandDecay - Property is of type 'double'  
%       SincFrequencyFactor - Property is of type 'double'  
%       SincPower - Property is of type 'double'  
%
%    fdfmethod.eqriplpminisincwparams methods:
%       getisincparams - Return the inv sinc parameters. 

%   Copyright 2015-2020 The MathWorks, Inc.


properties (AbortSet, SetObservable, GetObservable)
    %SINCFREQUENCYFACTOR Property is of type 'double' 
    SincFrequencyFactor = .5;
    %SINCPOWER Property is of type 'double' 
    SincPower = 1;
end


    methods  % constructor block
        function this = eqriplpminisincwparams
        %EQRIPLPMINISINCWPARAMS Construct an EQRIPLPMINISINCWPARAMS object.
        
        
        % this = fdfmethod.eqriplpminisincwparams;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriplpminisincwparams
        
    end  % constructor block

    methods 
        function set.SincFrequencyFactor(obj,value)
            % DataType = 'double'
        validateattributes(value,{'double'}, {'scalar'},'','SincFrequencyFactor')
        obj.SincFrequencyFactor = value;
        end

        function set.SincPower(obj,value)
            % DataType = 'double'
        validateattributes(value,{'double'}, {'scalar'},'','SincPower')
        obj.SincPower = value;
        end

    end   % set and get functions 

    methods  % public methods
    [freqFactor,power] = getisincparams(this,hspecs)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    help_isincparams(~)
end  % possibly private or hidden 

end  % classdef

