classdef eqripmultiband < fdfmethod.abstracteqripmultibandarbmagord
%fdfmethod.eqripmultiband class
%   fdfmethod.eqripmultiband extends fdfmethod.abstracteqripmultibandarbmagord.
%
%    fdfmethod.eqripmultiband properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       B1Weights - Property is of type 'double_vector user-defined'  
%       B2Weights - Property is of type 'double_vector user-defined'  
%       B3Weights - Property is of type 'double_vector user-defined'  
%       B4Weights - Property is of type 'double_vector user-defined'  
%       B5Weights - Property is of type 'double_vector user-defined'  
%       B6Weights - Property is of type 'double_vector user-defined'  
%       B7Weights - Property is of type 'double_vector user-defined'  
%       B8Weights - Property is of type 'double_vector user-defined'  
%       B9Weights - Property is of type 'double_vector user-defined'  
%       B10Weights - Property is of type 'double_vector user-defined'  
%       MaxPhase - Property is of type 'bool'  
%       B1ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B2ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B3ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B4ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B5ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B6ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B7ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B8ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B9ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B10ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       UniformGrid - Property is of type 'bool'  
%
%    fdfmethod.eqripmultiband methods:
%       parseweights - Parse weights
%       set_UniformGrid -   PreSet function for the 'UniformGrid' property.

%   Copyright 2015-2020 The MathWorks, Inc.


properties (Access=protected, AbortSet, SetObservable, GetObservable, Hidden)
    %PRIVUGRIDFLAG Property is of type 'int' (hidden)
    privUGridFlag = 2;
end

properties (Transient, SetObservable, GetObservable)
    %UNIFORMGRID Property is of type 'bool' 
    UniformGrid = true;
end


    methods  % constructor block
        function this = eqripmultiband
        %EQRIPMULTIBAND   Construct an EQRIPMULTIBAND object.
        
        %   Author(s): V. Pellissier
        
        % this = fdfmethod.eqripmultiband;
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqripmultiband
        
    end  % constructor block

    methods 
        function set.UniformGrid(obj,value)
            % DataType = 'bool'
        validateattributes(value,{'logical','numeric'}, {'scalar'},'','UniformGrid')
        obj.UniformGrid = set_UniformGrid(obj,value);
        end

        function set.privUGridFlag(obj,value)
            % DataType = 'int'
        validateattributes(value,{'numeric'},{'scalar'},'','privUGridFlag')
        value = round(value); %  round to obtain an integer
        obj.privUGridFlag = value;
        end

    end   % set and get functions 

    methods  % public methods
    [W,Wcell,constraints] = parseweights(this,hspecs)
    ugrid = set_UniformGrid(this,ugrid)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    help_uniformgrid(~)
    s = reorderdesignoptsstruct(~,s,N)
    m = thiscomplexmethod(this)
    s = thisdesignopts(this,s,N)
    m = thisrealmethod(this)
end  % possibly private or hidden 

end  % classdef

