classdef eqripmultibandmin < fdfmethod.abstracteqriparbmagmin
%fdfmethod.eqripmultibandmin class
%   fdfmethod.eqripmultibandmin extends fdfmethod.abstracteqriparbmagmin.
%
%    fdfmethod.eqripmultibandmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       MaxPhase - Property is of type 'bool'  
%       MinOrder - Property is of type 'minorderrestrict enumeration: {'any','even','odd'}'  
%       InitOrder - Property is of type 'int'  
%       B1Weights - Property is of type 'double_vector user-defined'  
%       B2Weights - Property is of type 'double_vector user-defined'  
%       B3Weights - Property is of type 'double_vector user-defined'  
%       B4Weights - Property is of type 'double_vector user-defined'  
%       B5Weights - Property is of type 'double_vector user-defined'  
%       B6Weights - Property is of type 'double_vector user-defined'  
%       B7Weights - Property is of type 'double_vector user-defined'  
%       B8Weights - Property is of type 'double_vector user-defined'  
%       B9Weights - Property is of type 'double_vector user-defined'  
%       B10Weights - Property is of type 'double_vector user-defined'  
%
%    fdfmethod.eqripmultibandmin methods:
%       actualdesign - Perform the actual design.
%       getconstraints - Get constraints for the filter design.
%       getexamples - Get the examples.
%       parseweights - Parse weights
%       validspecobj - Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.


properties (AbortSet, SetObservable, GetObservable)
    %B1WEIGHTS Property is of type 'double_vector user-defined' 
    B1Weights = 1;
    %B2WEIGHTS Property is of type 'double_vector user-defined' 
    B2Weights = 1;
    %B3WEIGHTS Property is of type 'double_vector user-defined' 
    B3Weights = 1;
    %B4WEIGHTS Property is of type 'double_vector user-defined' 
    B4Weights = 1;
    %B5WEIGHTS Property is of type 'double_vector user-defined' 
    B5Weights = 1;
    %B6WEIGHTS Property is of type 'double_vector user-defined' 
    B6Weights = 1;
    %B7WEIGHTS Property is of type 'double_vector user-defined' 
    B7Weights = 1;
    %B8WEIGHTS Property is of type 'double_vector user-defined' 
    B8Weights = 1;
    %B9WEIGHTS Property is of type 'double_vector user-defined' 
    B9Weights = 1;
    %B10WEIGHTS Property is of type 'double_vector user-defined' 
    B10Weights = 1;
end

properties (SetAccess=protected, AbortSet, SetObservable, GetObservable, Hidden)
    %PRIVNBANDS Property is of type 'int' (hidden)
    privNBands
end


    methods  % constructor block
        function this = eqripmultibandmin
        %EQRIPMULTIBANDMIN Construct an EQRIPMULTIBANDMIN object.
        
        
        % this = fdfmethod.eqripmultibandmin;
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqripmultibandmin
        
    end  % constructor block

    methods 
        function set.B1Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B1Weights = value;
        end

        function set.B2Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B2Weights = value;
        end

        function set.B3Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B3Weights = value;
        end

        function set.B4Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B4Weights = value;
        end

        function set.B5Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B5Weights = value;
        end

        function set.B6Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B6Weights = value;
        end

        function set.B7Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B7Weights = value;
        end

        function set.B8Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B8Weights = value;
        end

        function set.B9Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B9Weights = value;
        end

        function set.B10Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B10Weights = value;
        end

        function set.privNBands(obj,value)
            % DataType = 'int'
        validateattributes(value,{'numeric'},{'scalar'},'','privNBands')
        value = round(value); %  round to obtain an integer
        obj.privNBands = value;
        end

    end   % set and get functions 

    methods  % public methods
    varargout = actualdesign(this,hspecs,varargin)
    [constraints,FEdges,AEdges] = getconstraints(~,FEdges,A,AEdges,NBands)
    examples = getexamples(~)
    Wcell = parseweights(this,hspecs)
    vso = validspecobj(~)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    s = thisdesignopts(this,s,N)
end  % possibly private or hidden 

end  % classdef

