function examples = getexamples(~)
%GETEXAMPLES Get the examples.

%   Copyright 2011 The MathWorks, Inc.

examples = {{ ...
    'Design a minimum order filter with notches at 0.25*pi and',...
    '%           0.55*pi rad/sample.',...
    'd = fdesign.arbmag(''B,F,A,R'');',...
    'd.NBands = 5;',...
    'd.B1Frequencies = [0 0.2];',...
    'd.B1Amplitudes = [1 1];',...
    'd.B1Ripple = 0.25;',...
    'd.B2Frequencies = 0.25;',...
    'd.B2Amplitudes = 0;',...  
    'd.B3Frequencies = [0.3 0.5];',...
    'd.B3Amplitudes = [1 1];',...
    'd.B3Ripple = 0.25;',...
    'd.B4Frequencies = 0.55;',...
    'd.B4Amplitudes = 0;',...
    'd.B5Frequencies = [0.6 1];',...
    'd.B5Amplitudes = [1 1];',...
    'd.B5Ripple = 0.25;',...
    'Hd = design(d,''equiripple'');',...
    'fvtool(Hd)'},...
    {
    'Design a minimum order arbitrary magnitude filter with a',...
    '%           single-point band at 0.3*pi rad/sample.',...
    'd = fdesign.arbmag(''B,F,A,R'');',...
    'd.NBands = 3;',...
    'd.B1Frequencies = [0 0.1 0.2 0.3];',...
    'd.B1Amplitudes = [1 2 3 4];',...
    'd.B2Frequencies = 0.3;',... 
    'd.B2Amplitudes = 4;',...
    'd.B3Frequencies = [0.31 0.4 0.5 1];',...
    'd.B3Amplitudes = [4 4 3 2];',...
    'd.B3Ripple = 0.05;',...
    'Hd = design(d,''equiripple'');',...
    'fvtool(Hd)'},...
    {
    'Design a minimum phase filter to decrease the order while maintaining the same ripple.',...
    'd = fdesign.arbmag(''B,F,A,R'');',...
    'd.NBands = 2;',...
    'd.B1Frequencies = [0 0.7];',...
    'd.B1Amplitudes = [1 1];',...
    'd.B1Ripple = 0.1;',...
    'd.B2Frequencies = [0.75 1];',...
    'd.B2Amplitudes = [0 0];',...
    'd.B2Ripple = 0.1;',...
    'Hd1 = design(d,''equiripple''); % linear phase design',...
    'Hd2 = design(d,''equiripple'',''MinPhase'',true); % min-phase design',...
    'orderLinearPhase = order(Hd1)',...
    'orderMinPhase = order(Hd2)',...
    'fvtool(Hd1,Hd2,''legend'',''on'')'},...
    {
    'Design a minimum order lowpass filter with a staircase stopband.',...
    'F1 = [0 0.25];',...
    'F2 = [.3 .4 .401 .5 .501 .6 .601 .7 .701 .8 .801 .9 .901 1];',...    
    'A1 = [1 1];',...
    'A2 = zeros(1,14);',...   
    'B1Ripple = 0.01;',...
    'B2Ripple = 0.0005;',...
    'W1 = 1;',...
    'W2 = 10.^([5 5 10 10 15 15 20 20 25 25 30 30 35 35]/20);',...
    'd = fdesign.arbmag(''B,F,A,R'',2,F1,A1,B1Ripple,F2,A2,B2Ripple);',...
    'Hd = design(d,''equiripple'',''B1Weights'',W1,''B2Weights'',W2);',...
    'fvtool(Hd)'}};       

% [EOF]


% [EOF]
