classdef eqripnyqmin < fmethod.abstractfir
%fdfmethod.eqripnyqmin class
%   fdfmethod.eqripnyqmin extends fmethod.abstractfir.
%
%    fdfmethod.eqripnyqmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.eqripnyqmin methods:
%       convert2specword - Convert minimum order spec to spec with order for
%       getvalidstructs -   Get the validstructs.
%       searchmincoeffwl - Search for min. coeff wordlength.
%       validspecobj -   Return the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqripnyqmin
        %EQRIPNYQMIN   Construct an EQRIPNYQMIN object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.eqripnyqmin;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqripnyqmin
        
    end  % constructor block

    methods  % public methods
    [fspecsword,dm,dopts,Nstep] = convert2specword(this,cfspecs,N)
    validstructs = getvalidstructs(this)
    Hbest = searchmincoeffwl(this,args,varargin)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    h = actualdesign(this,hs)
    Hd = createobj(this,Hd)
    help(this)
end  % possibly private or hidden 

end  % classdef

