classdef eqripnyqordntw < fmethod.abstracteqrip
%fdfmethod.eqripnyqordntw class
%   fdfmethod.eqripnyqordntw extends fmethod.abstracteqrip.
%
%    fdfmethod.eqripnyqordntw properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       ZeroPhase - Property is of type 'bool'  
%       StopbandShape - Property is of type 'limitedstopbandshapes enumeration: {'flat','linear'}'  
%       StopbandDecay - Property is of type 'double'  
%
%    fdfmethod.eqripnyqordntw methods:
%       actualdesign -   Design the equipripple filter.
%       getvalidstructs -   Get the validstructs.
%       set_densityfactor -   PreSet function for the 'densityfactor' property.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.


properties (AbortSet, SetObservable, GetObservable)
    %ZEROPHASE Property is of type 'bool' 
    ZeroPhase = false;
    %STOPBANDSHAPE Property is of type 'limitedstopbandshapes enumeration: {'flat','linear'}' 
    StopbandShape = 'flat';
    %STOPBANDDECAY Property is of type 'double' 
    StopbandDecay = 0;
end


    methods  % constructor block
        function this = eqripnyqordntw
        %EQRIPNYQORDNTW   Construct an EQRIPNYQORDNTW object.
        
        %   Author(s): J. Schickler
        
        % this = fdfmethod.eqripnyqordntw;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqripnyqordntw
        
    end  % constructor block

    methods 
        function set.ZeroPhase(obj,value)
            % DataType = 'bool'
        validateattributes(value,{'logical'}, {'scalar'},'','ZeroPhase')
        obj.ZeroPhase = value;
        end

        function vals = getAllowedStringValues(~,prop)
            switch prop
                case 'StopbandShape'
                    vals = {'flat','linear'};
                otherwise
                    vals = {};
            end
        end
        
        function varargout = set(obj,varargin)
            [varargout{1:nargout}] = signal.internal.signalset(obj,varargin{:});
        end
        
        function set.StopbandShape(obj,value)
        value = validatestring(value,getAllowedStringValues(obj,'StopbandShape'),'','StopbandShape');
        obj.StopbandShape = value;
        end

        function set.StopbandDecay(obj,value)
            % DataType = 'double'
        validateattributes(value,{'double'}, {'scalar'},'','StopbandDecay')
        obj.StopbandDecay = value;
        end

    end   % set and get functions 

    methods  % public methods
    b = actualdesign(this,hspecs)
    validstructs = getvalidstructs(this)
    densityfactor = set_densityfactor(this,densityfactor)
    so = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    help_zerophase(this)
    s = thisdesignopts(this,s)
end  % possibly private or hidden 

end  % classdef

