classdef eqripsbarbmag < fmethod.abstracteqripsbarbmagord
%fdfmethod.eqripsbarbmag class
%   fdfmethod.eqripsbarbmag extends fmethod.abstracteqripsbarbmagord.
%
%    fdfmethod.eqripsbarbmag properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       Weights - Property is of type 'double_vector user-defined'  
%       MaxPhase - Property is of type 'bool'  
%       UniformGrid - Property is of type 'bool'  
%
%    fdfmethod.eqripsbarbmag methods:
%       actualdesign - Perform the actual design.
%       set_UniformGrid -   PreSet function for the 'UniformGrid' property.

%   Copyright 2015-2020 The MathWorks, Inc.


properties (AbortSet, SetObservable, GetObservable)
    %MAXPHASE Property is of type 'bool' 
    MaxPhase = false;
end

properties (Access=protected, AbortSet, SetObservable, GetObservable, Hidden)
    %PRIVUGRIDFLAG Property is of type 'int' (hidden)
    privUGridFlag = 2;
end

properties (Transient, SetObservable, GetObservable)
    %UNIFORMGRID Property is of type 'bool' 
    UniformGrid = true;
end


    methods  % constructor block
        function this = eqripsbarbmag
        %EQRIPSBARBMAG   Construct an EQRIPSBARBMAG object.
        
        %   Author(s): V. Pellissier
        
        % this = fdfmethod.eqripsbarbmag;
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqripsbarbmag
        
    end  % constructor block

    methods 
        function set.MaxPhase(obj,value)
        validateattributes(value,{'logical','numeric'}, {'scalar'},'','MaxPhase')
        obj.MaxPhase = logical(value);
        end

        function set.UniformGrid(obj,value)
            % DataType = 'bool'
        validateattributes(value,{'logical','numeric'}, {'scalar'},'','UniformGrid')
        obj.UniformGrid = set_UniformGrid(obj,value);
        end

        function set.privUGridFlag(obj,value)
            % DataType = 'int'
        validateattributes(value,{'numeric'},{'scalar'},'','privUGridFlag')
        value = round(value); %  round to obtain an integer
        obj.privUGridFlag = value;
        end

    end   % set and get functions 

    methods  % public methods
    varargout = actualdesign(this,hspecs,varargin)
    ugrid = set_UniformGrid(this,ugrid)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    help_uniformgrid(~)
    s = reorderdesignoptsstruct(~,s)
    m = thiscomplexmethod(this)
    s = thisdesignopts(~,s)
    m = thisrealmethod(this)
end  % possibly private or hidden 

end  % classdef

