classdef eqripsbarbmagmin < fdfmethod.abstracteqriparbmagmin
%fdfmethod.eqripsbarbmagmin class
%   fdfmethod.eqripsbarbmagmin extends fdfmethod.abstracteqriparbmagmin.
%
%    fdfmethod.eqripsbarbmagmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       MaxPhase - Property is of type 'bool'  
%       MinOrder - Property is of type 'minorderrestrict enumeration: {'any','even','odd'}'  
%       InitOrder - Property is of type 'int'  
%       Weights - Property is of type 'double_vector user-defined'  
%
%    fdfmethod.eqripsbarbmagmin methods:
%       actualdesign - Perform the actual design.
%       getexamples - Get the examples.
%       validspecobj - Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.


properties (AbortSet, SetObservable, GetObservable)
    %WEIGHTS Property is of type 'double_vector user-defined' 
    Weights = 1;
end


    methods  % constructor block
        function this = eqripsbarbmagmin
        %EQRIPSBARBMAGMIN Construct an EQRIPSBARBMAGMIN object.
        
        
        % this = fdfmethod.eqripsbarbmagmin;
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqripsbarbmagmin
        
    end  % constructor block

    methods 
        function set.Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.Weights = value;
        end

    end   % set and get functions 

    methods  % public methods
    varargout = actualdesign(this,hspecs,varargin)
    examples = getexamples(~)
    vso = validspecobj(~)
end  % public methods 

end  % classdef

