function examples = getexamples(~)
%GETEXAMPLES Get the examples.

%   Copyright 2011 The MathWorks, Inc.

examples = {{ ...
    'Model an exponential with a real FIR filter. Use two different ripple values.', ...
    'B1 = linspace(0,1.9/pi,20);B2 = linspace(.8,1,20);',...
    'A1 = exp(B1); A2 = zeros(1,20);',...
    'F = [B1 B2];',...
    'A = abs([A1 A2]);',...
    'R1 = 0.3;',...
    'R2 = 0.01;',...
    'd = fdesign.arbmag(''F,A,R'',F,A,R1);',...
    'Hd1 = design(d,''equiripple'');',...
    'd.Ripple = R2;',...
    'Hd2 = design(d,''equiripple'');',...
    'fvtool(Hd1,Hd2,''legend'',''on'')'},...
    {
    'Design a minimum phase filter to decrease the order while maintaining the same ripple.',...
    'd = fdesign.arbmag(''F,A,R'',[0 .7 .75 1],[1 1 0 0],0.1);',...
    'Hd1 = design(d,''equiripple''); % linear phase design',...
    'Hd2 = design(d,''equiripple'',''MinPhase'',true); % min-phase design',...
    'orderLinearPhase = order(Hd1)',...
    'orderMinPhase = order(Hd2)',...
    'fvtool(Hd1,Hd2,''legend'',''on'')'},...
    {
    'Design a minimum order lowpass filter with a staircase stopband.',...
    'F = [0 .25 .3 .4 .401 .5 .501 .6 .601 .7 .701 .8 .801 .9 .901 1];',...
    'A = [1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0];',...
    'Ripple = 0.02;',...    
    'W = 10.^([0 0 5 5 10 10 15 15 20 20 25 25 30 30 35 35]/20);',...
    'd = fdesign.arbmag(''F,A,R'',F,A,Ripple);',...
    'Hd = design(d,''equiripple'',''Weights'',W);',...
    'fvtool(Hd)'}};
    

% [EOF]
