classdef firmaxflathp < fmethod.abstractfirmaxflat
%fdfmethod.firmaxflathp class
%   fdfmethod.firmaxflathp extends fmethod.abstractfirmaxflat.
%
%    fdfmethod.firmaxflathp properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.firmaxflathp methods:
%       actualdesign -   Design the maximally flat highpass FIR filter
%       getexamples -   Get the examples.
%       validspecobj -   Return the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = firmaxflathp
        %FIRMFLP   Construct a FIRMAXFLATHP object.
        
        
        % this = fdfmethod.firmaxflathp;
        
        this.DesignAlgorithm = 'Maximally flat';
        end  % firmaxflathp
        
    end  % constructor block

    methods  % public methods
    varargout = actualdesign(this,hspecs,varargin)
    examples = getexamples(this)
    vso = validspecobj(this)
end  % public methods 

end  % classdef

