classdef ifirlpmin < fdfmethod.abstractifir
%fdfmethod.ifirlpmin class
%   fdfmethod.ifirlpmin extends fdfmethod.abstractifir.
%
%    fdfmethod.ifirlpmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       rcf - Property is of type 'int'  
%       UpsamplingFactor - Property is of type 'mxArray'  
%       JointOptimization - Property is of type 'bool'  
%
%    fdfmethod.ifirlpmin methods:
%       actualdesign -   Perform the actual design.
%       getvalidstructs -   Get the validstructs.
%       validspecobj -   Returns the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = ifirlpmin
        %IFIRLPMIN   Construct an IFIRLPMIN object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.ifirlpmin;
        
        this.DesignAlgorithm = 'Interpolated FIR';
        
        
        end  % ifirlpmin
        
    end  % constructor block

    methods  % public methods
    varargout = actualdesign(this,hs,varargin)
    validstructs = getvalidstructs(this)
    str = validspecobj(this)
end  % public methods 

end  % classdef

