classdef kaiserhbastop < fmethod.abstractfir
%fdfmethod.kaiserhbastop class
%   fdfmethod.kaiserhbastop extends fmethod.abstractfir.
%
%    fdfmethod.kaiserhbastop properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.kaiserhbastop methods:
%       actualdesign -   Design the filter and return the Numerator.
%       getexamples - Get the examples.
%       getvalidstructs -   Get the validstructs.
%       iteratedesign - Iterative design for kaiserwin
%       searchmincoeffwl - Search for min. coeff wordlength.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function h = kaiserhbastop
        %KAISERHBASTOP   Construct a KAISERHBASTOP object.
        
        %   Author(s): R. Losada
        
        % h = fdfmethod.kaiserhbastop;
        
        h.DesignAlgorithm = 'Kaiser window';
        
        
        end  % kaiserhbastop
        
    end  % constructor block

    methods  % public methods
    b = actualdesign(h,hs)
    examples = getexamples(this)
    validstructs = getvalidstructs(this)
    b = iteratedesign(this,hs,b)
    Hbest = searchmincoeffwl(this,args,varargin)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    alpha = determinealpha(h,Astop)
    Astop = determineastop(h,hs)
    N = determineorder(h,hs)
    help(this)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

