classdef kaiserhbmin < fdfmethod.kaiserhbastop
%fdfmethod.kaiserhbmin class
%   fdfmethod.kaiserhbmin extends fdfmethod.kaiserhbastop.
%
%    fdfmethod.kaiserhbmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.kaiserhbmin methods:
%       convert2specword - Convert minimum order spec to spec with order for
%       getexamples - Get the examples.
%       iteratedesign - Iterative design for kaiserwin
%       searchmincoeffwl - Search for min. coeff wordlength.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function h = kaiserhbmin
        %KAISERHBMIN   Construct a KAISERHBMIN object.
        
        %   Author(s): R. Losada
        
        % h = fdfmethod.kaiserhbmin;
        
        h.DesignAlgorithm = 'Kaiser window';
        
        
        end  % kaiserhbmin
        
    end  % constructor block

    methods  % public methods
    [fspecsword,dm,dopts,Nstep] = convert2specword(this,cfspecs,N)
    examples = getexamples(this)
    b = iteratedesign(this,hs,b)
    Hbest = searchmincoeffwl(this,args,varargin)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    N = determineorder(h,hs)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

