classdef kaiserhbordntw < fdfmethod.kaiserhbastop
%fdfmethod.kaiserhbordntw class
%   fdfmethod.kaiserhbordntw extends fdfmethod.kaiserhbastop.
%
%    fdfmethod.kaiserhbordntw properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.kaiserhbordntw methods:
%       getexamples - Get the examples.
%       iteratedesign - Iterative design for kaiserwin

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function h = kaiserhbordntw
        %KAISERHBORDNTW   Construct a KAISERHBORDNTW object.
        
        %   Author(s): R. Losada
        
        % h = fdfmethod.kaiserhbordntw;
        
        h.DesignAlgorithm = 'Kaiser window';
        
        
        end  % kaiserhbordntw
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    b = iteratedesign(this,hs,b)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    Astop = determineastop(h,hs)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

