classdef kaisernyqmin < fdfmethod.kaiserhbmin
%fdfmethod.kaisernyqmin class
%   fdfmethod.kaisernyqmin extends fdfmethod.kaiserhbmin.
%
%    fdfmethod.kaisernyqmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.kaisernyqmin methods:
%       convert2specword - Convert minimum order spec to spec with order for
%       designargs -   Return the design arguments for FIRNYQUIST.
%       searchmincoeffwl - Search for min. coeff wordlength.
%       validspecobj -   Return the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = kaisernyqmin
        %KAISERNYQMIN   Construct a KAISERNYQMIN object.
        
        %   Author(s): J. Schickler
        
        % this = fdfmethod.kaisernyqmin;
        
        this.DesignAlgorithm = 'Kaiser window';
        
        
        end  % kaisernyqmin
        
    end  % constructor block

    methods  % public methods
    [fspecsword,dm,dopts,Nstep] = convert2specword(this,cfspecs,N)
    args = designargs(this,hs)
    Hbest = searchmincoeffwl(this,args,varargin)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    b = actualdesign(this,hspecs)
end  % possibly private or hidden 

end  % classdef

