classdef lagrange < fdfmethod.abstractlagrange
%fdfmethod.lagrange class
%   fdfmethod.lagrange extends fdfmethod.abstractlagrange.
%
%    fdfmethod.lagrange properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.lagrange methods:
%       get_structure -   PreGet function for the 'structure' property.
%       getexamples -   Get the examples.
%       getextraobjparam - Get the extra parameter for the creation of the object.
%       getvalidstructs -   Get the validstructs.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = lagrange
        %LAGRANGE   Construct a LAGRANGE object.
        
        %   Author(s): V. Pellissier
        
        % this = fdfmethod.lagrange;
        this.DesignAlgorithm = 'Lagrange interpolation';
        
        
        end  % lagrange
        
    end  % constructor block

    methods  % public methods
    structure = get_structure(this,structure)
    examples = getexamples(this)
    out = getextraobjparam(this,hspecs)
    validstructs = getvalidstructs(~)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    Hd = createobj(this,coeffcell)
    help(this)
end  % possibly private or hidden 

end  % classdef

