function help_sosscale(this) %#ok<INUSD>
%HELP_SOSSCALE   

%   Copyright 2009 The MathWorks, Inc.

disp(sprintf('%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s', ...
    '    HD = DESIGN(..., ''SOSScaleNorm'', NORM) designs an SOS filter and scales', ...
    '    the coefficients using the P-Norm NORM. NORM can be either a ', ...
    '    discrete-time-domain norm or a frequency-domain norm. Valid time-domain ', ...
    '    norms are ''l1'',''l2'', and ''linf''. Valid frequency-domain norms are ', ...
    '    ''L1'',''L2'', and ''Linf''. Note that L2-norm is equal to l2-norm ', ...
    '    (Parseval''s theorem) but the same is not true for other norms.', ...
    '    ', ...
    '    The different norms can be ordered in terms of how stringent they are ', ...
    '    as follows: ''l1'' >= ''Linf'' >= ''L2'' = ''l2'' >= ''L1'' >= ''linf''.', ...
    '    Using the most stringent scaling, ''l1'', the filter is the least prone ', ...
    '    to overflow, but also has the worst signal-to-noise ratio. Linf-scaling is ', ...
    '    the most commonly used scaling in practice.', ...
    '    ', ...
    '    Scaling is turned off by default, which is equivalent to setting', ...
    '    SOSScaleNorm = ''''.')); %#ok<*DSPS>
disp(' ');
disp(sprintf('%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s', ...
    '    HD = DESIGN(..., ''SOSScaleOpts'', OPTS) designs an SOS filter and scales', ...
    '    the coefficients using an FDOPTS.SOSSCALING object OPTS.  Scaling options ', ...
    '    are:', ...
    '    Property                Default     Description/Valid values', ...
    '    ---------               -------     ------------------------', ...
    '    ''sosReorder''            ''auto''      Reorder section prior to scaling.', ...
    '                                        {''auto'',''none'',''up'',''down'',''lowpass'',', ...
    '                                         ''highpass'',''bandpass'',''bandstop''}', ...
    '    ''MaxNumerator''          2           Maximum value for numerator coefficients', ...
    '    ''NumeratorConstraint''   ''none''      {''none'', ''unit'', ''normalize'',''po2''}', ...
    '    ''OverflowMode''          ''wrap''      {''wrap'',''saturate''}', ...
    '    ''ScaleValueConstraint''  ''unit''      {''unit'',''none'',''po2''}', ...
    '    ''MaxScaleValue''         ''Not used''  Maximum value for scale values', ...
    '    ', ...
    '    For audio weighting filters, setting sosReorder to ''auto'' is the same as ',...
    '    setting it to ''none''.', ...
    '    ', ...
    '    Note that ''MaxScaleValue'' will only be used when ''ScaleValueConstraint''', ...
    '    is set to something other than ''unit''. If ''MaxScaleValue'' is set to a', ...
    '    number, the ''ScaleValueConstraint'' will be changed to ''none''. Further,', ...
    '    if SOSScaleNorm is off (as it is by default), then all the SOSScaleOpts', ...
    '    will be ignored.'));
disp(' ');
disp('    For more information about P-Norm and scaling options see help for DFILT\SCALE.');
disp(' ');

% [EOF]
