classdef lpnormaudioweightitur4684 < fmethod.abstractiirwsos
%fdfmethod.lpnormaudioweightitur4684 class
%   fdfmethod.lpnormaudioweightitur4684 extends fmethod.abstractiirwsos.
%
%    fdfmethod.lpnormaudioweightitur4684 properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%
%    fdfmethod.lpnormaudioweightitur4684 methods:
%       getexamples -   Get the examples.
%       getsosreorder - Get the sosreorder.
%       interpfreqpoints - linear or log-linear interpolation between two frequency
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = lpnormaudioweightitur4684 
        %LPNORMAUDIOWEIGHTITUR4684   Construct a LPNORMAUDIOWEIGHTITUR4684 object.
        
        %Add dynamic properties to the class
        addsosprops(this);
        
        % this = fdfmethod.lpnormaudioweightitur4684;
        this.DesignAlgorithm = 'IIR Least P-Norm';
        
        
        end  % lpnormaudioweightitur4684
        
    end  % constructor block
    
    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods

    methods  % public methods
    examples = getexamples(this)
    sosreorder = getsosreorder(this)
    [Fv,Av] = interpfreqpoints(this,Flimits,Alimits,interpFactor,type,varargin)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    coeffs = actualdesign(this,hspecs)
    validstructs = fdfvalidstructs(~)
    coeffs = getcoeffs(~,hspecs,hspecsArbMag,fmethodArbMag)
    help(this)
    help_sosscale(this)
end  % possibly private or hidden 

end  % classdef

