classdef lpnormbs2 < fdfmethod.abstractlpnorm
%fdfmethod.lpnormbs2 class
%   fdfmethod.lpnormbs2 extends fdfmethod.abstractlpnorm.
%
%    fdfmethod.lpnormbs2 properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       Norm - Property is of type 'posdouble user-defined'  
%       DensityFactor - Property is of type 'double'  
%       MaxPoleRadius - Property is of type 'posdouble user-defined'  
%       InitNorm - Property is of type 'posdouble user-defined'  
%       InitNum - Property is of type 'mxArray'  
%       InitDen - Property is of type 'mxArray'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       Wpass1 - Property is of type 'mxArray'  
%       Wstop - Property is of type 'mxArray'  
%       Wpass2 - Property is of type 'mxArray'  
%
%    fdfmethod.lpnormbs2 methods:
%       designargs -   Return the arguments for the design method.
%       getsosreorder -   Get the sosreorder.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.


properties (AbortSet, SetObservable, GetObservable)
    %WPASS1 Property is of type 'mxArray' 
    Wpass1 = [1 1];
    %WSTOP Property is of type 'mxArray' 
    Wstop = [1 1];
    %WPASS2 Property is of type 'mxArray' 
    Wpass2 = [1 1];
end


    methods  % constructor block
        function this = lpnormbs2
        %LPNORMBS2   Construct a LPNORMBS2 object.
        
        %   Author(s): V. Pellissier
        
        % this = fdfmethod.lpnormbs2;
        this.DesignAlgorithm = 'IIR Least P-Norm';
        
        
        end  % lpnormbs2
        
    end  % constructor block

    methods 
        function set.Wpass1(obj,value)
        obj.Wpass1 = set_weights(obj,value);
        end

        function set.Wstop(obj,value)
        obj.Wstop = set_weights(obj,value);
        end

        function set.Wpass2(obj,value)
        obj.Wpass2 = set_weights(obj,value);
        end

    end   % set and get functions 

    methods  % public methods
    args = designargs(this,hspecs)
    sosreorder = getsosreorder(this)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
end  % possibly private or hidden 

end  % classdef

