classdef lpnormlp1 < fdfmethod.abstractlpnorm
%fdfmethod.lpnormlp1 class
%   fdfmethod.lpnormlp1 extends fdfmethod.abstractlpnorm.
%
%    fdfmethod.lpnormlp1 properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       Norm - Property is of type 'posdouble user-defined'  
%       DensityFactor - Property is of type 'double'  
%       MaxPoleRadius - Property is of type 'posdouble user-defined'  
%       InitNorm - Property is of type 'posdouble user-defined'  
%       InitNum - Property is of type 'mxArray'  
%       InitDen - Property is of type 'mxArray'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       Wpass - Property is of type 'mxArray'  
%       Wstop - Property is of type 'mxArray'  
%
%    fdfmethod.lpnormlp1 methods:
%       designargs -   Return the arguments for the design method.
%       getsosreorder -   Get the sosreorder.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.


properties (AbortSet, SetObservable, GetObservable)
    %WPASS Property is of type 'mxArray' 
    Wpass = [1 1];
    %WSTOP Property is of type 'mxArray' 
    Wstop = [1 1];
end


    methods  % constructor block
        function this = lpnormlp1
        %LPNORMLP1   Construct a LPNORMLP1 object.
        
        %   Author(s): V. Pellissier

        % this = fdfmethod.lpnormlp1;
        this.DesignAlgorithm = 'IIR Least P-Norm';
        
        
        end  % lpnormlp1
        
    end  % constructor block

    methods 
        function set.Wpass(obj,value)
        obj.Wpass = set_weights(obj,value);
        end

        function set.Wstop(obj,value)
        obj.Wstop = set_weights(obj,value);
        end

    end   % set and get functions 

    methods  % public methods
    args = designargs(this,hspecs)
    sosreorder = getsosreorder(this)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
end  % possibly private or hidden 

end  % classdef

