classdef lpnormsbarbgrpdelay < fdfmethod.abstractlpnormsbarbresponse
%fdfmethod.lpnormsbarbgrpdelay class
%   fdfmethod.lpnormsbarbgrpdelay extends fdfmethod.abstractlpnormsbarbresponse.
%
%    fdfmethod.lpnormsbarbgrpdelay properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       Norm - Property is of type 'posdouble user-defined'  
%       DensityFactor - Property is of type 'double'  
%       MaxPoleRadius - Property is of type 'posdouble user-defined'  
%       InitNorm - Property is of type 'posdouble user-defined'  
%       InitNum - Property is of type 'mxArray'  
%       InitDen - Property is of type 'mxArray'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       Weights - Property is of type 'double_vector user-defined'  
%
%    fdfmethod.lpnormsbarbgrpdelay methods:
%       actualdesign - Perform the actual design.
%       designargs - Return the arguments for the design method.
%       getexamples - Get the examples.
%       parseic - Make sure InitDen has the correct length
%       validspecobj - Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = lpnormsbarbgrpdelay
        %LPNORMSBARBGRPDELAY Construct a LPNORMSBARBGRPDELAY object.
        
        % this = fdfmethod.lpnormsbarbgrpdelay;
        this.DesignAlgorithm = 'IIR Least P-Norm';
        this.MaxPoleRadius = 0.999999;
        
        end  % lpnormsbarbgrpdelay
        
    end  % constructor block

    methods  % public methods
    varargout = actualdesign(this,hspecs,varargin)
    args = designargs(this,hspecs)
    examples = getexamples(~)
    args = parseic(this,args,DenOrder)
    vso = validspecobj(~)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help_initden(~)
    help_maxpole(~)
    s = thisdesignopts(~,s,varargin)
end  % possibly private or hidden 

end  % classdef

