function examples = getexamples(~)
%GETEXAMPLES   Get the examples.

%   Copyright 2005-2010 The MathWorks, Inc.

examples = {{ ...
    'Model the optical absorption of atomic Rubidium87 vapor with an IIR filter.', ...
    'Nb = 12; Na = 10;',...
    'F = linspace(0,1,100);',...    
    'As = ones(1,100)-F*0.2;',...
    'Absorb = [ones(1,30),(1-0.6*bohmanwin(10))'',...',...
    '          ones(1,5), (1-0.5*bohmanwin(8))'',ones(1,47)];',...
    'A = As.*Absorb;',... 
    'd = fdesign.arbmag(''Nb,Na,F,A'',Nb,Na,F,A);',...
    'Hd = design(d,''iirlpnorm'');',...
    'W = [ones(1,30) ones(1,10)*.2 ones(1,60)];',...
    'Hd(2) = design(d,''iirlpnorm'', ''Weights'', W, ''Norm'', 2, ''DensityFactor'', 30);',...
    'fvtool(Hd)'}};


% [EOF]
