classdef windowhbord < fmethod.abstractwindow
%fdfmethod.windowhbord class
%   fdfmethod.windowhbord extends fmethod.abstractwindow.
%
%    fdfmethod.windowhbord properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       Window - Property is of type 'mxArray'  
%       ScalePassband - Property is of type 'bool'  
%
%    fdfmethod.windowhbord methods:
%       actualdesign -   Perform the design.
%       getexamples - Get the examples.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = windowhbord
        %WINDOWHBORD   Construct a WINDOWHBORD object.
        
        %   Author(s): J. Schickler
        
        % this = fdfmethod.windowhbord;
        
        this.DesignAlgorithm = 'Window';
        
        
        end  % windowhbord
        
    end  % constructor block

    methods  % public methods
    b = actualdesign(this,hspecs,varargin)
    examples = getexamples(this)
    validstructs = getvalidstructs(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    s = thisdesignopts(this,s)
    vso = validspecobj(this)
end  % possibly private or hidden 

end  % classdef

