function p = propstoadd(this)
%PROPSTOADD   Return the properties to add to the parent object.

%   Copyright 2008-2016 The MathWorks, Inc.

p = {...
  'ResponseType',...
  'NormalizedFrequency',...
  'Fs',...
  'FilterOrder',...
  'F0',...
  'Fc',...
  'Qa',...
  'S',...
  'G0',...
  };

% Find the fields that are present 
fn = fieldnames(this);
inds = cellfun(@(x) find(strcmp(x,p)),fn,'UniformOutput',false);

% Remove the fields from p that aren't present in fn
p = p(sort(cell2mat(inds)));

% Remove the ResponseType
p(strcmp(p,'ResponseType')) = [];

% [EOF]
