function p = propstoadd(this)
%PROPSTOADD   Return the properties to add to the parent object.

%   Author(s): R. Losada
%   Copyright 2006-2016 The MathWorks, Inc.

p = {...
  'ResponseType',...
  'NormalizedFrequency',...
  'Fs',...
  'FilterOrder',...
  'F0',...
  'BW',...
  'Flow',...
  'Fhigh',...
  'Gref',...
  'G0',...
  'GBW',...
  'Gpass',...
  'Gstop',...
  };

% Find the fields that are present 
fn = fieldnames(this);
inds = cellfun(@(x) find(strcmp(x,p)),fn,'UniformOutput',false);

% Remove the fields from p that aren't present in fn
p = p(sort(cell2mat(inds)));

% Remove the ResponseType
p(strcmp(p,'ResponseType')) = [];

% [EOF]
