function [p,int,comb,v,intv,combv] = cic_info(this)
%CIC_INFO   Get the information about this object.

%   Author(s): J. Schickler
%   Copyright 1999-2019 The MathWorks, Inc.

[p, v] = basefilter_info(this);

nsecs = this.NumberOfSections;

p = {p{1}, ...
    'replace', ...
    getString(message('signal:dfilt:info:DifferentialDelay')), ...
    getString(message('signal:dfilt:info:NumberofSections')), ...
    p{2:end}, ...
    'spacer', ...
    getString(message('signal:dfilt:info:Input')), ...
    getString(message('signal:dfilt:info:Output')), ...
    getString(message('signal:dfilt:info:FilterInternals'))};
v = {v{1}, ...
    'replace', ...
    sprintf('%d', this.DifferentialDelay), ...
    sprintf('%d', nsecs), ...
    v{2:end}, ...
    'spacer', ...
    sprintf('s%d,%d', this.InputWordLength, this.InputFracLength), ...
    sprintf('s%d,%d', this.OutputWordLength, this.OutputFracLength), ...
    lclmap(this.FilterInternals)};

swl = this.SectionWordLengths;
sfl = this.SectionFracLengths;

for indx = 1:nsecs
    int{indx}   = sprintf('  %s %d', ...
                          getString(message('signal:dfilt:info:IntegratorSection')),...
                          indx); %#ok<AGROW>
    comb{indx}  = sprintf('  %s %d', ...
                          getString(message('signal:dfilt:info:CombSection')), ...
                          indx); %#ok<AGROW>
    intv{indx}  = sprintf('s%d,%d', swl(indx), sfl(indx)); %#ok<AGROW>
    combv{indx} = sprintf('s%d,%d', swl(nsecs+indx), sfl(nsecs+indx)); %#ok<AGROW>
end

% -------------------------------------------------------------------------
function swlm = lclmap(swlm)

switch lower(swlm)
    case 'fullprecision'
        swlm = getString(message('signal:dfilt:info:FullPrecision'));
    case 'minwordlengths'
        swlm = getString(message('signal:dfilt:info:MinimumWordLengths'));
    case 'specifywordlengths'
        swlm = getString(message('signal:dfilt:info:SpecifiedWordLengths'));
    case 'specifyprecision'
        swlm = getString(message('signal:dfilt:info:SpecifiedWordLengthsandFractionLengths'));
end

% [EOF]
