function cic_loadpublicinterface(this, s)
%CIC_LOADPUBLICINTERFACE   Load the public interface.

%   Author(s): J. Schickler
%   Copyright 1999-2005 The MathWorks, Inc.

% Make sure to set the number of sections before the differential delay
if isstruct(s)
    if isfield(s, 'NumberOfSections')
        this.NumberOfSections = s.NumberOfSections;
    end

    if isfield(s, 'NumberOfStages')
        this.NumberOfSections = s.NumberOfStages;
    end

    if isfield(s, 'DifferentialDelay')
        this.DifferentialDelay = s.DifferentialDelay;
    end
else
   this.NumberOfSections = s.NumberOfSections;
   this.DifferentialDelay = s.DifferentialDelay;
end

abstract_loadpublicinterface(this, s);

if s.version.number == 0
    % Make sure to set the filterinternals first
    this.FilterInternals = 'specifywordlengths';
    if isfield(s, 'InputBitWidth')
        this.InputWordLength = s.InputBitWidth;
    end
    
    if isfield(s, 'OutputBitWidth')
        this.OutputBitWidth = s.OutputBitWidth;        
    end
end

% [EOF]
