classdef(Abstract,CaseInsensitiveProperties=true) abstractfirfrac < mfilt.abstractsrc
    %ABSTRACTFIRFRAC Constructor this class.
    
    %mfilt.abstractfirfrac class
    %   mfilt.abstractfirfrac extends mfilt.abstractsrc.
    %
    %    mfilt.abstractfirfrac properties:
    %       PersistentMemory - Property is of type 'bool'
    %       NumSamplesProcessed - capture (read only)
    %       FilterStructure - Property is of type 'ustring'  (read only)
    %       States - Property is of type 'mxArray'
    %       Numerator - Property is of type 'DFILTNonemptyVector user-defined'
    %       RateChangeFactors - Property is of type 'posint_vector user-defined'
    %       InputOffset - Property is of type 'mxArray'
    %
    %    mfilt.abstractfirfrac methods:
    %       allocate -   Determine the correct output length based on input length, rate
    %       disp - Object display.
    %       euclidfactors - Integer factors based on Euclid's theorem.
    %       isfixedptable -   True if the object is fixedptable.
    %       set2int - Scales the coefficients to integer numbers.
    %       setratechangefactor - SETRATE Overloaded set for the RateChangeFactor property.
    %       supersetnum - SETNUM Overloaded set for the Numerator property.
    %       tofirsrc -   Convert to a sample-rate converter.
    %
    %   Author: V. Pellissier
    %   Copyright 1999-2018 The MathWorks, Inc.

    
    
    properties (Access=protected, SetObservable, GetObservable)
        %POLYPHASEDELAYS Property is of type 'mxArray'
        PolyphaseDelays = [ 1, 1 ];
    end
    
    
    methods
    end   % set and get functions
    
    methods  % public methods
        len = allocate(Hm,lx,offset)
        thisdisp(this)
        [lo,mo] = euclidfactors(Hm)
        b = isfixedptable(this)
        varargout = set2int(this,coeffWL,inWL)
        R = setratechangefactor(Hm,R)
        num = supersetnum(Hm,num)
        Hm = tofirsrc(this)
        info = qtoolinfo(this)
    end  % public methods
end  % classdef

