classdef (Abstract,CaseInsensitiveProperties=true) abstractiirdecim < mfilt.abstractiirmultirate
    %ABSTRACTIIRDECIM   Abstract constructor produces an error.
    
    %mfilt.abstractiirdecim class
    %   mfilt.abstractiirdecim extends mfilt.abstractiirmultirate.
    %
    %    mfilt.abstractiirdecim properties:
    %       PersistentMemory - Property is of type 'bool'
    %       NumSamplesProcessed - capture (read only)
    %       FilterStructure - Property is of type 'ustring'  (read only)
    %       States - Property is of type 'mxArray'
    %       Polyphase - Property is of type 'mxArray'
    %       DecimationFactor - Property is of type 'mxArray'  (read only)
    %       InputOffset - Property is of type 'spt_uint32 user-defined'
    %       PolyphaseAccum - Property is of type 'mxArray'
    %
    %    mfilt.abstractiirdecim methods:
    %       thisdisp -   Display this object.
    %       get_decimationfactor -   PreGet function for the 'decimationfactor'
    %       get_ratechangefactors -   PreGet function for the 'ratechangefactors'
    %       parse_filterstates - Store filter states in hTar for realizemdl
    %       set_inputoffset -   PreSet function for the 'inputoffset' property.
    %
    %   Author(s): R. Losada
    %   Copyright 2005-2018 The MathWorks, Inc.
    
    properties (SetAccess=protected, SetObservable, GetObservable)
        %DECIMATIONFACTOR Property is of type 'mxArray'  (read only)
        DecimationFactor = [];
    end
    
    properties (SetObservable, GetObservable)
        %INPUTOFFSET Property is of type 'spt_uint32 user-defined'
        InputOffset = 0;
        %POLYPHASEACCUM Property is of type 'mxArray'
        PolyphaseAccum = [  ];
    end
    
    
    methods
        function value = get.DecimationFactor(obj)
            value = get_decimationfactor(obj,obj.DecimationFactor);
        end
        
        function set.InputOffset(obj,value)
            % User-defined DataType = 'spt_uint32 user-defined'
            obj.InputOffset = set_inputoffset(obj,value);
        end
        
    end   % set and get functions
    
    methods  % public methods
        thisdisp(this)
        decimationfactor = get_decimationfactor(this,decimationfactor)
        ratechangefactors = get_ratechangefactors(this,ratechangefactors)
        hTar = parse_filterstates(Hd,hTar)
        inputoffset = set_inputoffset(h,inputoffset)
        h = toiirdecim(this)
        h = toiirwdfdecim(this)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        msg = dgdfgen(Hd,hTar,doMapCoeffsToPorts,pos)
        loadpublicinterface(this,s)
        [p,v] = multirate_info(this)
        s = savepublicinterface(this)
        [y,zf] = secfilter(this,x,zi)
        thisreset(this)
        
    end  % possibly private or hidden
    
end  % classdef

