classdef(Abstract,CaseInsensitiveProperties=true) abstractiirinterp < mfilt.abstractiirmultirate
    %ABSTRACTIIRINTERP   Abstract constructor produces an error.
    
    %mfilt.abstractiirinterp class
    %   mfilt.abstractiirinterp extends mfilt.abstractiirmultirate.
    %
    %    mfilt.abstractiirinterp properties:
    %       PersistentMemory - Property is of type 'bool'
    %       NumSamplesProcessed - capture (read only)
    %       FilterStructure - Property is of type 'ustring'  (read only)
    %       States - Property is of type 'mxArray'
    %       Polyphase - Property is of type 'mxArray'
    %       InterpolationFactor - Property is of type 'posint user-defined'  (read only)
    %
    %    mfilt.abstractiirinterp methods:
    %       thidisp -   Display this object.
    %       get_interpolationfactor -   PreGet function for the 'interpolationfactor'
    %       get_ratechangefactors -   PreGet function for the 'ratechangefactors'
    %
    %   Author(s): R. Losada
    %   Copyright 2005-2018 The MathWorks, Inc.
    
    
    properties (SetAccess=protected, SetObservable, GetObservable)
        %INTERPOLATIONFACTOR Property is of type 'posint user-defined'  (read only)
        InterpolationFactor = [];
    end
    
    
    methods
        function value = get.InterpolationFactor(obj)
            value = get_interpolationfactor(obj,obj.InterpolationFactor);
        end
        function set.InterpolationFactor(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.InterpolationFactor = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        thisdisp(this)
        interpolationfactor = get_interpolationfactor(this,interpolationfactor)
        ratechangefactors = get_ratechangefactors(this,ratechangefactors)
        h = toiirinterp(this)
        h = toiirwdfinterp(this)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        msg = dgdfgen(Hd,hTar,doMapCoeffsToPorts,pos)
        [p,v] = multirate_info(this)
        [y,zf] = secfilter(this,x,zi)
        
        
    end  % possibly private or hidden
    
end  % classdef

