classdef (Abstract,CaseInsensitiveProperties=true) abstractpolyphase < mfilt.abstractsiso
    %ABSTRACTPOLYPHASE   Abstract constructor produces an error.
    
    %mfilt.abstractpolyphase class
    %   mfilt.abstractpolyphase extends mfilt.abstractsiso.
    %
    %    mfilt.abstractpolyphase properties:
    %       PersistentMemory - Property is of type 'bool'
    %       NumSamplesProcessed - capture (read only)
    %       FilterStructure - Property is of type 'ustring'  (read only)
    %       States - Property is of type 'mxArray'
    %
    %    mfilt.abstractpolyphase methods:
    %       getpolyphasematrix -   Get the polyphasematrix.
    %       polyphase - Polyphase decomposition of FIR filters.
    %       quantizecoeffs -  Quantize coefficients
    %       savereferencecoefficients -   Save the reference coefficients.
    %       sethdl_abstractpolyphase - Set the properties of hdlfiltercomp (hhdl) from the
    %       setpolyphasematrix - Overloaded set function on the PolyphaseMatrix property.
    %       setrefpolym - Overloaded set on the refpolym property.
    %       thisispolyphase -   Returns true.
    %       thispolyphase -   Overloaded polyphase method.
    
    %   Author(s): V. Pellissier
    %   Copyright 1999-2018 The MathWorks, Inc.
    
    
    properties (Access=protected)
        %POLYPHASEMATRIX Property is of type 'mxArray'
        PolyphaseMatrix = [];
        %PRIVPOLYM Property is of type 'mxArray'
        privpolym = 1;
        %REFPOLYM Property is of type 'mxArray'
        refpolym = 1;
    end
    
    
    methods
        function value = get.PolyphaseMatrix(obj)
            value = getpolyphasematrix(obj,obj.PolyphaseMatrix);
        end
        function set.PolyphaseMatrix(obj,value)
            obj.PolyphaseMatrix = setpolyphasematrix(obj,value);
        end
        
        function set.refpolym(obj,value)
            obj.refpolym = setrefpolym(obj,value);
        end
        
    end   % set and get functions
    
    methods  % public methods
        polyphasematrix = getpolyphasematrix(h,polyphasematrix)
        varargout = polyphase(this,str)
        quantizecoeffs(h,eventData)
        s = savereferencecoefficients(this)
        sethdl_abstractpolyphase(this,hhdl)
        p = setpolyphasematrix(Hm,p)
        p = setrefpolym(Hd,p)
        b = thisispolyphase(this)
        P = thispolyphase(this)
    end  % public methods
    
end  % classdef

