function [out,coeffnames,variables] = mapcoeffstoports(this,varargin)
%MAPCOEFFSTOPORTS 

%   Copyright 2009-2019 The MathWorks, Inc.

out = parse_mapcoeffstoports(this,varargin{:});

coeffnames = {'Num'};
idx = find(strcmpi(varargin,'CoeffNames'));
if ~isempty(idx)
    userdefinednames = varargin{idx+1}; 
    % if user-defined coefficient names are empty, return the default names.
    if ~isempty(userdefinednames)
        coeffnames = userdefinednames;
    end
end

if length(coeffnames)~=1
    error(message('dsp:mfilt:abstractsrc:mapcoeffstoports:InvalidValue'));
end

% get fixed point attribute
coeffs = this.privpolym(:).';
variables{1} = coeffs(:);


    

% [EOF]
