function thisdisp(this)
%DISP   Display this object.

%   Author(s): J. Schickler
%   Copyright 1999-2021 The MathWorks, Inc.

% Don't use "get" since getting the section wordlengths is very expensive
% (for the default case of "use minimum word lengths")
% s = get(this);
% fn = fieldnames(s);
fn = fieldnames(this);

% Re-order the cell-array of properties.
idx = [6 4 3 5 1];

% Reorder the fields States and InputOffset.
ispersistent = this.PersistentMemory;
if ispersistent
    idx = [idx 9 7 2 ];
end
fn = fn(idx);

for i=1:length(fn)
    snew.(fn{i}) = get(this, fn{i});
end

snew = changedisplay(snew,'PersistentMemory',mat2str(ispersistent));

% Look for extra new line feeds, we want to get rid of them all.
sndx = min(regexp(snew, '\w'));
sndx = find(snew(1:sndx-1) == newline, 1, 'last' );
snew(1:sndx) = [];

sndx = max(regexp(snew, '\w'));
sndx = find(snew(sndx:end) == newline, 1 )+sndx;
snew(sndx:end) = [];

% If PersistentMemory is turned off, don't bother trying to do this
% replacement.
if this.PersistentMemory
    snew = strrep(snew, sprintf('[1x%d filtstates.cic]', length(this.States)), ...
        dispstr(this.States, 29));
end

snew = ['    ' snew(1:end-1)];
snew = strrep(snew, newline, sprintf('\n    '));

disp(snew)

s = settings;
currentFormatSpacing = s.matlab.commandwindow.DisplayLineSpacing.ActiveValue;
if strcmpi(currentFormatSpacing, 'loose')
    disp(' ');
end

disp(this.filterquantizer,25);

% [EOF]
