function Hs = tosysobj(this,returnSysObj)
%TOSYSOBJ Convert mfilt.farrowsrc structure to System object

%   Copyright 2021 The MathWorks, Inc.

if ~returnSysObj
  % If returnSysObj is false, then it means that we want to know if the
  % System object conversion is supported for the class at hand. Return a
  % flag as an output instead of returning the filter System object.
  Hs = true;
  return;
end  

rf = reffilter(this);

L = rf.InterpolationFactor;
M = rf.DecimationFactor;
C = rf.Coefficients;

% SRC structures are mapped to a dsp.FarrowRateConverter System object
Hs = dsp.FarrowRateConverter(M,L,...
        Specification = "Coefficients",...
        Coefficients  = C);

if this.PersistentMemory  
    warning(message('signal:dfilt:basecatalog:PersistentMemory',class(this),'sysobj'));
end

% [EOF]
