classdef(CaseInsensitiveProperties=true) firfracdecim < mfilt.abstractfirfrac
    %FIRFRACDECIM Direct-Form FIR Polyphase Fractional Decimator.
    %   MFILT.FIRFRACDECIM has been removed. Use dsp.FIRRateConverter instead.

%   Copyright 2017-2020 The MathWorks, Inc.
    
    %mfilt.firfracdecim class
    %   mfilt.firfracdecim extends mfilt.abstractfirfrac.
    %
    %    mfilt.firfracdecim properties:
    %       PersistentMemory - Property is of type 'bool'
    %       NumSamplesProcessed - capture (read only)
    %       FilterStructure - Property is of type 'ustring'  (read only)
    %       States - Property is of type 'mxArray'
    %       Numerator - Property is of type 'DFILTNonemptyVector user-defined'
    %       RateChangeFactors - Property is of type 'posint_vector user-defined'
    %       InputOffset - Property is of type 'mxArray'
    %       PolyphaseAccum - Property is of type 'mxArray'
    %
    %    mfilt.firfracdecim methods:
    %       thisdisp - Object display.
    %       getstates - Overloaded get for the States property.
    %       loadpublicinterface -   Load the public interface.
    %       nadd - Returns the number of adders
    %       resetpolym - Reset the polyphase matrix.
    %       savepublicinterface -   Save public interface.
    %       secfilter - Direct-Form FIR Polyphase Fractional Decimator filter.
    %       set_polyphaseaccum -   PreSet function for the 'polyphaseaccum' property.
    %       thischeckratefactors - Check for valid L and M.
    %       thisnstates - NSTATES  Number of states in an FIR Fractional Decimation filter.
    %       thispolyphase - POLYPHASE Polyphase decomposition of FIR filters.
    %       thissetstates - Overloaded set the states property
    %       tofirfracdecim -   Convert to an FIR Fractional decimator.
    
    properties (Access=protected, SetObservable, GetObservable)
        %OUTBUFIDX Property is of type 'spt_uint32 user-defined'
        outBufIdx = 1;
        %INBUFIDX Property is of type 'mxArray'
        inBufIdx = [];
        %INBUFWIDX Property is of type 'spt_uint32 user-defined'
        inBufWIdx = [];
    end
    
    properties (SetObservable, GetObservable)
        %POLYPHASEACCUM Property is of type 'mxArray'
        PolyphaseAccum = [  ];
    end
    
    methods
        function obj = firfracdecim()
            obj.privfq = dfilt.filterquantizer;
            obj.privfilterquantizer = dfilt.filterquantizer;
            error(message('dsp:mfilt:firfracdecim:firfracdecim:Obsolete'));
        end
        
        function set.PolyphaseAccum(obj,value)
            obj.PolyphaseAccum = set_polyphaseaccum(obj,value);
        end
        
        function set.outBufIdx(obj,value)
            % User-defined DataType = 'spt_uint32 user-defined'
            obj.outBufIdx = value;
        end
        
        function set.inBufWIdx(obj,value)
            % User-defined DataType = 'spt_uint32 user-defined'
            obj.inBufWIdx = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        thisdisp(this)
        S = getstates(Hm,dummy)
        loadpublicinterface(this,s)
        n = nadd(this)
        resetpolym(Hm,num)
        s = savepublicinterface(this)
        [y,zf] = secfilter(Hm,x,zi)
        S = set_polyphaseaccum(Hm,S)
        thischeckratefactors(Hm,L,M)
        n = thisnstates(Hm)
        P = thispolyphase(Hm,obj)
        S = thissetstates(Hm,S)
        Hm = tofirfracdecim(this)
    end  % public methods
    
    methods (Hidden) % possibly private or hidden
        [lib,srcblk,s] = superblockparams(Hd,mapstates,link2obj,varname,hTar)
        thisreset(Hm)
    end  % possibly private or hidden
    
end  % classdef

