function S = set_polyphaseaccum(Hm, S)
%SET_POLYPHASEACCUM   PreSet function for the 'polyphaseaccum' property.
%
% NOTE: abstractfirdecim also uses this code in polyaccscalarexpand, but we
% don't inherit from the same super class.

% Validate input.

%   Copyright 1988-2019 The MathWorks, Inc.

narginchk(2,2);

if ~isnumeric(S)
  error(message('dsp:mfilt:firfracdecim:schema:MustBeNumeric'));
end
if issparse(S)
    error(message('dsp:mfilt:firfracdecim:schema:Sparse'));
end

% Number of polyphase accumulators needed.
R = Hm.RateChangeFactors;
nacc = R(1); % L

if isempty(S)
    S=0;
end

if length(S)==1
    S = S(ones(nacc,1),:);  % Using repmat is slow.
end

% At this point we must have a matrix with the right number of rows
if size(S,1) ~= nacc
    error(message('dsp:mfilt:firfracdecim:schema:unMatchedDimension', nacc));
end

% [EOF]
