classdef (CaseInsensitiveProperties=true) firfracinterp < mfilt.abstractfirfrac
    %FIRFRACINTERP Direct-Form FIR Polyphase Fractional Interpolator.
    %   MFILT.FIRFRACINTERP has been removed. Use dsp.FIRRateConverter instead.

%   Copyright 2017-2020 The MathWorks, Inc.
    
    %mfilt.firfracinterp class
    %   mfilt.firfracinterp extends mfilt.abstractfirfrac.
    %
    %    mfilt.firfracinterp properties:
    %       PersistentMemory - Property is of type 'bool'
    %       NumSamplesProcessed - capture (read only)
    %       FilterStructure - Property is of type 'ustring'  (read only)
    %       States - Property is of type 'mxArray'
    %       Numerator - Property is of type 'DFILTNonemptyVector user-defined'
    %       RateChangeFactors - Property is of type 'posint_vector user-defined'
    %       InputOffset - Property is of type 'mxArray'
    %
    %    mfilt.firfracinterp methods:
    %       getstates - Overloaded get for the States property.
    %       nadd - Returns the number of adders
    %       resetpolym - Reset polyphase matrix.
    %       secfilter - Polyphase FIR Fractional Interpolator filter.
    %       setratechangefactor - SETRATE Overloaded set for the RateChangeFactor property.
    %       thischeckratefactors - Check for valid L and M.
    %       thisnstates - NSTATES  Number of states in an FIR Fractional Interpolation filter.
    %       thispolyphase - POLYPHASE Polyphase decomposition of FIR filters.
    %       thissetstates - Overloaded set for the States property.
    %       tofirfracinterp -   Convert to an FIR Fractional Interpolator.
    
    methods
        function obj = firfracinterp()
            obj.privfq = dfilt.filterquantizer;
            obj.privfilterquantizer = dfilt.filterquantizer;
            error(message('dsp:mfilt:firfracinterp:firfracinterp:Obsolete'));
        end
    end
    
    methods  % public methods
        S = getstates(Hm,dummy)
        n = nadd(this)
        resetpolym(Hm,num)
        [y,z] = secfilter(Hm,x,z)
        R = setratechangefactor(Hm,R)
        thischeckratefactors(Hm,L,M)
        n = thisnstates(Hm)
        P = thispolyphase(Hm)
        S = thissetstates(Hm,S)
        Hm = tofirfracinterp(this)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        [lib,srcblk,s] = superblockparams(Hd,mapstates,link2obj,varname,hTar)
        thisreset(Hm)
    end  % possibly private or hidden
    
end  % classdef

