function S = getstates(Hm,~)
%GETSTATES Overloaded get for the States property.

% This should be a private method

%   Author: A. Charry
%   Copyright 1999-2019 The MathWorks, Inc.



Pdelays = Hm.PolyphaseDelays;
m0 = Pdelays(1);
S = Hm.HiddenStates; % Input and output buffer.


% Output buffer
outBufSize = (M-1)*m0+1;
outBuf = S(end-outBufSize+2:end,:); % Remove extra state

% Filter buffer
S(end-outBufSize+1:end,:) = [];
% Circular -> Linear
tapIndex = Hm.TapIndex+1; %1-based indexing
filtBuf = [S(tapIndex+1:end,:); S(1:tapIndex-1,:)]; % Remove extra state
S = [filtBuf;outBuf];

% [EOF]

