function cost(~)
%COST Cost Estimate.  
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   C = COST(Hd) return a cost estimate C for the filter Hd. The cost
%   estimate contains the following fields:
%     NMULT              : Number of multipliers* 
%                         (* excluding multiplications by 0,1,-1)
%     NADD               : Number of adders
%     NSTATES            : Number of states
%     MULTPERINPUTSAMPLE : Number of multiplications per input sample
%     ADDPERINPUTSAMPLE  : Number of additions per input sample
% 
%   EXAMPLE:
%   Hd = mfilt.firdecim;
%   c = cost(Hd)

%   Author(s): V. Pellissier
%   Copyright 2005-2019 The MathWorks, Inc.

% [EOF]
