%SYSOBJ Generate a filter System object
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   Hs = sysobj(Hd) generates a filter System object, Hs, based on the
%   mfilt object, Hd.
%
%   The supported structures are:
%
%   FIR decimator structures (sysobj generates a dsp.FIRDecimator System object):
%     Direct-form FIR polyphase decimator (mfilt.firdecim)
%     Direct-form transposed FIR polyphase decimator (mfilt.firtdecim)
%
%   FIR interpolator structures (sysobj generates a dsp.FIRInterpolator System object):
%     FIR and linear interpolator (dsp.internal.mfilt.linearinterp and
%     dsp.internal.mfilt.firinterp)
%
%   FIR sample-rate converter structures (sysobj generates a dsp.FIRRateConverter System object):
%     Direct-form FIR polyphase sample-rate converter (mfilt.firsrc)
%
%   CIC decimator structure (sysobj generates a dsp.CICDecimator System object):
%     Cascaded integrator-comb (CIC) decimator (cicdecim)
%
%   CIC interpolator structure (sysobj generates a dsp.CICInterpolator System object):
%     Cascaded integrator-comb (CIC) interpolator (dsp.internal.mfilt.cicinterp)


%   Copyright 2011-2021 The MathWorks, Inc.

% [EOF]
