classdef(CaseInsensitiveProperties=true) abstractcicfilterq < dfilt.filterquantizer
    %quantum.abstractcicfilterq class
    %   quantum.abstractcicfilterq extends dfilt.filterquantizer.
    %
    %    quantum.abstractcicfilterq properties:
    %       RoundMode - Property is of type 'ustring'  (read only)
    %       OverflowMode - Property is of type 'ustring'  (read only)
    %       CastBeforeSum - Property is of type 'bool'  (read only)
    %       InputWordLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'mxArray'
    %       FilterInternals - Property is of type 'CICFilterInternalsType enumeration: {'FullPrecision','MinWordLengths','SpecifyWordLengths','SpecifyPrecision'}'
    %       SectionWordLengths - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       SectionFracLengths - Property is of type 'mxArray'
    %       OutputFracLength - Property is of type 'mxArray'
    %
    %    quantum.abstractcicfilterq methods:
    %       conv2sltype - <short description>
    %       copy -   Copy this object.
    %       disp -   Display this object.
    %       get_filterinternals -   PreGet function for the 'filterinternals' property.
    %       get_inputfraclength -   PreGet function for the 'inputfraclength' property.
    %       get_inputwordlength -   PreGet function for the 'inputwordlength' property.
    %       get_outputfraclength -   PreGet function for the 'outputfraclength'
    %       get_outputwordlength -   PreGet function for the 'outputwordlength' property.
    %       get_sectionfraclengths -   PreGet function for the 'sectionfraclengths'
    %       get_sectionwordlengthmode -   PreGet function for the 'sectionwordlengthmode' property.
    %       get_sectionwordlengths -   PreGet function for the 'sectionwordlengths' property.
    %       getlog -   Get the log.
    %       getswlmax -   Get the swlmax.
    %       internalsettings -   Returns fixed-point settings as viewed by the algorithm.
    %       loadobj -   Load this object.
    %       propstoadd -  Quantize coefficients
    %       saveobj -   Save this object.
    %       sendupdate -   Method to send all the events necessary to update the filter.
    %       set_filterinternals -   PreSet function for the 'filterinternals' property.
    %       set_inputfraclength -   PreSet function for the 'inputfraclength' property.
    %       set_inputwordlength -   PreSet function for the 'inputwordlength' property.
    %       set_outputfraclength -   PreSet function for the 'outputfraclength'
    %       set_outputwordlength -   PreSet function for the 'outputwordlength' property.
    %       set_sectionfraclengths -   PreSet function for the 'sectionfraclengths'
    %       set_sectionwordlengthmode -   PreSet function for the 'sectionwordlengthmode' property.
    %       set_sectionwordlengths -   PreSet function for the 'sectionwordlengths' property.
    %       set_secwordlengths -   PreSet function for the 'sectionwordlengths' property.
    %       setsysobjfixedpoint - Set converted CIC System object fixed point properties
    %       specifyall -   Set the object to SpecifyWordLengths mode.
    %       syncprops -   Sync the common properties from one quantizer to another.

%   Copyright 2018-2019 The MathWorks, Inc.
    
    
    properties (Access=protected, SetObservable)
        %PRIVINPUTWORDLENGTH Property is of type 'posint user-defined'
        privInputWordLength = 16;
        %PRIVOUTPUTWORDLENGTH Property is of type 'posint user-defined'
        privOutputWordLength = 18;
        %PRIVSECTIONWORDLENGTHMODE Property is of type 'SectionWordLengthModes enumeration: {'MinWordLengths','SpecifyWordLengths'}'
        privSectionWordLengthMode = 'MinWordLengths';
        %PRIVFILTERINTERNALS Property is of type 'CICFilterInternalsType enumeration: {'FullPrecision','MinWordLengths','SpecifyWordLengths','SpecifyPrecision'}'
        privFilterInternals = 'FullPrecision';
        %PRIVSECTIONWORDLENGTHS Property is of type 'posint_vector user-defined'
        privSectionWordLengths = [ 18, 18, 18, 18 ];
        %PRIVINPUTFRACLENGTH Property is of type 'int32'
        privInputFracLength = 15;
        %PRIVSECTIONFRACLENGTHS Property is of type 'mxArray'
        privSectionFracLengths = [ 15, 15, 15, 15 ];
        %PRIVOUTPUTFRACLENGTH Property is of type 'int32'
        privOutputFracLength = 15;
        %PRIVLICPROP Property is of type 'mxArray'
        privLicProp = [];
    end
    
    properties (SetAccess=protected, SetObservable)
        %ROUNDMODE Property is of type 'ustring'  (read only)
        RoundMode = 'floor';
        %OVERFLOWMODE Property is of type 'ustring'  (read only)
        OverflowMode = 'wrap';
        %CASTBEFORESUM Property is of type 'bool'  (read only)
        CastBeforeSum = 1;
    end
    
    properties (SetObservable)
        %INPUTWORDLENGTH Property is of type 'mxArray'
        InputWordLength = [];
        %OUTPUTWORDLENGTH Property is of type 'mxArray'
        OutputWordLength = [];
        %FILTERINTERNALS Property is of type 'CICFilterInternalsType enumeration: {'FullPrecision','MinWordLengths','SpecifyWordLengths','SpecifyPrecision'}'
        FilterInternals = 'FullPrecision';
        %SECTIONWORDLENGTHS Property is of type 'mxArray'
        SectionWordLengths = [];
        %INPUTFRACLENGTH Property is of type 'mxArray'
        InputFracLength = [];
        %SECTIONFRACLENGTHS Property is of type 'mxArray'
        SectionFracLengths = [];
        %OUTPUTFRACLENGTH Property is of type 'mxArray'
        OutputFracLength = [];
    end
    
    properties (SetObservable, Hidden)
        %SECTIONWORDLENGTHMODE Property is of type 'SectionWordLengthModes enumeration: {'MinWordLengths','SpecifyWordLengths'}'  (hidden)
        SectionWordLengthMode = 'MinWordLengths';
        %INITIALIZING Property is of type 'strictbool user-defined'  (hidden)
        Initializing = false;
    end
    
    methods
        function set.RoundMode(obj,value)
            % DataType = 'ustring'
            % no cell string checks yet'
            obj.RoundMode = value;
        end
        
        function set.OverflowMode(obj,value)
            % DataType = 'ustring'
            % no cell string checks yet'
            obj.OverflowMode = value;
        end
        
        function set.CastBeforeSum(obj,value)
            % DataType = 'bool'
            validateattributes(value,{'numeric','logical'}, {'scalar','nonnan'},'','CastBeforeSum')
            value = logical(value); %  convert to logical
            obj.CastBeforeSum = value;
        end
        
        function value = get.InputWordLength(obj)
            value = get_inputwordlength(obj,obj.InputWordLength);
        end
        function set.InputWordLength(obj,value)
            obj.InputWordLength = set_inputwordlength(obj,value);
        end
        
        function set.privInputWordLength(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.privInputWordLength = value;
        end
        
        function value = get.OutputWordLength(obj)
            value = get_outputwordlength(obj,obj.OutputWordLength);
        end
        function set.OutputWordLength(obj,value)
            obj.OutputWordLength = set_outputwordlength(obj,value);
        end
        
        function set.privOutputWordLength(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.privOutputWordLength = value;
        end
        
        function value = get.SectionWordLengthMode(obj)
            value = get_sectionwordlengthmode(obj,obj.SectionWordLengthMode);
        end
        function set.SectionWordLengthMode(obj,value)
            % Enumerated DataType = 'SectionWordLengthModes enumeration: {'MinWordLengths','SpecifyWordLengths'}'
            value = validatestring(value,{'MinWordLengths','SpecifyWordLengths'},'','SectionWordLengthMode');
            obj.SectionWordLengthMode = set_sectionwordlengthmode(obj,value);
        end
        
        function set.privSectionWordLengthMode(obj,value)
            % Enumerated DataType = 'SectionWordLengthModes enumeration: {'MinWordLengths','SpecifyWordLengths'}'
            value = validatestring(value,{'MinWordLengths','SpecifyWordLengths'},'','privSectionWordLengthMode');
            obj.privSectionWordLengthMode = value;
        end
        
        function value = get.FilterInternals(obj)
            value = get_filterinternals(obj,obj.FilterInternals);
        end
        function set.FilterInternals(obj,value)
            % Enumerated DataType = 'CICFilterInternalsType enumeration: {'FullPrecision','MinWordLengths','SpecifyWordLengths','SpecifyPrecision'}'
            value = validatestring(value,{'FullPrecision','MinWordLengths','SpecifyWordLengths','SpecifyPrecision'},'','FilterInternals');
            obj.FilterInternals = set_filterinternals(obj,value);
        end
        
        function set.privFilterInternals(obj,value)
            % Enumerated DataType = 'CICFilterInternalsType enumeration: {'FullPrecision','MinWordLengths','SpecifyWordLengths','SpecifyPrecision'}'
            value = validatestring(value,{'FullPrecision','MinWordLengths','SpecifyWordLengths','SpecifyPrecision'},'','privFilterInternals');
            obj.privFilterInternals = value;
        end
        
        function value = get.SectionWordLengths(obj)
            value = get_sectionwordlengths(obj,obj.SectionWordLengths);
        end
        function set.SectionWordLengths(obj,value)
            obj.SectionWordLengths = set_sectionwordlengths(obj,value);
        end
        
        function set.privSectionWordLengths(obj,value)
            % User-defined DataType = 'posint_vector user-defined'
            obj.privSectionWordLengths = value;
        end
        
        function value = get.InputFracLength(obj)
            value = get_inputfraclength(obj,obj.InputFracLength);
        end
        function set.InputFracLength(obj,value)
            obj.InputFracLength = set_inputfraclength(obj,value);
        end
        
        function set.privInputFracLength(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privInputFracLength')
            obj.privInputFracLength = value;
        end
        
        function value = get.SectionFracLengths(obj)
            value = get_sectionfraclengths(obj,obj.SectionFracLengths);
        end
        function set.SectionFracLengths(obj,value)
            obj.SectionFracLengths = set_sectionfraclengths(obj,value);
        end
        
        function value = get.OutputFracLength(obj)
            value = get_outputfraclength(obj,obj.OutputFracLength);
        end
        function set.OutputFracLength(obj,value)
            obj.OutputFracLength = set_outputfraclength(obj,value);
        end
        
        function set.privOutputFracLength(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privOutputFracLength')
            obj.privOutputFracLength = value;
        end
        
        function set.Initializing(obj,value)
            % User-defined DataType = 'strictbool user-defined'
            obj.Initializing = value;
        end
        
        function set.privLicProp(obj,value)
            obj.privLicProp = set_privLicProp(obj,value);
        end
        
        function values = getAllowedStringValues(~,prop)
            % This function gives the valid string values for object properties.
            switch prop
                case 'FilterInternals'
                    values = {'FullPrecision','MinWordLengths','SpecifyWordLengths','SpecifyPrecision'};
                case 'SectionWordLengthMode'
                    values = {'MinWordLengths','SpecifyWordLengths'};
                otherwise
                    values = {};
            end
        end
    end   % set and get functions
    
    methods  % public methods
        sltype = conv2sltype(this,varargin)
        Hcopy = copy(this)
        disp(this,varargin)
        filterinternals = get_filterinternals(this,filterinternals)
        ifl = get_inputfraclength(this,ifl)
        iwl = get_inputwordlength(this,iwl)
        outputfraclength = get_outputfraclength(this,outputfraclength)
        owl = get_outputwordlength(this,owl)
        sectionfraclengths = get_sectionfraclengths(this,sectionfraclengths)
        swlm = get_sectionwordlengthmode(this,~)
        swl = get_sectionwordlengths(this,swl)
        [outlog,intlog,comblog] = getlog(this,y,yIntOut,zInt,yCombOut,zComb,inlog)
        swlmax = getswlmax(this)
        s = internalsettings(q)
        p = propstoadd(q)
        s = saveobj(this)
        sendupdate(this)
        filterinternals = set_filterinternals(this,filterinternals)
        ifl = set_inputfraclength(this,ifl)
        iwl = set_inputwordlength(this,iwl)
        outputfraclength = set_outputfraclength(this,outputfraclength)
        owl = set_outputwordlength(this,owl)
        sectionfraclengths = set_sectionfraclengths(this,sectionfraclengths)
        swlmode = set_sectionwordlengthmode(~,~)
        swl = set_sectionwordlengths(this,swl)
        swl = set_secwordlengths(this,swl)
        setsysobjfixedpoint(this,Hs)
        specifyall(this,flag)
        syncprops(this,hq)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        inputautoscalefl(this,s,binptaligned)
        [x,inlog] = quantizeinput(q,x)
        val = set_privLicProp(~,val)
        thisautoscale(this,s,binptaligned)
        updatefilterinternals(this,N,R,D)
        S = validatestates(this,S)
    end  % possibly private or hidden
    
    
    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods
    
end  % classdef

