function this = loadobj(s)
%LOADOBJ   Load this object.

%   Author(s): J. Schickler
%   Copyright 1999-2005 The MathWorks, Inc.

this = feval(s.class);

this.InputWordLength = s.InputWordLength;
this.InputFracLength = s.InputFracLength;

% Temporarily set filter internals to specify precision
this.FilterInternals = 'SpecifyPrecision';

% Set all wordlengths and fraclengths
% We have to set priv wl/fl because if the length is different to the
% current one, the set function will error
this.privSectionWordLengths = s.SectionWordLengths;
this.privSectionFracLengths = s.SectionFracLengths;
this.OutputWordLength = s.OutputWordLength;
this.OutputFracLength = s.OutputFracLength;


% Set filter internals for structures that have it, otherwise set old
% sectionwordlengthmode field
if ~isstruct(s) || isfield(s,'FilterInternals')
    this.FilterInternals = s.FilterInternals;
else
    this.FilterInternals = s.SectionWordLengthMode;
end

% [EOF]
