function syncprops(this, hq)
%SYNCPROPS   Sync the common properties from one quantizer to another.

%   Author(s): J. Schickler
%   Copyright 1999-2005 The MathWorks, Inc.

this.InputWordLength = hq.InputWordLength;
this.FilterInternals = hq.FilterInternals;

if strcmpi(this.FilterInternals,'MinWordLengths')
    this.OutputWordLength = hq.OutputWordLength;
elseif strcmpi(this.FilterInternals,'SpecifyWordLengths')
    this.OutputWordLength = hq.OutputWordLength;
    this.SectionWordLengths = hq.SectionWordLengths;
elseif strcmpi(this.FilterInternals,'SpecifyPrecision')
    this.OutputWordLength = hq.OutputWordLength;
    this.SectionWordLengths = hq.SectionWordLengths;
    this.SectionFracLengths = hq.SectionFracLengths;
    this.OutputFracLength = hq.OutputFracLength;
end

% [EOF]
