classdef(Abstract,CaseInsensitiveProperties=true) abstractfirreport < quantum.abstractreport
    %quantum.abstractfirreport class
    %   quantum.abstractfirreport extends quantum.abstractreport.
    %
    %    quantum.abstractfirreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       Product - Property is of type 'quantum.abstractlog'  (read only)
    %       Accumulator - Property is of type 'quantum.abstractlog'  (read only)
    %
    %    quantum.abstractfirreport methods:
    %       disp -   Display this object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (SetAccess=protected, SetObservable)
        %PRODUCT Property is of type 'quantum.abstractlog'  (read only)
        Product = [];
        %ACCUMULATOR Property is of type 'quantum.abstractlog'  (read only)
        Accumulator = [];
    end
    
    
    methods
        function set.Product(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','Product')
            obj.Product = value;
        end
        
        function set.Accumulator(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','Accumulator')
            obj.Accumulator = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        disp(this)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        parse_inputs(this,datatype,in,out,prod,acc)
    end  % possibly private or hidden
    
end  % classdef

