classdef(CaseInsensitiveProperties=true) abstractfixeddelayholdfilterq < quantum.abstractfixedinfilterq
    %quantum.abstractfixeddelayholdfilterq class
    %   quantum.abstractfixeddelayholdfilterq extends quantum.abstractfixedinfilterq.
    %
    %    quantum.abstractfixeddelayholdfilterq properties:
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'posint user-defined'  (read only)
    %       OutputFracLength - Property is of type 'int32'  (read only)
    %
    %    quantum.abstractfixeddelayholdfilterq methods:
    %       fixed_genmcode -   Return the fixed point generic MATLAB code.
    %       genmcode -   Return the fixed point generic MATLAB code.
    %       getoutputfraclength -   Get the outputfraclength.
    %       getoutputwordlength -   Get the outputwordlength.
    %       info -   Return the information for the display.

%   Copyright 2018-2019 The MathWorks, Inc.
    
    
    properties (SetAccess=protected, SetObservable)
        %OUTPUTWORDLENGTH Property is of type 'posint user-defined'  (read only)
        OutputWordLength = [];
        %OUTPUTFRACLENGTH Property is of type 'int32'  (read only)
        OutputFracLength = [];
    end
    
    
    methods
        function value = get.OutputWordLength(obj)
            value = getoutputwordlength(obj,obj.OutputWordLength);
        end
        function set.OutputWordLength(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.OutputWordLength = value;
        end
        
        function value = get.OutputFracLength(obj)
            value = getoutputfraclength(obj,obj.OutputFracLength);
        end
        function set.OutputFracLength(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','OutputFracLength')
            obj.OutputFracLength = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        h = fixed_genmcode(this)
        h = genmcode(this)
        outputfraclength = getoutputfraclength(h,outputfraclength)
        outputwordlength = getoutputwordlength(h,outputwordlength)
        [p,v] = info(this)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        S = nullstate1(q)
        outputautoscalefl(this,s,binptaligned)
        thisautoscale(this,s,binptaligned)
    end  % possibly private or hidden
    
end  % classdef

