classdef(Abstract,CaseInsensitiveProperties=true) abstractfixeddffirmultiratefilterq < quantum.abstractfixedmultiratefilterq
    %quantum.abstractfixeddffirmultiratefilterq class
    %   quantum.abstractfixeddffirmultiratefilterq extends quantum.abstractfixedmultiratefilterq.
    %
    %    quantum.abstractfixeddffirmultiratefilterq properties:
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       NumFracLength - Property is of type 'mxArray'
    %       FilterInternals - Property is of type 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputFracLength - Property is of type 'mxArray'
    %       ProductWordLength - Property is of type 'mxArray'
    %       ProductFracLength - Property is of type 'mxArray'
    %       AccumWordLength - Property is of type 'mxArray'
    %       AccumFracLength - Property is of type 'mxArray'
    %
    %    quantum.abstractfixeddffirmultiratefilterq methods:
    %       getbestprecision - Return best precision for Product and Accumulator
    %       set_infl -   PreSet function for the 'InputFracLength' property.
    %       set_inwl -   PreSet function for the 'InputWordLength' property.
    %       thisloadobj -   Load this object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    
    methods  % public methods
        s = getbestprecision(q)
        infl = set_infl(this,infl)
        inwl = set_inwl(this,inwl)
        thisloadobj(this,s)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        [b_dble,y_dble,acc_dble,z_dble,tapsum_dble] = convert2double(this,b,y,acc,z,tapsum)
        S = nullstate1(q)
        S = quantizeacc(q,S)
        S = quantizestates(q,S)
        [prodlog,outlog,acclog] = super_getlog(this,b,y,acc)
        thisset_accumfl(q,accumfl)
        thisset_accumwl(q,accumwl)
        updateinternalsettings(q)
    end  % possibly private or hidden
    
    
    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods
    
end  % classdef

