classdef(Abstract,CaseInsensitiveProperties=true) abstractfixedfarrowfdfilterq < quantum.abstractfixedfarrowfilterq
    %quantum.abstractfixedfarrowfdfilterq class
    %   quantum.abstractfixedfarrowfdfilterq extends quantum.abstractfixedfarrowfilterq.
    %
    %    quantum.abstractfixedfarrowfdfilterq properties:
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputFracLength - Property is of type 'mxArray'
    %       FDWordLength - Property is of type 'mxArray'
    %       FDFracLength - Property is of type 'mxArray'
    %       FilterInternals - Property is of type 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
    %       ProductWordLength - Property is of type 'mxArray'
    %       ProductFracLength - Property is of type 'mxArray'
    %       AccumWordLength - Property is of type 'mxArray'
    %       AccumFracLength - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       CoeffFracLength - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       MultiplicandWordLength - Property is of type 'mxArray'
    %       MultiplicandFracLength - Property is of type 'mxArray'
    %       FDProdWordLength - Property is of type 'mxArray'
    %       FDProdFracLength - Property is of type 'mxArray'
    %       FDAutoScale - Property is of type 'mxArray'
    %
    %    quantum.abstractfixedfarrowfdfilterq methods:
    %       disp - Object display.
    %       dispstr -   Return the formatted strings.
    %       get_coeffautoscale -   PreGet function for the 'coeffautoscale' property.
    %       get_coefffl -   PreGet function for the 'coefffl' property.
    %       get_coeffwl -   PreGet function for the 'coeffwl' property.
    %       get_fdprodfl -   PreGet function for the 'fdprodfl' property.
    %       get_fdprodwl -   PreGet function for the 'fdprodwl' property.
    %       get_fdwl -   PreGet function for the 'fdwl' property.
    %       get_mfl -   PreGet function for the 'mfl' property.
    %       get_mwl -   PreGet function for the 'mwl' property.
    %       get_signed -   PreGet function for the 'signed' property.
    %       getbestprecision - Return best precision for Product and Accumulator
    %       getlog -   Get the log.
    %       info -   Return the information for the display.
    %       loadfdprop - <short description>
    %       quantizecoeffs -  Quantize coefficients
    %       set_coeffautoscale -   PreSet Function for the Coefficient AutoScale.
    %       set_coeffwl - Set function on 'CoeffWordLength' property
    %       set_mfl -   PreSet function for the 'mfl' property.
    %       set_mwl -   PreSet function for the 'mwl' property.
    %       setmaxprod -   Set the maxprod.
    %       setmaxsum -   Set the maxsum.
    %       thisloadobj -   Load this object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (Access=protected, SetObservable)
        %PRIVCOEFFWL Property is of type 'posint user-defined'
        privcoeffwl = 16;
        %PRIVCOEFFAUTOSCALE Property is of type 'bool'
        privCoeffAutoScale = true;
        %PRIVCOEFFFL Property is of type 'int32'
        privcoefffl = 15;
        %PRIVSIGNED Property is of type 'bool'
        privsigned = true;
        %PRIVMULTWL Property is of type 'posint user-defined'
        privmultwl = 16;
        %PRIVMULTFL Property is of type 'int32'
        privmultfl = 15;
    end
    
    properties (SetObservable)
        %COEFFWORDLENGTH Property is of type 'mxArray'
        CoeffWordLength = [];
        %COEFFAUTOSCALE Property is of type 'mxArray'
        CoeffAutoScale = [];
        %COEFFFRACLENGTH Property is of type 'mxArray'
        CoeffFracLength = [];
        %SIGNED Property is of type 'mxArray'
        Signed = [];
        %FDAUTOSCALE Property is of type 'mxArray'
        FDAutoScale = [];
    end
    
    properties (Transient, SetObservable)
        %MULTIPLICANDWORDLENGTH Property is of type 'mxArray'
        MultiplicandWordLength = [];
        %MULTIPLICANDFRACLENGTH Property is of type 'mxArray'
        MultiplicandFracLength = [];
        %FDPRODWORDLENGTH Property is of type 'mxArray'
        FDProdWordLength = [];
        %FDPRODFRACLENGTH Property is of type 'mxArray'
        FDProdFracLength = [];
    end
    
    
    methods
        function value = get.CoeffWordLength(obj)
            value = get_coeffwl(obj,obj.CoeffWordLength);
        end
        function set.CoeffWordLength(obj,value)
            obj.CoeffWordLength = set_coeffwl(obj,value);
        end
        
        function value = get.CoeffAutoScale(obj)
            value = get_coeffautoscale(obj,obj.CoeffAutoScale);
        end
        function set.CoeffAutoScale(obj,value)
            obj.CoeffAutoScale = set_coeffautoscale(obj,value);
        end
        
        function value = get.CoeffFracLength(obj)
            value = get_coefffl(obj,obj.CoeffFracLength);
        end
        function set.CoeffFracLength(obj,value)
            obj.CoeffFracLength = set_coefffl(obj,value);
        end
        
        function value = get.Signed(obj)
            value = get_signed(obj,obj.Signed);
        end
        function set.Signed(obj,value)
            obj.Signed = set_signed(obj,value);
        end
        
        function value = get.MultiplicandWordLength(obj)
            value = get_mwl(obj,obj.MultiplicandWordLength);
        end
        function set.MultiplicandWordLength(obj,value)
            obj.MultiplicandWordLength = set_mwl(obj,value);
        end
        
        function value = get.MultiplicandFracLength(obj)
            value = get_mfl(obj,obj.MultiplicandFracLength);
        end
        function set.MultiplicandFracLength(obj,value)
            obj.MultiplicandFracLength = set_mfl(obj,value);
        end
        
        function value = get.FDProdWordLength(obj)
            value = get_fdprodwl(obj,obj.FDProdWordLength);
        end
        function set.FDProdWordLength(obj,value)
            obj.FDProdWordLength = set_fdprodwl(obj,value);
        end
        
        function value = get.FDProdFracLength(obj)
            value = get_fdprodfl(obj,obj.FDProdFracLength);
        end
        function set.FDProdFracLength(obj,value)
            obj.FDProdFracLength = set_fdprodfl(obj,value);
        end
        
        function value = get.FDAutoScale(obj)
            value = get_fdautoscale(obj,obj.FDAutoScale);
        end
        function set.FDAutoScale(obj,value)
            obj.FDAutoScale = set_fdautoscale(obj,value);
        end
        
        function set.privcoeffwl(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.privcoeffwl = value;
        end
        
        function set.privCoeffAutoScale(obj,value)
            % DataType = 'bool'
            validateattributes(value,{'numeric','logical'}, {'scalar','nonnan'},'','privCoeffAutoScale')
            value = logical(value); %  convert to logical
            obj.privCoeffAutoScale = value;
        end
        
        function set.privcoefffl(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privcoefffl')
            obj.privcoefffl = value;
        end
        
        function set.privsigned(obj,value)
            % DataType = 'bool'
            validateattributes(value,{'numeric','logical'}, {'scalar','nonnan'},'','privsigned')
            value = logical(value); %  convert to logical
            obj.privsigned = value;
        end
        
        function set.privmultwl(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.privmultwl = value;
        end
        
        function set.privmultfl(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privmultfl')
            obj.privmultfl = value;
        end        
    end   % set and get functions
    
    methods  % public methods
        disp(this,varargin)
        varargout = dispstr(this,varargin)
        coeffautoscale = get_coeffautoscale(q,coeffautoscale)
        coefffl = get_coefffl(q,coefffl)
        coeffwl = get_coeffwl(q,coeffwl)
        fdprodfl = get_fdprodfl(this,fdprodfl)
        fdprodwl = get_fdprodwl(this,fdprodwl)
        fdwl = get_fdwl(this,fdwl)
        mfl = get_mfl(this,mfl)
        mwl = get_mwl(this,mwl)
        signed = get_signed(q,signed)
        s = getbestprecision(q)
        [prodlog,outlog,acclog,multlog,fdprodlog] = getlog(this,C,Clast,p,plast,y,multlog,fdprodlog,d,x)
        [p,v] = info(this)
        loadfdprop(this,s)
        cq = quantizecoeffs(q,c)
        coeffautoscale = set_coeffautoscale(this,coeffautoscale)
        coeffwl = set_coeffwl(q,coeffwl)
        mfl = set_mfl(this,mfl)
        mwl = set_mwl(this,mwl)
        setmaxprod(this,Hd)
        setmaxsum(this,Hd)
        this = thisloadobj(this,s)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        [y,z] = farrowfdfilter(this,C,x,d,z)
        loadcoeffobj(this,s)
        coefffl = set_coefffl(this,coefffl)
        fdfl = set_fdfl(this,fdfl)
        fdprodfl = set_fdprodfl(this,fdprodfl)
        fdprodwl = set_fdprodwl(this,fdprodwl)
        fdwl = set_fdwl(this,fdwl)
        signed = set_signed(q,signed)
        specifyall(this,flag)
        updateinternalsettings(q)
    end  % possibly private or hidden
    
end  % classdef

