function [p, v] = info(this)
%INFO   Return the information for the display.

%   Author(s): J. Schickler
%   Copyright 1999-2006 The MathWorks, Inc.

p = {getString(message('signal:dfilt:info:Coefficients')), ...
     getString(message('signal:dfilt:info:Input')), ...
     getString(message('signal:dfilt:info:Fracdelay')), ...
     getString(message('signal:dfilt:info:FilterInternals')), ...
     ['  ' getString(message('signal:dfilt:info:Output'))], ...
     ['  ' getString(message('signal:dfilt:info:Product'))], ...
     ['  ' getString(message('signal:dfilt:info:Accumulator'))], ...
     ['  ' getString(message('signal:dfilt:info:Multiplicand'))], ...
     ['  ' getString(message('signal:dfilt:info:FDProduct'))], ...
     ['  ' getString(message('signal:dfilt:info:RoundMode'))], ...
     ['  ' getString(message('signal:dfilt:info:OverflowMode'))]};

if strncmpi(this.FilterInternals, 'full', 4)
    rm = 'No rounding';
    om = 'No overflow';
    extrastr = '  (auto determined)';
else
    rm = this.RoundMode;
    om = this.OverflowMode;
    extrastr = '';
end

if this.Signed
    pre = 's';
else
    pre = 'u';
end

v = {formatinfo(this,pre,this.CoeffWordLength, this.CoeffFracLength), ...
    formatinfo(this,'s',this.InputWordLength, this.InputFracLength), ...
    formatinfo(this,'u',this.FDWordLength, this.FDFracLength), ...
    interspace(this.FilterInternals), ...
    formatinfo(this,'s',this.OutputWordLength, this.OutputFracLength, extrastr), ...
    formatinfo(this,'s',this.ProductWordLength, this.ProductFracLength, extrastr), ...
    formatinfo(this,'s',this.AccumWordLength, this.AccumFracLength, extrastr), ...
    formatinfo(this,'s',this.MultiplicandWordLength, this.MultiplicandFracLength, extrastr), ...
    formatinfo(this,'s',this.FDProdWordLength, this.FDProdFracLength, extrastr), ...
    rm, om};

% [EOF]
