classdef(Abstract,CaseInsensitiveProperties=true) abstractfixedfarrowfilterq < quantum.abstractfixedinfilterq
    %quantum.abstractfixedfarrowfilterq class
    %   quantum.abstractfixedfarrowfilterq extends quantum.abstractfixedinfilterq.
    %
    %    quantum.abstractfixedfarrowfilterq properties:
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputFracLength - Property is of type 'mxArray'
    %       FDWordLength - Property is of type 'mxArray'
    %       FDFracLength - Property is of type 'mxArray'
    %       FilterInternals - Property is of type 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
    %       ProductWordLength - Property is of type 'mxArray'
    %       ProductFracLength - Property is of type 'mxArray'
    %       AccumWordLength - Property is of type 'mxArray'
    %       AccumFracLength - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %
    %    quantum.abstractfixedfarrowfilterq methods:
    %       copy -   Copy this object.
    %       get_fdautoscale -   PreGet function for the 'fdautoscale' property.
    %       get_fdfl -   PreGet function for the 'fdfl' property.
    %       get_fdwl -   PreGet function for the 'fdwl' property.
    %       get_outfl -   PreGet function for the 'outfl' property.
    %       get_outwl -   PreGet function for the 'outwl' property.
    %       getoutputfraclength -   Get the outputfraclength.
    %       getoutputwordlength -   Get the outputwordlength.
    %       loadfdprop - <short description>
    %       loadobj -   Load the object.
    %       saveobj -   Save the object.
    %       set_accumfl -   PreSet function for the 'AccumFracLength' property.
    %       set_accumwl -   PreSet function for the 'AccumWordLength' property.
    %       set_fdautoscale -   PreSet function for the 'fdautoscale' property.
    %       set_filterinternals -   PreSet function for the 'filterinternals' property.
    %       set_infl -   PreSet function for the 'InputFracLength' property.
    %       set_inwl -   PreSet function for the 'InputWordLength' property.
    %       set_outfl -   PreSet function for the 'OutputFracLength' property.
    %       set_outwl -   PreSet function for the 'OutputWordLength' property.
    %       set_prodwl -   PreSet function for the 'ProductWordLength' property.
    %       thisloadobj -   Load this object.

%   Copyright 2018-2019 The MathWorks, Inc.
    
    
    properties (Access=protected, SetObservable)
        %FIMATH Property is of type 'mxArray'
        fimath = fimath( 'RoundMode', 'convergent', 'OverflowMode', 'wrap', 'SumMode', 'SpecifyPrecision', 'ProductMode', 'SpecifyPrecision', 'SumWordLength', 40, 'SumFractionLength', 30 );
        %FDFIMATH Property is of type 'mxArray'
        fdfimath = fimath( 'RoundMode', 'convergent', 'OverflowMode', 'wrap', 'ProductMode', 'SpecifyPrecision', 'ProductWordLength', 17, 'ProductFractionLength', 15, 'SumMode', 'SpecifyPrecision', 'SumWordLength', 17, 'SumFractionLength', 15 );
        %PRIVOUTWL Property is of type 'posint user-defined'
        privoutwl = 16;
        %PRIVOUTFL Property is of type 'int32'
        privoutfl = 15;
        %PRIVFILTERINTERNALS Property is of type 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
        privFilterInternals = 'FullPrecision';
        %PRIVFDAUTOSCALE Property is of type 'bool'
        privfdautoscale = true;
        %PRIVFDWL Property is of type 'posint user-defined'
        privfdwl = 6;
        %PRIVFDFL Property is of type 'int32'
        privfdfl = 5;
        %MAXPROD Property is of type 'mxArray'
        maxprod = [  ];
        %MAXSUM Property is of type 'mxArray'
        maxsum = [  ];
        %VERSION Property is of type 'mxArray'
        version = [];
    end
    
    properties (SetObservable)
        %OUTPUTWORDLENGTH Property is of type 'mxArray'
        OutputWordLength = [];
        %OUTPUTFRACLENGTH Property is of type 'mxArray'
        OutputFracLength = [];
        %FILTERINTERNALS Property is of type 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
        FilterInternals = 'FullPrecision';
        %PRODUCTWORDLENGTH Property is of type 'mxArray'
        ProductWordLength = [];
        %PRODUCTFRACLENGTH Property is of type 'mxArray'
        ProductFracLength = [];
        %ACCUMWORDLENGTH Property is of type 'mxArray'
        AccumWordLength = [];
        %ACCUMFRACLENGTH Property is of type 'mxArray'
        AccumFracLength = [];
        %ROUNDMODE Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
        RoundMode = 'convergent';
        %OVERFLOWMODE Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
        OverflowMode = 'wrap';
    end
    
    properties (Transient, SetObservable)
        %FDWORDLENGTH Property is of type 'mxArray'
        FDWordLength = [];
        %FDFRACLENGTH Property is of type 'mxArray'
        FDFracLength = [];
    end
        
    methods
        function value = get.OutputWordLength(obj)
            value = get_outwl(obj,obj.OutputWordLength);
        end
        function set.OutputWordLength(obj,value)
            obj.OutputWordLength = set_outwl(obj,value);
        end
        
        function value = get.OutputFracLength(obj)
            value = get_outfl(obj,obj.OutputFracLength);
        end
        function set.OutputFracLength(obj,value)
            obj.OutputFracLength = set_outfl(obj,value);
        end
        
        function value = get.FDWordLength(obj)
            value = get_fdwl(obj,obj.FDWordLength);
        end
        function set.FDWordLength(obj,value)
            obj.FDWordLength = set_fdwl(obj,value);
        end
        
        function value = get.FDFracLength(obj)
            value = get_fdfl(obj,obj.FDFracLength);
        end
        function set.FDFracLength(obj,value)
            obj.FDFracLength = set_fdfl(obj,value);
        end
        
        function set.FilterInternals(obj,value)
            % Enumerated DataType = 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
            value = validatestring(value,{'FullPrecision','SpecifyPrecision'},'','FilterInternals');
            obj.FilterInternals = set_filterinternals(obj,value);
        end
        
        function value = get.ProductWordLength(obj)
            value = get_prodwl(obj,obj.ProductWordLength);
        end
        function set.ProductWordLength(obj,value)
            obj.ProductWordLength = set_prodwl(obj,value);
        end
        
        function value = get.ProductFracLength(obj)
            value = get_prodfl(obj,obj.ProductFracLength);
        end
        function set.ProductFracLength(obj,value)
            obj.ProductFracLength = set_prodfl(obj,value);
        end
        
        function value = get.AccumWordLength(obj)
            value = get_accumwl(obj,obj.AccumWordLength);
        end
        function set.AccumWordLength(obj,value)
            obj.AccumWordLength = set_accumwl(obj,value);
        end
        
        function value = get.AccumFracLength(obj)
            value = get_accumfl(obj,obj.AccumFracLength);
        end
        function set.AccumFracLength(obj,value)
            obj.AccumFracLength = set_accumfl(obj,value);
        end
        
        function value = get.RoundMode(obj)
            value = get_rm(obj,obj.RoundMode);
        end
        function set.RoundMode(obj,value)
            % Enumerated DataType = 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
            value = validatestring(value,{'convergent','ceil','fix','floor','round','nearest'},'','RoundMode');
            obj.RoundMode = set_rm(obj,value);
        end
        
        function value = get.OverflowMode(obj)
            value = get_om(obj,obj.OverflowMode);
        end
        function set.OverflowMode(obj,value)
            % Enumerated DataType = 'OverflowType enumeration: {'wrap','saturate'}'
            value = validatestring(value,{'wrap','saturate'},'','OverflowMode');
            obj.OverflowMode = set_om(obj,value);
        end
        
        function set.privoutwl(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.privoutwl = value;
        end
        
        function set.privoutfl(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privoutfl')
            obj.privoutfl = value;
        end
        
        function set.privFilterInternals(obj,value)
            % Enumerated DataType = 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
            value = validatestring(value,{'FullPrecision','SpecifyPrecision'},'','privFilterInternals');
            obj.privFilterInternals = value;
        end
        
        function set.privfdautoscale(obj,value)
            % DataType = 'bool'
            validateattributes(value,{'numeric','logical'}, {'scalar','nonnan'},'','privfdautoscale')
            value = logical(value); %  convert to logical
            obj.privfdautoscale = value;
        end
        
        function set.privfdwl(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.privfdwl = value;
        end
        
        function set.privfdfl(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privfdfl')
            obj.privfdfl = value;
        end
        
        function value = get.version(obj)
            value = get_version(obj,obj.version);
        end
        
        function values = getAllowedStringValues(~,prop)
            % This function gives the valid string values for object properties.
            switch prop
                case 'FilterInternals'
                    values = {'FullPrecision','SpecifyPrecision'};
                case 'RoundMode'
                    values = {'convergent','ceil','fix','floor','round','nearest'};
                otherwise
                    values = {};
            end
        end
    end   % set and get functions
    
    methods  % public methods
        Hcopy = copy(Hd)
        fdautoscale = get_fdautoscale(this,fdautoscale)
        fdfl = get_fdfl(this,fdfl)
        fdwl = get_fdwl(this,fdwl)
        outfl = get_outfl(q,outfl)
        outwl = get_outwl(q,outwl)
        outputfraclength = getoutputfraclength(this,outputfraclength)
        outputwordlength = getoutputwordlength(this,outputwordlength)
        loadfdprop(this,s)
        s = saveobj(this)
        accumfl = set_accumfl(q,accumfl)
        accumwl = set_accumwl(q,accumwl)
        fdautoscale = set_fdautoscale(this,fdautoscale)
        filterinternals = set_filterinternals(q,filterinternals)
        infl = set_infl(this,infl)
        inwl = set_inwl(this,inwl)
        outfl = set_outfl(q,outfl)
        outwl = set_outwl(q,outwl)
        prodwl = set_prodwl(q,prodwl)
        this = thisloadobj(this,s)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        afd_specifyall(this,flag)
        v = formatinfo(this,pre,wl,fl,extrastr)
        accumfl = get_accumfl(q,accumfl)
        accumwl = get_accumwl(q,accumwl)
        om = get_om(q,om)
        prodfl = get_prodfl(q,prodfl)
        prodwl = get_prodwl(q,prodwl)
        rm = get_rm(q,rm)
        v = get_version(this,v)
        loadcoeffobj(this,s)
        delay = quantizefd(this,delay)
        S = quantizestates(q,S)
        fdfl = set_fdfl(this,fdfl,prop)
        fdwl = set_fdwl(this,fdwl)
        om = set_om(q,om)
        prodfl = set_prodfl(q,prodfl)
        rm = set_rm(q,rm)
        thisset_accumfl(q,accumfl)
        thisset_accumwl(q,accumwl)
        thisset_prodfl(q,prodfl)
        thisset_prodwl(q,prodwl)
    end  % possibly private or hidden
    
    
    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods
    
end  % classdef

