function this = loadobj(s)
%LOADOBJ   Load the object.

%   Author(s): J. Schickler
%   Copyright 1999-2006 The MathWorks, Inc.

this = feval(s.class);

this.ncoeffs         = s.ncoeffs;
this.nphases         = s.nphases;
this.maxprod = s.maxprod;
this.maxsum  = s.maxsum;

loadcoeffobj(this,s);

this.InputWordLength = s.InputWordLength;
this.InputFracLength = s.InputFracLength;

loadfdprop(this,s);

updateinternalsettings(this);

this.FilterInternals = s.FilterInternals;

switch lower(this.FilterInternals)
    case 'specifyprecision'
        this.RoundMode = s.RoundMode;
        this.OverflowMode = s.OverflowMode;
        this.ProductWordLength = s.ProductWordLength;
        this.ProductFracLength = s.ProductFracLength;
        this.AccumWordLength = s.AccumWordLength;
        this.AccumFracLength = s.AccumFracLength;
        this.OutputWordLength = s.OutputWordLength;
        this.OutputFracLength = s.OutputFracLength;
        thisloadobj(this,s);
end


% [EOF]
