classdef(CaseInsensitiveProperties=true) abstractfixedlatticefilterq < quantum.abstractfixednonscalarfilterq
    %quantum.abstractfixedlatticefilterq class
    %   quantum.abstractfixedlatticefilterq extends quantum.abstractfixednonscalarfilterq.
    %
    %    quantum.abstractfixedlatticefilterq properties:
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputMode - Property is of type 'OutputModeType enumeration: {'AvoidOverflow','BestPrecision','SpecifyPrecision'}'
    %       OutputFracLength - Property is of type 'mxArray'
    %       ProductMode - Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
    %       ProductWordLength - Property is of type 'mxArray'
    %       AccumMode - Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
    %       AccumWordLength - Property is of type 'mxArray'
    %       CastBeforeSum - Property is of type 'bool'
    %       LatticeFracLength - Property is of type 'mxArray'
    %       StateWordLength - Property is of type 'mxArray'
    %       StateFracLength - Property is of type 'mxArray'
    %
    %    quantum.abstractfixedlatticefilterq methods:
    %       get_statefl -   PreGet function for the 'statefl' property.
    %       get_statewl -   PreGet function for the 'statewl' property.
    %       lattice_thisloadobj -   Load this object.
    %       quantizestates -   Quantize the states.
    %       set_infl -   PreSet function for the 'InputFracLength' property.
    %       set_inwl -   PreSet function for the 'InputWordLength' property.
    %       set_statefl -   PreSet function for the 'statefl' property.
    %       set_statewl -   PreSet function for the 'StateWordLength' property.
    %       super_thisautoscale - THISAUTOSCALE

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (Access=protected, SetObservable)
        %PRIVSTATEWL Property is of type 'posint user-defined'
        privstatewl = 16;
        %PRIVSTATEFL Property is of type 'int32'
        privstatefl = 15;
    end
    
    properties (SetObservable)
        %LATTICEFRACLENGTH Property is of type 'mxArray'
        LatticeFracLength = [];
        %STATEWORDLENGTH Property is of type 'mxArray'
        StateWordLength = [];
        %STATEFRACLENGTH Property is of type 'mxArray'
        StateFracLength = [];
    end
    
    
    methods
        function value = get.LatticeFracLength(obj)
            value = get_numfl(obj,obj.LatticeFracLength);
        end
        function set.LatticeFracLength(obj,value)
            obj.LatticeFracLength = set_numfl(obj,value,'LatticeFracLength');
        end
        
        function value = get.StateWordLength(obj)
            value = get_statewl(obj,obj.StateWordLength);
        end
        function set.StateWordLength(obj,value)
            obj.StateWordLength = set_statewl(obj,value);
        end
        
        function value = get.StateFracLength(obj)
            value = get_statefl(obj,obj.StateFracLength);
        end
        function set.StateFracLength(obj,value)
            obj.StateFracLength = set_statefl(obj,value);
        end
        
        function set.privstatewl(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.privstatewl = value;
        end
        
        function set.privstatefl(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privstatefl')
            obj.privstatefl = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        statefl = get_statefl(q,statefl)
        statewl = get_statewl(q,statewl)
        lattice_thisloadobj(this,s)
        S = quantizestates(this,S)
        infl = set_infl(q,infl)
        inwl = set_inwl(this,inwl)
        statefl = set_statefl(q,statefl)
        statewl = set_statewl(q,statewl)
        super_thisautoscale(this,s,binptaligned)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        [coeffStruct,zi,mathStruct,x,y,inlog] = input2latticearmex(q,k,kconj,x,zi)
        [prodlog,outlog,acclog,statelog] = super_getlog(this,k,kconj,y,acc1,acc2,z1,z2,x)
    end  % possibly private or hidden
    
end  % classdef

