classdef(CaseInsensitiveProperties=true) abstractfixedmultiratefilterq < quantum.abstractfixedfilterq
    %quantum.abstractfixedmultiratefilterq class
    %   quantum.abstractfixedmultiratefilterq extends quantum.abstractfixedfilterq.
    %
    %    quantum.abstractfixedmultiratefilterq properties:
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       NumFracLength - Property is of type 'mxArray'
    %       FilterInternals - Property is of type 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputFracLength - Property is of type 'mxArray'
    %       ProductWordLength - Property is of type 'mxArray'
    %       ProductFracLength - Property is of type 'mxArray'
    %       AccumWordLength - Property is of type 'mxArray'
    %       AccumFracLength - Property is of type 'mxArray'
    %
    %    quantum.abstractfixedmultiratefilterq methods:
    %       blockparams -   Return the block params for the fixed point settings.
    %       disp - Object display.
    %       genmcode -   Generate an MATLAB code object for this object.
    %       get_outfl -   PreGet function for the 'outfl' property.
    %       get_outwl -   PreGet function for the 'outwl' property.
    %       info -   Return the information for the display.
    %       quantizecoeffs -  Quantize coefficients
    %       set_accumfl -   PreSet function for the 'AccumFracLength' property.
    %       set_accumwl -   PreSet function for the 'AccumWordLength' property.
    %       set_coeffwl -   Set function on 'CoeffWordLength' property
    %       set_filterinternals -   PreSet function for the 'filterinternals' property.
    %       set_infl -   PreSet function for the 'InputFracLength' property.
    %       set_inwl -   PreSet function for the 'InputWordLength' property.
    %       set_outfl -   PreSet function for the 'OutputFracLength' property.
    %       set_outwl -   PreSet function for the 'OutputWordLength' property.
    %       set_prodwl -   PreSet function for the 'ProductWordLength' property.
    %       setmaxprod -   Set the maxprod.
    %       setsysobjfixedpoint - Set converted System object fixed point properties

%   Copyright 2018-2019 The MathWorks, Inc.
    
    
    properties (Access=protected, SetObservable)
        %PRIVFILTERINTERNALS Property is of type 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
        privFilterInternals = 'FullPrecision';
        %PRIVOUTWL Property is of type 'posint user-defined'
        privoutwl = 16;
        %PRIVOUTFL Property is of type 'int32'
        privoutfl = 15;
    end
    
    properties (SetObservable)
        %NUMFRACLENGTH Property is of type 'mxArray'
        NumFracLength = [];
        %FILTERINTERNALS Property is of type 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
        FilterInternals = 'FullPrecision';
        %OUTPUTWORDLENGTH Property is of type 'mxArray'
        OutputWordLength = [];
        %OUTPUTFRACLENGTH Property is of type 'mxArray'
        OutputFracLength = [];
        %PRODUCTWORDLENGTH Property is of type 'mxArray'
        ProductWordLength = [];
        %PRODUCTFRACLENGTH Property is of type 'mxArray'
        ProductFracLength = [];
        %ACCUMWORDLENGTH Property is of type 'mxArray'
        AccumWordLength = [];
        %ACCUMFRACLENGTH Property is of type 'mxArray'
        AccumFracLength = [];
    end
    
    
    % events
    %     QuantizeAcc
    % end  % events
    
    methods
        function value = get.NumFracLength(obj)
            value = get_numfl(obj,obj.NumFracLength);
        end
        function set.NumFracLength(obj,value)
            obj.NumFracLength = set_numfl(obj,value);
        end
        
        function set.FilterInternals(obj,value)
            % Enumerated DataType = 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
            value = validatestring(value,{'FullPrecision','SpecifyPrecision'},'','FilterInternals');
            obj.FilterInternals = set_filterinternals(obj,value);
        end
        
        function value = get.OutputWordLength(obj)
            value = get_outwl(obj,obj.OutputWordLength);
        end
        function set.OutputWordLength(obj,value)
            obj.OutputWordLength = set_outwl(obj,value);
        end
        
        function value = get.OutputFracLength(obj)
            value = get_outfl(obj,obj.OutputFracLength);
        end
        function set.OutputFracLength(obj,value)
            obj.OutputFracLength = set_outfl(obj,value);
        end
        
        function value = get.ProductWordLength(obj)
            value = get_prodwl(obj,obj.ProductWordLength);
        end
        function set.ProductWordLength(obj,value)
            obj.ProductWordLength = set_prodwl(obj,value);
        end
        
        function value = get.ProductFracLength(obj)
            value = get_prodfl(obj,obj.ProductFracLength);
        end
        function set.ProductFracLength(obj,value)
            obj.ProductFracLength = set_prodfl(obj,value);
        end
        
        function value = get.AccumWordLength(obj)
            value = get_accumwl(obj,obj.AccumWordLength);
        end
        function set.AccumWordLength(obj,value)
            obj.AccumWordLength = set_accumwl(obj,value);
        end
        
        function value = get.AccumFracLength(obj)
            value = get_accumfl(obj,obj.AccumFracLength);
        end
        function set.AccumFracLength(obj,value)
            obj.AccumFracLength = set_accumfl(obj,value);
        end
        
        function set.privFilterInternals(obj,value)
            % Enumerated DataType = 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
            value = validatestring(value,{'FullPrecision','SpecifyPrecision'},'','privFilterInternals');
            obj.privFilterInternals = value;
        end
        
        function set.privoutwl(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.privoutwl = value;
        end
        
        function set.privoutfl(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privoutfl')
            obj.privoutfl = value;
        end
        
        function values = getAllowedStringValues(obj,prop)
            values = getAllowedStringValues@quantum.abstractfixedfilterq(obj, prop);
            % This function gives the valid string values for object properties.
            switch prop
                case 'FilterInternals'
                    values = {'FullPrecision','SpecifyPrecision'};     
            end
        end
        
    end   % set and get functions
    
    methods  % public methods
        p = blockparams(this,varargin)
        disp(this,varargin)
        hcode = genmcode(this)
        outfl = get_outfl(q,outfl)
        outwl = get_outwl(q,outwl)
        [p,v] = info(this)
        cq = quantizecoeffs(q,c)
        accumfl = set_accumfl(q,accumfl)
        accumwl = set_accumwl(q,accumwl)
        coeffwl = set_coeffwl(q,coeffwl)
        filterinternals = set_filterinternals(q,filterinternals)
        infl = set_infl(q,infl)
        inwl = set_inwl(q,inwl)
        outfl = set_outfl(q,outfl)
        outwl = set_outwl(q,outwl)
        prodwl = set_prodwl(q,prodwl)
        setmaxprod(this,Hd)
        setsysobjfixedpoint(this,Hs)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        accumfl = get_accumfl(q,accumfl)
        accumwl = get_accumwl(q,accumwl)
        numfl = get_numfl(q,numfl)
        prodfl = get_prodfl(q,prodfl)
        prodwl = get_prodwl(q,prodwl)
        send_quantizeacc(q,eventData)
        numfl = set_numfl(this,numfl)
        om = set_om(q,om)
        prodfl = set_prodfl(q,prodfl)
        rm = set_rm(q,rm)
        specifyall(this,flag)
        super_thisautoscale(this,s,binptaligned)
        thisautoscale(this,s,binptaligned)
        thisset_accumfl(q,accumfl)
        thisset_accumwl(q,accumwl)
        om = thisset_om(q,om)
        thisset_prodfl(q,prodfl)
        thisset_prodwl(q,prodwl)
        rm = thisset_rm(q,rm)
        updateinternalsettings(q)
    end  % possibly private or hidden
    
end  % classdef

