classdef(CaseInsensitiveProperties=true) abstractfixednonscalarfilterq < quantum.abstractfixedoutfilterq
    %quantum.abstractfixednonscalarfilterq class
    %   quantum.abstractfixednonscalarfilterq extends quantum.abstractfixedoutfilterq.
    %
    %    quantum.abstractfixednonscalarfilterq properties:
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputMode - Property is of type 'OutputModeType enumeration: {'AvoidOverflow','BestPrecision','SpecifyPrecision'}'
    %       OutputFracLength - Property is of type 'mxArray'
    %       ProductMode - Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
    %       ProductWordLength - Property is of type 'mxArray'
    %       AccumMode - Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
    %       AccumWordLength - Property is of type 'mxArray'
    %       CastBeforeSum - Property is of type 'bool'
    %
    %    quantum.abstractfixednonscalarfilterq methods:
    %       disp - Object display.
    %       get_accummode -   PreGet function for the 'accummode' property.
    %       get_productmode -   PreGet function for the 'productmode' property.
    %       set_accq - Specify word and fraction length of the accum passed to the mexfunction.
    %       set_accumfl -   PreSet function for the 'AccumFracLength' property.
    %       set_accummode -   PreSet function for the 'AccumMode' property.
    %       set_accumwl -   PreSet function for the 'AccumWordLength' property.
    %       set_numfl -   PreSet function for the coeff frac length property.
    %       set_outq - Specify output word and fraction length for the mexfunction.
    %       set_prodfl -   PreSet function for the 'ProductFracLength' property.
    %       set_prodq - Specify product word and fraction length for the mexfunction.
    %       set_productmode -   PreSet function for the 'ProductMode' property.
    %       set_prodwl -   PreSet function for the 'ProductWordLength' property.

%   Copyright 2018-2019 The MathWorks, Inc.
    
    
    properties (Access=protected, SetObservable)
        %PRIVPRODUCTMODE Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
        privProductMode = 'FullPrecision';
        %PRIVACCUMMODE Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
        privAccumMode = 'KeepMSB';
    end
    
    properties (SetObservable)
        %PRODUCTMODE Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
        ProductMode = 'FullPrecision';
        %PRODUCTWORDLENGTH Property is of type 'mxArray'
        ProductWordLength = [];
        %ACCUMMODE Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
        AccumMode = 'FullPrecision';
        %ACCUMWORDLENGTH Property is of type 'mxArray'
        AccumWordLength = [];
        %CASTBEFORESUM Property is of type 'bool'
        CastBeforeSum = false;
    end
    
    
    methods
        function value = get.ProductMode(obj)
            value = get_productmode(obj,obj.ProductMode);
        end
        function set.ProductMode(obj,value)
            % Enumerated DataType = 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
            value = validatestring(value,{'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'},'','ProductMode');
            obj.ProductMode = set_productmode(obj,value);
        end
        
        function value = get.ProductWordLength(obj)
            value = get_prodwl(obj,obj.ProductWordLength);
        end
        function set.ProductWordLength(obj,value)
            obj.ProductWordLength = set_prodwl(obj,value);
        end
        
        function value = get.AccumMode(obj)
            value = get_accummode(obj,obj.AccumMode);
        end
        function set.AccumMode(obj,value)
            % Enumerated DataType = 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
            value = validatestring(value,{'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'},'','AccumMode');
            obj.AccumMode = set_accummode(obj,value);
        end
        
        function value = get.AccumWordLength(obj)
            value = get_accumwl(obj,obj.AccumWordLength);
        end
        function set.AccumWordLength(obj,value)
            obj.AccumWordLength = set_accumwl(obj,value);
        end
        
        function value = get.CastBeforeSum(obj)
            value = get_cbs(obj,obj.CastBeforeSum);
        end
        function set.CastBeforeSum(obj,value)
            % DataType = 'bool'
            validateattributes(value,{'numeric','logical'}, {'scalar','nonnan'},'','CastBeforeSum')
            value = logical(value); %  convert to logical
            obj.CastBeforeSum = set_cbs(obj,value);
        end
        
        function set.privProductMode(obj,value)
            % Enumerated DataType = 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
            value = validatestring(value,{'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'},'','privProductMode');
            obj.privProductMode = value;
        end
        
        function set.privAccumMode(obj,value)
            % Enumerated DataType = 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
            value = validatestring(value,{'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'},'','privAccumMode');
            obj.privAccumMode = value;
        end
        
        function values = getAllowedStringValues(obj,prop)
            % This function gives the valid string values for object properties.
            values = getAllowedStringValues@quantum.abstractfixedoutfilterq(obj, prop);
            switch prop
                case 'AccumMode'
                    values = {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'};
                case 'ProductMode'
                    values = {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'};
            end
        end
    end   % set and get functions
    
    methods  % public methods
        disp(this,varargin)
        accummode = get_accummode(q,accummode)
        productmode = get_productmode(q,productmode)
        [accWL,accFL] = set_accq(q,inWL,inFL,ncoeffs)
        accumfl = set_accumfl(this,accumfl,prop)
        accummode = set_accummode(this,accummode)
        accumwl = set_accumwl(this,accumwl)
        numfl = set_numfl(this,numfl,prop)
        set_outq(q,accWL,accFL)
        prodfl = set_prodfl(this,prodfl,prop)
        [prodWL,prodFL] = set_prodq(q,coeffWL,coeffFL,multWL,multFL)
        productmode = set_productmode(q,productmode)
        prodwl = set_prodwl(this,prodwl)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        afnsfq_specifyall(this,flag)
        accumfl = get_accumfl(q,accumfl)
        accumwl = get_accumwl(q,accumwl)
        cbs = get_cbs(q,cbs)
        numfl = get_numfl(q,numfl)
        prodfl = get_prodfl(q,prodfl)
        prodwl = get_prodwl(q,prodwl)
        nonscalar_thisloadobj(this,s)
        cbs = set_cbs(q,cbs)
        specifyall(this,flag)
        thisset_accumwl(q,accumwl)
        thisset_prodwl(q,prodwl)
    end  % possibly private or hidden
    
end  % classdef

