classdef(CaseInsensitiveProperties=true) abstractfixedoutfilterq < quantum.abstractfixedfilterq
    %quantum.abstractfixedoutfilterq class
    %   quantum.abstractfixedoutfilterq extends quantum.abstractfixedfilterq.
    %
    %    quantum.abstractfixedoutfilterq properties:
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputMode - Property is of type 'OutputModeType enumeration: {'AvoidOverflow','BestPrecision','SpecifyPrecision'}'
    %       OutputFracLength - Property is of type 'mxArray'
    %
    %    quantum.abstractfixedoutfilterq methods:
    %       get_outputmode -   PreGet function for the 'outputmode' property.
    %       get_outwl -   PreGet function for the 'outwl' property.
    %       out_genmcode -   Generate MATLAB code.
    %       set_outfl -   PreSet function for the 'OutputFracLength'.
    %       set_outputmode -   PreSet function for the 'outputmode' property.
    %       set_outwl -   PreSet function for the 'OutputWordLength' property.

%   Copyright 2018-2019 The MathWorks, Inc.
    
    
    properties (Access=protected, SetObservable)
        %PRIVOUTWL Property is of type 'posint user-defined'
        privoutwl = 16;
        %PRIVOUTPUTMODE Property is of type 'OutputModeType enumeration: {'AvoidOverflow','BestPrecision','SpecifyPrecision'}'
        privOutputMode = 'AvoidOverflow';
        %PRIVOUTFL Property is of type 'int32'
        privoutfl = 15;
    end
    
    properties (SetObservable)
        %OUTPUTWORDLENGTH Property is of type 'mxArray'
        OutputWordLength = [];
        %OUTPUTMODE Property is of type 'OutputModeType enumeration: {'AvoidOverflow','BestPrecision','SpecifyPrecision'}'
        OutputMode = 'AvoidOverflow';
        %OUTPUTFRACLENGTH Property is of type 'mxArray'
        OutputFracLength = [];
    end
    
    
    methods
        function value = get.OutputWordLength(obj)
            value = get_outwl(obj,obj.OutputWordLength);
        end
        function set.OutputWordLength(obj,value)
            obj.OutputWordLength = set_outwl(obj,value);
        end
        
        function value = get.OutputMode(obj)
            value = get_outputmode(obj,obj.OutputMode);
        end
        function set.OutputMode(obj,value)
            % Enumerated DataType = 'OutputModeType enumeration: {'AvoidOverflow','BestPrecision','SpecifyPrecision'}'
            value = validatestring(value,{'AvoidOverflow','BestPrecision','SpecifyPrecision'},'','OutputMode');
            obj.OutputMode = set_outputmode(obj,value);
        end
        
        function value = get.OutputFracLength(obj)
            value = get_outfl(obj,obj.OutputFracLength);
        end
        function set.OutputFracLength(obj,value)
            obj.OutputFracLength = set_outfl(obj,value);
        end
        
        function set.privoutwl(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.privoutwl = value;
        end
        
        function set.privOutputMode(obj,value)
            % Enumerated DataType = 'OutputModeType enumeration: {'AvoidOverflow','BestPrecision','SpecifyPrecision'}'
            value = validatestring(value,{'AvoidOverflow','BestPrecision','SpecifyPrecision'},'','privOutputMode');
            obj.privOutputMode = value;
        end
        
        function set.privoutfl(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privoutfl')
            obj.privoutfl = value;
        end
        
        function values = getAllowedStringValues(obj,prop)
            % This function gives the valid string values for object properties.
            values = getAllowedStringValues@quantum.abstractfixedfilterq(obj, prop);
            switch prop
                case 'OutputMode'
                    values = {'AvoidOverflow','BestPrecision','SpecifyPrecision'};
            end
        end
    end   % set and get functions
    
    methods  % public methods
        outputmode = get_outputmode(q,outputmode)
        outwl = get_outwl(q,outwl)
        h = out_genmcode(this)
        outfl = set_outfl(this,outfl)
        outputmode = set_outputmode(this,outputmode)
        outwl = set_outwl(this,outwl)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        afofq_specifyall(this,flag)
        outfl = get_outfl(q,outfl)
        out_thisloadobj(this,s)
        outputautoscalefl(this,s,binptaligned)
    end  % possibly private or hidden
    
end  % classdef

