classdef abstractfixedsos2filterq < quantum.abstractfixedsosfilterq
    %quantum.abstractfixedsos2filterq class
    %   quantum.abstractfixedsos2filterq extends quantum.abstractfixedsosfilterq.
    %
    %    quantum.abstractfixedsos2filterq properties:
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputMode - Property is of type 'OutputModeType enumeration: {'AvoidOverflow','BestPrecision','SpecifyPrecision'}'
    %       OutputFracLength - Property is of type 'mxArray'
    %       ProductMode - Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
    %       ProductWordLength - Property is of type 'mxArray'
    %       AccumMode - Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
    %       AccumWordLength - Property is of type 'mxArray'
    %       CastBeforeSum - Property is of type 'bool'
    %       NumAccumFracLength - Property is of type 'mxArray'
    %       DenAccumFracLength - Property is of type 'mxArray'
    %       NumProdFracLength - Property is of type 'mxArray'
    %       DenProdFracLength - Property is of type 'mxArray'
    %       NumFracLength - Property is of type 'mxArray'
    %       DenFracLength - Property is of type 'mxArray'
    %       ScaleValueFracLength - Property is of type 'mxArray'
    %       StateWordLength - Property is of type 'mxArray'
    %       SectionInputWordLength - Property is of type 'mxArray'
    %       SectionOutputWordLength - Property is of type 'mxArray'
    %
    %    quantum.abstractfixedsos2filterq methods:
    %       get_stageinfl -   PreGet function for the 'stageinfl' property.
    %       get_stageinwl -   PreGet function for the 'stageinwl' property.
    %       get_stageoutfl -   PreGet function for the 'stageoutfl' property.
    %       get_stageoutwl -   PreGet function for the 'stageoutwl' property.
    %       get_statefl -   PreGet function for the 'statefl' property.
    %       get_statewl -   PreGet function for the 'statewl' property.
    %       internalsettings - Returns the fixed-point settings viewed by the algorithm.
    %       set_stageinfl -   PreSet function for the 'stageinfl' property.
    %       set_stageinwl -   PreSet function for the 'stageinwl' property.
    %       set_stageoutfl -   PreSet function for the 'StageOutputFracLength' property.
    %       set_stageoutwl -   PreSet function for the 'StageOutputWordLength' property.
    %       set_statefl -   PreSet function for the 'StateFracLength' property.
    %       set_statewl -   PreSet function for the 'StateWordLength' property.
    %       sos2_blockparams -   Get the SOS2 specific block parameters.
    %       sos2_thiscopy -   Copy the SOS2 properties.
    %       sos2_thisloadobj -   Load this object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (Access=protected, SetObservable)
        %PRIVSTATEWL Property is of type 'posint user-defined'
        privstatewl = 16;
        %PRIVSTATEFL Property is of type 'int32'
        privstatefl = 15;
        %PRIVSTAGEINWL Property is of type 'posint user-defined'
        privstageinwl = 16;
        %PRIVSTAGEINFL Property is of type 'int32'
        privstageinfl = 15;
        %PRIVSTAGEOUTWL Property is of type 'posint user-defined'
        privstageoutwl = 16;
        %PRIVSTAGEOUTFL Property is of type 'int32'
        privstageoutfl = 15;
    end
    
    properties (SetObservable)
        %STATEWORDLENGTH Property is of type 'mxArray'
        StateWordLength = [];
        %SECTIONINPUTWORDLENGTH Property is of type 'mxArray'
        SectionInputWordLength = [];
        %SECTIONOUTPUTWORDLENGTH Property is of type 'mxArray'
        SectionOutputWordLength = [];
    end
    
    properties (Transient, SetObservable, Hidden)
        %STAGEINPUTWORDLENGTH Property is of type 'mxArray'  (hidden)
        StageInputWordLength = [];
        %STAGEOUTPUTWORDLENGTH Property is of type 'mxArray'  (hidden)
        StageOutputWordLength = [];
    end
    
    
    methods
        function value = get.StateWordLength(obj)
            value = get_statewl(obj,obj.StateWordLength);
        end
        function set.StateWordLength(obj,value)
            obj.StateWordLength = set_statewl(obj,value);
        end
        
        function value = get.SectionInputWordLength(obj)
            value = get_stageinwl(obj,obj.SectionInputWordLength);
        end
        function set.SectionInputWordLength(obj,value)
            obj.SectionInputWordLength = set_stageinwl(obj,value);
        end
        
        function value = get.StageInputWordLength(obj)
            value = getobsoleteprop(obj,obj.StageInputWordLength,'StageInputWordLength','SectionInputWordLength',false,true);
        end
        function set.StageInputWordLength(obj,value)
            obj.StageInputWordLength = setobsoleteprop(obj,value,'StageInputWordLength','SectionInputWordLength',false,true);
        end
        
        function value = get.SectionOutputWordLength(obj)
            value = get_stageoutwl(obj,obj.SectionOutputWordLength);
        end
        function set.SectionOutputWordLength(obj,value)
            obj.SectionOutputWordLength = set_stageoutwl(obj,value);
        end
        
        function value = get.StageOutputWordLength(obj)
            value = getobsoleteprop(obj,obj.StageOutputWordLength,'StageOutputWordLength','SectionOutputWordLength',false,true);
        end
        function set.StageOutputWordLength(obj,value)
            obj.StageOutputWordLength = setobsoleteprop(obj,value,'StageOutputWordLength','SectionOutputWordLength',false,true);
        end
        
        function set.privstatewl(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.privstatewl = value;
        end
        
        function set.privstatefl(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privstatefl')
            obj.privstatefl = value;
        end
        
        function set.privstageinwl(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.privstageinwl = value;
        end
        
        function set.privstageinfl(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privstageinfl')
            obj.privstageinfl = value;
        end
        
        function set.privstageoutwl(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.privstageoutwl = value;
        end
        
        function set.privstageoutfl(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privstageoutfl')
            obj.privstageoutfl = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        stageinfl = get_stageinfl(q,stageinfl)
        stageinwl = get_stageinwl(q,stageinwl)
        stageoutfl = get_stageoutfl(q,stageoutfl)
        stageoutwl = get_stageoutwl(q,stageoutwl)
        statefl = get_statefl(q,statefl)
        statewl = get_statewl(q,statewl)
        s = internalsettings(q)
        stageinfl = set_stageinfl(this,stageinfl)
        stageinwl = set_stageinwl(this,stageinwl)
        stageoutfl = set_stageoutfl(this,stageoutfl)
        stageoutwl = set_stageoutwl(this,stageoutwl)
        statefl = set_statefl(this,statefl)
        statewl = set_statewl(this,statewl)
        p = sos2_blockparams(this)
        sos2_thiscopy(this,Hd)
        sos2_thisloadobj(this,s)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        inheritstates(q,S)
        S = nullstate1(q)
        S = quantizestates(q,S)
        setsysobsectioninputoutput(this,Hs)
        thisautoscale(this,s,binptaligned)
    end  % possibly private or hidden
    
end  % classdef

