classdef(CaseInsensitiveProperties=true) abstractfixedsosfilterq < quantum.abstractfixediirfilterq
    %quantum.abstractfixedsosfilterq class
    %   quantum.abstractfixedsosfilterq extends quantum.abstractfixediirfilterq.
    %
    %    quantum.abstractfixedsosfilterq properties:
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputMode - Property is of type 'OutputModeType enumeration: {'AvoidOverflow','BestPrecision','SpecifyPrecision'}'
    %       OutputFracLength - Property is of type 'mxArray'
    %       ProductMode - Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
    %       ProductWordLength - Property is of type 'mxArray'
    %       AccumMode - Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
    %       AccumWordLength - Property is of type 'mxArray'
    %       CastBeforeSum - Property is of type 'bool'
    %       NumAccumFracLength - Property is of type 'mxArray'
    %       DenAccumFracLength - Property is of type 'mxArray'
    %       NumProdFracLength - Property is of type 'mxArray'
    %       DenProdFracLength - Property is of type 'mxArray'
    %       NumFracLength - Property is of type 'mxArray'
    %       DenFracLength - Property is of type 'mxArray'
    %       ScaleValueFracLength - Property is of type 'mxArray'
    %
    %    quantum.abstractfixedsosfilterq methods:
    %       quantizecoeffs -  Quantize coefficients
    %       set_svfl -   PreSet function for the 'ScaleValueFracLength' property.
    %       setsysobjfixedpoint - Set converted System object fixed point properties
    %       sos_blockparams -   Returns the sos block parameters.
    %       sos_genmcode -   Generate MATLAB code.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (Access=protected, SetObservable)
        %PRIVCOEFFFL3 Property is of type 'int32'
        privcoefffl3 = 15;
    end
    
    properties (SetObservable)
        %SCALEVALUEFRACLENGTH Property is of type 'mxArray'
        ScaleValueFracLength = [];
    end
    
    
    methods
        function value = get.ScaleValueFracLength(obj)
            value = get_svfl(obj,obj.ScaleValueFracLength);
        end
        function set.ScaleValueFracLength(obj,value)
            obj.ScaleValueFracLength = set_svfl(obj,value);
        end
        
        function set.privcoefffl3(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privcoefffl3')
            obj.privcoefffl3 = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        [bq,aq,svq] = quantizecoeffs(q,b,a,sv,optimizesv)
        svfl = set_svfl(this,svfl)
        setsysobjfixedpoint(this,Hs)
        p = sos_blockparams(this)
        h = sos_genmcode(this)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        svfl = get_svfl(q,svfl)
        sosmatrix = getsosmatrix(q,num,den)
        S = quantizestates(q,S)
        scaleopts(this,Hd,opts)
        sos_thisloadobj(this,s)
        validaterefcoeffs(q,prop,val)
    end  % possibly private or hidden
    
end  % classdef

