classdef(CaseInsensitiveProperties=true) cicinterpreport < quantum.abstractcicreport
    %CICINTERPREPORT   Construct a CICINTERPREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.cicinterpreport class
    %   quantum.cicinterpreport extends quantum.abstractcicreport.
    %
    %    quantum.cicinterpreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %
    %    quantum.cicinterpreport methods:
    %       disp -   Display this object.
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = cicinterpreport(datatype,in,out,intlog,comblog)
            narginchk(5,5);
            this.DataType = datatype;
            this.Input = in;
            this.Output = out;
            
            this.nsections = length(intlog);
            createdynprop(this, datatype, intlog, comblog);
        end  % cicinterpreport
        
    end  % constructor block
    
    methods  % public methods
        disp(this)
    end  % public methods
    
end  % classdef

