classdef(CaseInsensitiveProperties=true) df1report < quantum.abstractiirreport
    %DF1REPORT   Construct a DF1REPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.df1report class
    %   quantum.df1report extends quantum.abstractiirreport.
    %
    %    quantum.df1report properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       NumProd - Property is of type 'quantum.abstractlog'  (read only)
    %       DenProd - Property is of type 'quantum.abstractlog'  (read only)
    %       NumAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       DenAcc - Property is of type 'quantum.abstractlog'  (read only)
    %
    %    quantum.df1report methods:
    %       disp -   Display this object.
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = df1report(datatype,in,out,numprod,denprod,numacc,denacc)
            narginchk(7,7);
            this.DataType = datatype;
            this.Input = in;
            this.Output = out;
            this.NumProd = numprod;
            this.DenProd = denprod;
            this.NumAcc = numacc;
            this.DenAcc = denacc;
        end  % df1report
    end  % constructor block
    
    methods  % public methods
        disp(this)
    end  % public methods
    
end  % classdef

