classdef(CaseInsensitiveProperties=true) df1sosreport < quantum.abstractsosreport
    %DF1SOSREPORT   Construct a DF1SOSREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.df1sosreport class
    %   quantum.df1sosreport extends quantum.abstractsosreport.
    %
    %    quantum.df1sosreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       NumProd - Property is of type 'quantum.abstractlog'  (read only)
    %       DenProd - Property is of type 'quantum.abstractlog'  (read only)
    %       NumAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       DenAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       NumStates - Property is of type 'quantum.abstractlog'  (read only)
    %       DenStates - Property is of type 'quantum.abstractlog'  (read only)
    %
    %    quantum.df1sosreport methods:
    %       disp -   Display this object.
    
    %   Author(s): V. Pellissier
    
    properties (SetAccess=protected, SetObservable)
        %NUMSTATES Property is of type 'quantum.abstractlog'  (read only)
        NumStates = [];
        %DENSTATES Property is of type 'quantum.abstractlog'  (read only)
        DenStates = [];
    end
    
    
    methods  % constructor block
        function this = df1sosreport(datatype,in,out,numstates,denstates,numprod,denprod,numacc,denacc)            
            narginchk(9,9);
            this.DataType = datatype;
            this.Input = in;
            this.Output = out;
            this.NumStates = numstates;
            this.DenStates = denstates;
            this.NumProd = numprod;
            this.DenProd = denprod;
            this.NumAcc = numacc;
            this.DenAcc = denacc;
        end  % df1sosreport
    end  % constructor block
    
    methods
        function set.NumStates(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','NumStates')
            obj.NumStates = value;
        end
        
        function set.DenStates(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','DenStates')
            obj.DenStates = value;
        end
    end   % set and get functions
    
    methods  % public methods
        disp(this)
    end  % public methods
    
end  % classdef

