classdef(CaseInsensitiveProperties=true) df1tsosreport < quantum.abstractsosreport
    %DF1TSOSREPORT   Construct a DF1TSOSREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.df1tsosreport class
    %   quantum.df1tsosreport extends quantum.abstractsosreport.
    %
    %    quantum.df1tsosreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       NumProd - Property is of type 'quantum.abstractlog'  (read only)
    %       DenProd - Property is of type 'quantum.abstractlog'  (read only)
    %       NumAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       DenAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       SectionIn - Property is of type 'quantum.abstractlog'  (read only)
    %       SectionOut - Property is of type 'quantum.abstractlog'  (read only)
    %       NumStates - Property is of type 'quantum.abstractlog'  (read only)
    %       DenStates - Property is of type 'quantum.abstractlog'  (read only)
    %       Multiplicand - Property is of type 'quantum.abstractlog'  (read only)
    %
    %    quantum.df1tsosreport methods:
    %       disp -   Display this object.
    
    %   Author(s): V. Pellissier
    
    
    
    properties (SetAccess=protected, SetObservable)
        %SECTIONIN Property is of type 'quantum.abstractlog'  (read only)
        SectionIn = [];
        %SECTIONOUT Property is of type 'quantum.abstractlog'  (read only)
        SectionOut = [];
        %NUMSTATES Property is of type 'quantum.abstractlog'  (read only)
        NumStates = [];
        %DENSTATES Property is of type 'quantum.abstractlog'  (read only)
        DenStates = [];
        %MULTIPLICAND Property is of type 'quantum.abstractlog'  (read only)
        Multiplicand = [];
    end
    
    methods  % constructor block
        function this = df1tsosreport(datatype,in,out,sectin,sectout,numstates,denstates,multiplicand,numprod,denprod,numacc,denacc)
            narginchk(12,12);
            this.DataType = datatype;
            this.Input = in;
            this.Output = out;
            this.SectionIn = sectin;
            this.SectionOut = sectout;
            this.Multiplicand = multiplicand;
            this.NumStates = numstates;
            this.DenStates = denstates;
            this.NumProd = numprod;
            this.DenProd = denprod;
            this.NumAcc = numacc;
            this.DenAcc = denacc;
        end  % df1tsosreport
    end  % constructor block
    
    methods
        function set.SectionIn(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','SectionIn')
            obj.SectionIn = value;
        end
        
        function set.SectionOut(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','SectionOut')
            obj.SectionOut = value;
        end
        
        function set.NumStates(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','NumStates')
            obj.NumStates = value;
        end
        
        function set.DenStates(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','DenStates')
            obj.DenStates = value;
        end
        
        function set.Multiplicand(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','Multiplicand')
            obj.Multiplicand = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        disp(this)
    end  % public methods
    
end  % classdef

