classdef(CaseInsensitiveProperties=true) df2report < quantum.abstractiir2report
    %DF2REPORT   Construct a DF2REPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.df2report class
    %   quantum.df2report extends quantum.abstractiir2report.
    %
    %    quantum.df2report properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       NumProd - Property is of type 'quantum.abstractlog'  (read only)
    %       DenProd - Property is of type 'quantum.abstractlog'  (read only)
    %       NumAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       DenAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       States - Property is of type 'quantum.abstractlog'  (read only)
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = df2report(datatype,in,out,states,numprod,denprod,numacc,denacc)
            narginchk(8,8);
            this.DataType = datatype;
            this.Input = in;
            this.Output = out;
            this.States = states;
            this.NumProd = numprod;
            this.DenProd = denprod;
            this.NumAcc = numacc;
            this.DenAcc = denacc;
        end  % df2report
        
    end  % constructor block
end  % classdef

