classdef(CaseInsensitiveProperties=true) df2tsosreport < quantum.abstractsos2report
    %DF2TSOSREPORT   Construct a DF2TSOSREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.df2tsosreport class
    %   quantum.df2tsosreport extends quantum.abstractsos2report.
    %
    %    quantum.df2tsosreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       NumProd - Property is of type 'quantum.abstractlog'  (read only)
    %       DenProd - Property is of type 'quantum.abstractlog'  (read only)
    %       NumAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       DenAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       SectionIn - Property is of type 'quantum.abstractlog'  (read only)
    %       SectionOut - Property is of type 'quantum.abstractlog'  (read only)
    %       States - Property is of type 'quantum.abstractlog'  (read only)
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = df2tsosreport(datatype,in,out,sectin,sectout,states,numprod,denprod,numacc,denacc)
            narginchk(10,10);
            this.DataType = datatype;
            this.Input = in;
            this.Output = out;
            this.SectionIn = sectin;
            this.SectionOut = sectout;
            this.States = states;
            this.NumProd = numprod;
            this.DenProd = denprod;
            this.NumAcc = numacc;
            this.DenAcc = denacc;% [EOF]
        end  % df2tsosreport
    end  % constructor block
end  % classdef

