classdef(CaseInsensitiveProperties=true) fdfarrowreport < quantum.abstractfirreport
    %FDFARROWREPORT   Construct a FDFARROWREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.fdfarrowreport class
    %   quantum.fdfarrowreport extends quantum.abstractfirreport.
    %
    %    quantum.fdfarrowreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       Product - Property is of type 'quantum.abstractlog'  (read only)
    %       Accumulator - Property is of type 'quantum.abstractlog'  (read only)
    %       Multiplicand - Property is of type 'quantum.abstractlog'  (read only)
    %       FDProduct - Property is of type 'quantum.abstractlog'  (read only)
    %
    %    quantum.fdfarrowreport methods:
    %       disp -   Display this object.
    
    %   Author(s): V. Pellissier
    
    properties (SetAccess=protected, SetObservable)
        %MULTIPLICAND Property is of type 'quantum.abstractlog'  (read only)
        Multiplicand = [];
        %FDPRODUCT Property is of type 'quantum.abstractlog'  (read only)
        FDProduct = [];
    end
    
    methods  % constructor block
        function this = fdfarrowreport(datatype,in,out,prod,acc,mult,fdprod)
            parse_inputs(this,datatype,in,out,prod,acc);
            this.Multiplicand = mult;
            this.FDProduct = fdprod;
        end  % fdfarrowreport
    end  % constructor block
    
    methods
        function set.Multiplicand(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','Multiplicand')
            obj.Multiplicand = value;
        end
        
        function set.FDProduct(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','FDProduct')
            obj.FDProduct = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        disp(this)
    end  % public methods
    
end  % classdef

