classdef(CaseInsensitiveProperties=true) firtdecimreport < quantum.abstractfirtreport
    %FIRTDECIMREPORT   Construct a FIRTDECIMREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.firtdecimreport class
    %   quantum.firtdecimreport extends quantum.abstractfirtreport.
    %
    %    quantum.firtdecimreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       Product - Property is of type 'quantum.abstractlog'  (read only)
    %       Accumulator - Property is of type 'quantum.abstractlog'  (read only)
    %       States - Property is of type 'quantum.abstractlog'  (read only)
    %       PolyAcc - Property is of type 'quantum.abstractlog'  (read only)
    %
    %    quantum.firtdecimreport methods:
    %       disp -   Display this object.
    
    %   Author(s): V. Pellissier
    
    properties (SetAccess=protected, SetObservable)
        %POLYACC Property is of type 'quantum.abstractlog'  (read only)
        PolyAcc = [];
    end
    
    methods  % constructor block
        function this = firtdecimreport(datatype,in,out,state,prod,acc,polyacc)
            parse_inputs(this,datatype,in,out,prod,acc);
            this.States = state;
            this.PolyAcc = polyacc;
        end  % firtdecimreport
    end  % constructor block
    
    methods
        function set.PolyAcc(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','PolyAcc')
            obj.PolyAcc = value;
        end
    end   % set and get functions
    
    methods  % public methods
        disp(this)
    end  % public methods
    
end  % classdef

