classdef(CaseInsensitiveProperties=true) fixedcicfilterq < quantum.abstractcicfilterq
    %FIXEDCICFILTERQ   Construct a FIXEDCICFILTERQ object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.fixedcicfilterq class
    %   quantum.fixedcicfilterq extends quantum.abstractcicfilterq.
    %
    %    quantum.fixedcicfilterq properties:
    %       RoundMode - Property is of type 'ustring'  (read only)
    %       OverflowMode - Property is of type 'ustring'  (read only)
    %       CastBeforeSum - Property is of type 'bool'  (read only)
    %       InputWordLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'mxArray'
    %       FilterInternals - Property is of type 'CICFilterInternalsType enumeration: {'FullPrecision','MinWordLengths','SpecifyWordLengths','SpecifyPrecision'}'
    %       SectionWordLengths - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       SectionFracLengths - Property is of type 'mxArray'
    %       OutputFracLength - Property is of type 'mxArray'
    %
    %    quantum.fixedcicfilterq methods:
    %       cicdecimdggen - Directed Graph generator for cic decimator filter
    %       cicdecimfilter - Filter for the MFILT.CICDECIM filter in fixed-point mode.
    %       quantizestates -   Quantize the states.
    %       ufifcnhndl -   Return function handle used for updatefilterinternals
    
    %   Author(s): J. Schickler
    
    methods  % constructor block
        function this = fixedcicfilterq
           
        end  % fixedcicfilterq
    end  % constructor block
    
    methods  % public methods
        DGDF = cicdecimdggen(q,Hd,states)
        [y,zf,modIdxf] = cicdecimfilter(q,x,zi,R,M,N,modIdx,nx,nchans,ny)
        states = quantizestates(this,states)
        fcnhndl = ufifcnhndl(this)
    end  % public methods
   
    methods (Hidden) % possibly private or hidden
        n = thiscombNops(this,inlog,outlog)
        n = thisintNops(this,inlog,outlog)
    end  % possibly private or hidden
    
end  % classdef

