classdef(CaseInsensitiveProperties=true) fixeddelayfilterq < quantum.abstractfixeddelayholdfilterq
    %quantum.fixeddelayfilterq class
    %   quantum.fixeddelayfilterq extends quantum.abstractfixeddelayholdfilterq.
    %
    %    quantum.fixeddelayfilterq properties:
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'posint user-defined'  (read only)
    %       OutputFracLength - Property is of type 'int32'  (read only)
    %
    %    quantum.fixeddelayfilterq methods:
    %       delayfilter -  DELAY Filter for DFILT.DELAY class in double single and fixed point
    %       delayheadconnect - specifies connection and quantization parameters in the
    %       set_inwl -   PreSet function for the 'InputWordLength' property.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    methods  % public methods
        [y,zf] = delayfilter(q,b,x,zi)
        [NL,NextIPorts,NextOPorts,mainparams] = delayheadconnect(q,NL,H,mainparams)
        inwl = set_inwl(this,inwl)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        S = quantizestates(q,S)
        infl = set_infl(this,infl)
        S = validatestates(q,S)
    end  % possibly private or hidden
    
end  % classdef

