classdef(CaseInsensitiveProperties=true) fixeddf1tsosfilterq < quantum.abstractfixedsos2filterq
    %quantum.fixeddf1tsosfilterq class
    %   quantum.fixeddf1tsosfilterq extends quantum.abstractfixedsos2filterq.
    %
    %    quantum.fixeddf1tsosfilterq properties:
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputMode - Property is of type 'OutputModeType enumeration: {'AvoidOverflow','BestPrecision','SpecifyPrecision'}'
    %       OutputFracLength - Property is of type 'mxArray'
    %       ProductMode - Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
    %       ProductWordLength - Property is of type 'mxArray'
    %       AccumMode - Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
    %       AccumWordLength - Property is of type 'mxArray'
    %       CastBeforeSum - Property is of type 'bool'
    %       NumAccumFracLength - Property is of type 'mxArray'
    %       DenAccumFracLength - Property is of type 'mxArray'
    %       NumProdFracLength - Property is of type 'mxArray'
    %       DenProdFracLength - Property is of type 'mxArray'
    %       NumFracLength - Property is of type 'mxArray'
    %       DenFracLength - Property is of type 'mxArray'
    %       ScaleValueFracLength - Property is of type 'mxArray'
    %       StateWordLength - Property is of type 'mxArray'
    %       SectionInputWordLength - Property is of type 'mxArray'
    %       SectionOutputWordLength - Property is of type 'mxArray'
    %       SectionInputAutoScale - Property is of type 'mxArray'
    %       SectionInputFracLength - Property is of type 'mxArray'
    %       SectionOutputAutoScale - Property is of type 'bool'
    %       SectionOutputFracLength - Property is of type 'mxArray'
    %       StateAutoScale - Property is of type 'bool'
    %       NumStateFracLength - Property is of type 'mxArray'
    %       DenStateFracLength - Property is of type 'mxArray'
    %       MultiplicandWordLength - Property is of type 'mxArray'
    %       MultiplicandFracLength - Property is of type 'mxArray'
    %
    %    quantum.fixeddf1tsosfilterq methods:
    %       blockparams -   Return the block parameters.
    %       df1tsosbodyconnect - specifies the connection and quantization parameters in the
    %       df1tsosfilter - Filter for DFILT.DF1TSOS class in fixed-point
    %       df1tsosfootconnect - specifies the connection and quantization parameters in the
    %       df1tsosheadconnect - specifies the blocks, connection and quantization parameters in the
    %       df1tsosheader_order0 - specifies the blocks, connection and quantization parameters in the
    %       disp - Object display.
    %       genmcode -   Generate MATLAB code.
    %       get_dstatefl -   PreGet function for the 'dstatefl' property.
    %       get_multfl -   PreGet function for the 'multfl' property.
    %       get_multwl -   PreGet function for the 'multwl' property.
    %       get_nstatefl -   PreGet function for the 'nstatefl' property.
    %       get_stageinputautoscale -   PreGet function for the 'stageinputautoscale' property.
    %       get_stageoutputautoscale -   PreGet function for the 'stageoutputautoscale' property.
    %       get_stateautoscale -   PreGet function for the 'stateautoscale' property.
    %       info -   Return the info for the object.
    %       internalsettings - Returns the fixed-point settings viewed by the algorithm.
    %       propstoadd -   Return the properties to add to the parent object.
    %       set_denstateq -   Define denominator state format
    %       set_dstatefl -   PreSet function for the 'DenStateFracLength' property.
    %       set_multfl -   PreSet function for the 'multfl' property.
    %       set_multwl -   PreSet function for the 'MultiplicandWordLength' property.
    %       set_ncoeffs -   Set function for the 'ncoeffs' property.
    %       set_nstatefl -   PreSet function for the 'NumStateFracLength' property.
    %       set_numstateq -   Define numerator state format
    %       set_outq - Specify output word and fraction length for the mexfunction.
    %       set_stageinq - Specify Stage input word and fraction length for the mexfunction.
    %       set_stageoutq - Specify Stage output word and fraction length for the mexfunction.
    %       thisloadobj -   Load this object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (Access=protected, SetObservable)
        %PRIVSECTIONINPUTAUTOSCALE Property is of type 'bool'
        privSectionInputAutoScale = true;
        %PRIVSECTIONOUTPUTAUTOSCALE Property is of type 'bool'
        privSectionOutputAutoScale = true;
        %PRIVNSTATEFL Property is of type 'int32'
        privnstatefl = 15;
        %PRIVDSTATEFL Property is of type 'int32'
        privdstatefl = 15;
        %PRIVSTATEAUTOSCALE Property is of type 'bool'
        privStateAutoScale = true;
        %PRIVMULTWL Property is of type 'posint user-defined'
        privmultwl = 16;
        %PRIVMULTFL Property is of type 'int32'
        privmultfl = 15;
    end
    
    properties (SetObservable)
        %SECTIONINPUTAUTOSCALE Property is of type 'mxArray'
        SectionInputAutoScale = [];
        %SECTIONINPUTFRACLENGTH Property is of type 'mxArray'
        SectionInputFracLength = [];
        %SECTIONOUTPUTAUTOSCALE Property is of type 'bool'
        SectionOutputAutoScale = false;
        %SECTIONOUTPUTFRACLENGTH Property is of type 'mxArray'
        SectionOutputFracLength = [];
        %STATEAUTOSCALE Property is of type 'bool'
        StateAutoScale = false;
        %NUMSTATEFRACLENGTH Property is of type 'mxArray'
        NumStateFracLength = [];
        %DENSTATEFRACLENGTH Property is of type 'mxArray'
        DenStateFracLength = [];
        %MULTIPLICANDWORDLENGTH Property is of type 'mxArray'
        MultiplicandWordLength = [];
        %MULTIPLICANDFRACLENGTH Property is of type 'mxArray'
        MultiplicandFracLength = [];
    end
    
    properties (Transient, SetObservable, Hidden)
        %STAGEINPUTAUTOSCALE Property is of type 'mxArray'  (hidden)
        StageInputAutoScale = [];
        %STAGEINPUTFRACLENGTH Property is of type 'mxArray'  (hidden)
        StageInputFracLength = [];
        %STAGEOUTPUTAUTOSCALE Property is of type 'mxArray'  (hidden)
        StageOutputAutoScale = [];
        %STAGEOUTPUTFRACLENGTH Property is of type 'mxArray'  (hidden)
        StageOutputFracLength = [];
    end
    
    
    methods
        function value = get.SectionInputAutoScale(obj)
            value = get_stageinputautoscale(obj,obj.SectionInputAutoScale);
        end
        function set.SectionInputAutoScale(obj,value)
            obj.SectionInputAutoScale = set_stageinputautoscale(obj,value);
        end
        
        function value = get.SectionInputFracLength(obj)
            value = get_stageinfl(obj,obj.SectionInputFracLength);
        end
        function set.SectionInputFracLength(obj,value)
            obj.SectionInputFracLength = set_stageinfl(obj,value);
        end
        
        function value = get.SectionOutputAutoScale(obj)
            value = get_stageoutputautoscale(obj,obj.SectionOutputAutoScale);
        end
        function set.SectionOutputAutoScale(obj,value)
            % DataType = 'bool'
            validateattributes(value,{'numeric','logical'}, {'scalar','nonnan'},'','SectionOutputAutoScale')
            value = logical(value); %  convert to logical
            obj.SectionOutputAutoScale = set_stageoutputautoscale(obj,value);
        end
        
        function value = get.SectionOutputFracLength(obj)
            value = get_stageoutfl(obj,obj.SectionOutputFracLength);
        end
        function set.SectionOutputFracLength(obj,value)
            obj.SectionOutputFracLength = set_stageoutfl(obj,value);
        end
        
        function value = get.StateAutoScale(obj)
            value = get_stateautoscale(obj,obj.StateAutoScale);
        end
        function set.StateAutoScale(obj,value)
            % DataType = 'bool'
            validateattributes(value,{'numeric','logical'}, {'scalar','nonnan'},'','StateAutoScale')
            value = logical(value); %  convert to logical
            obj.StateAutoScale = set_stateautoscale(obj,value);
        end
        
        function value = get.NumStateFracLength(obj)
            value = get_nstatefl(obj,obj.NumStateFracLength);
        end
        function set.NumStateFracLength(obj,value)
            obj.NumStateFracLength = set_nstatefl(obj,value);
        end
        
        function value = get.DenStateFracLength(obj)
            value = get_dstatefl(obj,obj.DenStateFracLength);
        end
        function set.DenStateFracLength(obj,value)
            obj.DenStateFracLength = set_dstatefl(obj,value);
        end
        
        function value = get.MultiplicandWordLength(obj)
            value = get_multwl(obj,obj.MultiplicandWordLength);
        end
        function set.MultiplicandWordLength(obj,value)
            obj.MultiplicandWordLength = set_multwl(obj,value);
        end
        
        function value = get.MultiplicandFracLength(obj)
            value = get_multfl(obj,obj.MultiplicandFracLength);
        end
        function set.MultiplicandFracLength(obj,value)
            obj.MultiplicandFracLength = set_multfl(obj,value);
        end
        
        function value = get.StageInputAutoScale(obj)
            value = getobsoleteprop(obj,obj.StageInputAutoScale,'StageInputAutoScale','SectionInputAutoScale',false,true);
        end
        function set.StageInputAutoScale(obj,value)
            obj.StageInputAutoScale = setobsoleteprop(obj,value,'StageInputAutoScale','SectionInputAutoScale',false,true);
        end
        
        function value = get.StageInputFracLength(obj)
            value = getobsoleteprop(obj,obj.StageInputFracLength,'StageInputFracLength','SectionInputFracLength',false,true);
        end
        function set.StageInputFracLength(obj,value)
            obj.StageInputFracLength = setobsoleteprop(obj,value,'StageInputFracLength','SectionInputFracLength',false,true);
        end
        
        function value = get.StageOutputAutoScale(obj)
            value = getobsoleteprop(obj,obj.StageOutputAutoScale,'StageOutputAutoScale','SectionOutputAutoScale',false,true);
        end
        function set.StageOutputAutoScale(obj,value)
            obj.StageOutputAutoScale = setobsoleteprop(obj,value,'StageOutputAutoScale','SectionOutputAutoScale',false,true);
        end
        
        function value = get.StageOutputFracLength(obj)
            value = getobsoleteprop(obj,obj.StageOutputFracLength,'StageOutputFracLength','SectionOutputFracLength',false,true);
        end
        function set.StageOutputFracLength(obj,value)
            obj.StageOutputFracLength = setobsoleteprop(obj,value,'StageOutputFracLength','SectionOutputFracLength',false,true);
        end
        
        function set.privSectionInputAutoScale(obj,value)
            % DataType = 'bool'
            validateattributes(value,{'numeric','logical'}, {'scalar','nonnan'},'','privSectionInputAutoScale')
            value = logical(value); %  convert to logical
            obj.privSectionInputAutoScale = value;
        end
        
        function set.privSectionOutputAutoScale(obj,value)
            % DataType = 'bool'
            validateattributes(value,{'numeric','logical'}, {'scalar','nonnan'},'','privSectionOutputAutoScale')
            value = logical(value); %  convert to logical
            obj.privSectionOutputAutoScale = value;
        end
        
        function set.privnstatefl(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privnstatefl')
            obj.privnstatefl = value;
        end
        
        function set.privdstatefl(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privdstatefl')
            obj.privdstatefl = value;
        end
        
        function set.privStateAutoScale(obj,value)
            % DataType = 'bool'
            validateattributes(value,{'numeric','logical'}, {'scalar','nonnan'},'','privStateAutoScale')
            value = logical(value); %  convert to logical
            obj.privStateAutoScale = value;
        end
        
        function set.privmultwl(obj,value)
            % User-defined DataType = 'posint user-defined'
            obj.privmultwl = value;
        end
        
        function set.privmultfl(obj,value)
            % DataType = 'int32'
            validateattributes(value,{'int32','double'}, {'scalar'},'','privmultfl')
            obj.privmultfl = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        p = blockparams(this,varargin)
        [NL,PrevIPorts,PrevOPorts,NextIPorts,NextOPorts,mainparams] = df1tsosbodyconnect(q,NL,H,mainparams)
        [y,zf,noverflows] = df1tsosfilter(q,num,den,sv,issvnoteq2one,x,zi,limitcycleflag)
        [NL,PrevIPorts,PrevOPorts,mainparams] = df1tsosfootconnect(q,NL,H,mainparams)
        [NL,NextIPorts,NextOPorts,mainparams] = df1tsosheadconnect(q,NL,H,mainparams)
        Head = df1tsosheader_order0(q,sosMatrix,scaleValues,H,info)
        disp(this,varargin)
        h = genmcode(this)
        dstatefl = get_dstatefl(q,dstatefl)
        multfl = get_multfl(q,multfl)
        multwl = get_multwl(q,multwl)
        nstatefl = get_nstatefl(q,nstatefl)
        stageinputautoscale = get_stageinputautoscale(q,stageinputautoscale)
        stageoutputautoscale = get_stageoutputautoscale(q,stageoutputautoscale)
        stateautoscale = get_stateautoscale(q,stateautoscale)
        [p,v] = info(this)
        s = internalsettings(q)
        p = propstoadd(this)
        [stWL,stFL] = set_denstateq(q,accWL,accFL)
        dstatefl = set_dstatefl(this,dstatefl)
        multfl = set_multfl(this,multfl)
        multwl = set_multwl(this,multwl)
        set_ncoeffs(q,ncoeffs)
        nstatefl = set_nstatefl(this,nstatefl)
        [stWL,stFL] = set_numstateq(q,accWL,accFL)
        set_outq(q,accWL,accFL)
        [stageinWL,stageinFL] = set_stageinq(q,scalevalueWL,scalevalueFL,stageoutWL,stageoutFL)
        [stageoutWL,stageoutFL] = set_stageoutq(q,numAccWL,numAccFL)
        thisloadobj(this,s)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        [ol,sectinl,sectoutl,nstl,dstl,multl,npl,dpl,naccl,daccl] = getlog(this,y,instage,outstage,nstates,dstates,multiplicand,multiplicand2_logs,num,den,numAcc,denAcc,sv,issvnoteq2one,x)
        inheritstates(q,S)
        S = nullstate1(q)
        S = quantizestates(q,S)
        stageinputautoscale = set_stageinputautoscale(q,stageinputautoscale)
        stageoutputautoscale = set_stageoutputautoscale(q,stageoutputautoscale)
        stateautoscale = set_stateautoscale(q,stateautoscale)
        specifyall(this,flag)
        this_setsysobjfixedpoint(this,Hs)
        thisautoscale(this,s,binptaligned)
        updateinternalsettings(q)
        S = validatestates(q,S)
        S = validatestatesobj(q,S)
    end  % possibly private or hidden
    
end  % classdef

