classdef(CaseInsensitiveProperties=true) fixeddf2sosfilterq < quantum.abstractfixedsos2filterq
    %quantum.fixeddf2sosfilterq class
    %   quantum.fixeddf2sosfilterq extends quantum.abstractfixedsos2filterq.
    %
    %    quantum.fixeddf2sosfilterq properties:
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputMode - Property is of type 'OutputModeType enumeration: {'AvoidOverflow','BestPrecision','SpecifyPrecision'}'
    %       OutputFracLength - Property is of type 'mxArray'
    %       ProductMode - Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
    %       ProductWordLength - Property is of type 'mxArray'
    %       AccumMode - Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
    %       AccumWordLength - Property is of type 'mxArray'
    %       CastBeforeSum - Property is of type 'bool'
    %       NumAccumFracLength - Property is of type 'mxArray'
    %       DenAccumFracLength - Property is of type 'mxArray'
    %       NumProdFracLength - Property is of type 'mxArray'
    %       DenProdFracLength - Property is of type 'mxArray'
    %       NumFracLength - Property is of type 'mxArray'
    %       DenFracLength - Property is of type 'mxArray'
    %       ScaleValueFracLength - Property is of type 'mxArray'
    %       StateWordLength - Property is of type 'mxArray'
    %       SectionInputWordLength - Property is of type 'mxArray'
    %       SectionOutputWordLength - Property is of type 'mxArray'
    %       StateFracLength - Property is of type 'mxArray'
    %       SectionInputAutoScale - Property is of type 'mxArray'
    %       SectionInputFracLength - Property is of type 'mxArray'
    %       SectionOutputAutoScale - Property is of type 'mxArray'
    %       SectionOutputFracLength - Property is of type 'mxArray'
    %
    %    quantum.fixeddf2sosfilterq methods:
    %       blockparams -   Return the block parameters.
    %       df2sosbodyconnect - specifies the connection and quantization parameters in the
    %       df2sosfilter - Filter for DFILT.DF2SOS class in fixed point
    %       df2sosfootconnect - specifies the connection and quantization parameters in the
    %       df2sosheadconnect - specifies connection and quantization parameters in the
    %       df2sosheader_order0 - specifies the blocks, connection and quantization parameters in the
    %       disp - Object display.
    %       genmcode -   Generate MATLAB code.
    %       get_stageinputautoscale -   PreGet function for the 'stageinputautoscale' property.
    %       get_stageoutputautoscale -   PreGet function for the 'stageoutputautoscale' property.
    %       get_stageoutwl -   PreGet function for the 'stageoutwl' property.
    %       info -   Return the info for the object.
    %       propstoadd -   Return the properties to add to the parent object.
    %       set_outq - Specify output word and fraction length for the mexfunction.
    %       set_stageinq - Specify Stage input word and fraction length for the mexfunction.
    %       set_stageoutq - Specify Stage output word and fraction length for the mexfunction.
    %       thisloadobj -   Load this object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (Access=protected, SetObservable)
        %PRIVSECTIONINPUTAUTOSCALE Property is of type 'bool'
        privSectionInputAutoScale = true;
        %PRIVSECTIONOUTPUTAUTOSCALE Property is of type 'bool'
        privSectionOutputAutoScale = true;
    end
    
    properties (SetObservable)
        %STATEFRACLENGTH Property is of type 'mxArray'
        StateFracLength = [];
        %SECTIONINPUTAUTOSCALE Property is of type 'mxArray'
        SectionInputAutoScale = [];
        %SECTIONINPUTFRACLENGTH Property is of type 'mxArray'
        SectionInputFracLength = [];
        %SECTIONOUTPUTAUTOSCALE Property is of type 'mxArray'
        SectionOutputAutoScale = [];
        %SECTIONOUTPUTFRACLENGTH Property is of type 'mxArray'
        SectionOutputFracLength = [];
    end
    
    properties (Transient, SetObservable, Hidden)
        %STAGEINPUTAUTOSCALE Property is of type 'mxArray'  (hidden)
        StageInputAutoScale = [];
        %STAGEINPUTFRACLENGTH Property is of type 'mxArray'  (hidden)
        StageInputFracLength = [];
        %STAGEOUTPUTAUTOSCALE Property is of type 'mxArray'  (hidden)
        StageOutputAutoScale = [];
        %STAGEOUTPUTFRACLENGTH Property is of type 'mxArray'  (hidden)
        StageOutputFracLength = [];
    end
    
    
    methods
        function value = get.StateFracLength(obj)
            value = get_statefl(obj,obj.StateFracLength);
        end
        function set.StateFracLength(obj,value)
            obj.StateFracLength = set_statefl(obj,value);
        end
        
        function value = get.SectionInputAutoScale(obj)
            value = get_stageinputautoscale(obj,obj.SectionInputAutoScale);
        end
        function set.SectionInputAutoScale(obj,value)
            obj.SectionInputAutoScale = set_stageinputautoscale(obj,value);
        end
        
        function value = get.SectionInputFracLength(obj)
            value = get_stageinfl(obj,obj.SectionInputFracLength);
        end
        function set.SectionInputFracLength(obj,value)
            obj.SectionInputFracLength = set_stageinfl(obj,value);
        end
        
        function value = get.SectionOutputAutoScale(obj)
            value = get_stageoutputautoscale(obj,obj.SectionOutputAutoScale);
        end
        function set.SectionOutputAutoScale(obj,value)
            obj.SectionOutputAutoScale = set_stageoutputautoscale(obj,value);
        end
        
        function value = get.SectionOutputFracLength(obj)
            value = get_stageoutfl(obj,obj.SectionOutputFracLength);
        end
        function set.SectionOutputFracLength(obj,value)
            obj.SectionOutputFracLength = set_stageoutfl(obj,value);
        end
        
        function value = get.StageInputAutoScale(obj)
            value = getobsoleteprop(obj,obj.StageInputAutoScale,'StageInputAutoScale','SectionInputAutoScale',false,true);
        end
        function set.StageInputAutoScale(obj,value)
            obj.StageInputAutoScale = setobsoleteprop(obj,value,'StageInputAutoScale','SectionInputAutoScale',false,true);
        end
        
        function value = get.StageInputFracLength(obj)
            value = getobsoleteprop(obj,obj.StageInputFracLength,'StageInputFracLength','SectionInputFracLength',false,true);
        end
        function set.StageInputFracLength(obj,value)
            obj.StageInputFracLength = setobsoleteprop(obj,value,'StageInputFracLength','SectionInputFracLength',false,true);
        end
        
        function value = get.StageOutputAutoScale(obj)
            value = getobsoleteprop(obj,obj.StageOutputAutoScale,'StageOutputAutoScale','SectionOutputAutoScale',false,true);
        end
        function set.StageOutputAutoScale(obj,value)
            obj.StageOutputAutoScale = setobsoleteprop(obj,value,'StageOutputAutoScale','SectionOutputAutoScale',false,true);
        end
        
        function value = get.StageOutputFracLength(obj)
            value = getobsoleteprop(obj,obj.StageOutputFracLength,'StageOutputFracLength','SectionOutputFracLength',false,true);
        end
        function set.StageOutputFracLength(obj,value)
            obj.StageOutputFracLength = setobsoleteprop(obj,value,'StageOutputFracLength','SectionOutputFracLength',false,true);
        end
        
        function set.privSectionInputAutoScale(obj,value)
            % DataType = 'bool'
            validateattributes(value,{'numeric','logical'}, {'scalar','nonnan'},'','privSectionInputAutoScale')
            value = logical(value); %  convert to logical
            obj.privSectionInputAutoScale = value;
        end
        
        function set.privSectionOutputAutoScale(obj,value)
            % DataType = 'bool'
            validateattributes(value,{'numeric','logical'}, {'scalar','nonnan'},'','privSectionOutputAutoScale')
            value = logical(value); %  convert to logical
            obj.privSectionOutputAutoScale = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        p = blockparams(this,varargin)
        [NL,PrevIPorts,PrevOPorts,NextIPorts,NextOPorts,mainparams] = df2sosbodyconnect(q,NL,H,mainparams)
        [y,zf,noverflows] = df2sosfilter(q,num,den,sv,issvnoteq2one,x,zi,limitcycleflag)
        [NL,PrevIPorts,PrevOPorts,mainparams] = df2sosfootconnect(q,NL,H,mainparams)
        [NL,NextIPorts,NextOPorts,mainparams] = df2sosheadconnect(q,NL,H,mainparams)
        Head = df2sosheader_order0(q,sosMatrix,scaleValues,H,info)
        disp(this,varargin)
        h = genmcode(this)
        stageinputautoscale = get_stageinputautoscale(q,stageinputautoscale)
        stageoutputautoscale = get_stageoutputautoscale(q,stageoutputautoscale)
        stageoutwl = get_stageoutwl(q,stageoutwl)
        [p,v] = info(this)
        p = propstoadd(this)
        set_outq(q,accWL,accFL)
        [stageinWL,stageinFL] = set_stageinq(q,scalevalueWL,scalevalueFL,stageoutWL,stageoutFL)
        [stageoutWL,stageoutFL] = set_stageoutq(q,numAccWL,numAccFL)
        thisloadobj(this,s)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        [ol,sectinl,sectoutl,stl,npl,dpl,naccl,daccl] = getlog(this,y,instage,outstage,states,numProd,denProd,numAcc,denAcc,num,den,sv,issvnoteq2one,x)
        S = nullstate1(q)
        stageinputautoscale = set_stageinputautoscale(this,stageinputautoscale)
        stageoutputautoscale = set_stageoutputautoscale(this,stageoutputautoscale)
        specifyall(this,flag)
        this_setsysobjfixedpoint(this,Hs)
        updateinternalsettings(q)
    end  % possibly private or hidden
    
end  % classdef

