classdef(CaseInsensitiveProperties=true) fixeddf2tsosfilterq < quantum.abstractfixedsos2filterq
    %quantum.fixeddf2tsosfilterq class
    %   quantum.fixeddf2tsosfilterq extends quantum.abstractfixedsos2filterq.
    %
    %    quantum.fixeddf2tsosfilterq properties:
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputMode - Property is of type 'OutputModeType enumeration: {'AvoidOverflow','BestPrecision','SpecifyPrecision'}'
    %       OutputFracLength - Property is of type 'mxArray'
    %       ProductMode - Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
    %       ProductWordLength - Property is of type 'mxArray'
    %       AccumMode - Property is of type 'ProductNAccumModeType enumeration: {'FullPrecision','KeepMSB','KeepLSB','SpecifyPrecision'}'
    %       AccumWordLength - Property is of type 'mxArray'
    %       CastBeforeSum - Property is of type 'bool'
    %       NumAccumFracLength - Property is of type 'mxArray'
    %       DenAccumFracLength - Property is of type 'mxArray'
    %       NumProdFracLength - Property is of type 'mxArray'
    %       DenProdFracLength - Property is of type 'mxArray'
    %       NumFracLength - Property is of type 'mxArray'
    %       DenFracLength - Property is of type 'mxArray'
    %       ScaleValueFracLength - Property is of type 'mxArray'
    %       StateWordLength - Property is of type 'mxArray'
    %       SectionInputWordLength - Property is of type 'mxArray'
    %       SectionOutputWordLength - Property is of type 'mxArray'
    %       StateAutoScale - Property is of type 'mxArray'
    %       StateFracLength - Property is of type 'mxArray'
    %       SectionInputFracLength - Property is of type 'mxArray'
    %       SectionOutputFracLength - Property is of type 'mxArray'
    %
    %    quantum.fixeddf2tsosfilterq methods:
    %       df2tsosbodyconnect - specifies the connection and quantization parameters in the
    %       df2tsosfilter - Filter for DFILT.DF2TSOS class in fixed-point
    %       df2tsosfootconnect - specifies the connection and quantization parameters in the
    %       df2tsosheadconnect - specifies the blocks, connection and quantization parameters in the
    %       df2tsosheader_order0 - specifies the blocks, connection and quantization parameters in the
    %       disp - Object display.
    %       genmcode -   Generate MATLAB code.
    %       get_stateautoscale -   PreGet function for the 'stateautoscale' property.
    %       info -   Return the info for the object.
    %       propstoadd -   Return the properties to add to the parent object.
    %       set_accq - Specify word and fraction length of the accum passed to the mexfunction.
    %       set_denaccq - Specify word and fraction length of the accum passed to the mexfunction.
    %       set_outq - Specify output word and fraction length for the mexfunction.
    %       set_stateautoscale -   PreSet function for the 'StateAutoScale' property.
    %       set_stateq -   Define state format
    %       thisloadobj -   Load this object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (Access=protected, SetObservable)
        %PRIVSTATEAUTOSCALE Property is of type 'bool'
        privStateAutoScale = true;
    end
    
    properties (SetObservable)
        %STATEAUTOSCALE Property is of type 'mxArray'
        StateAutoScale = [];
        %STATEFRACLENGTH Property is of type 'mxArray'
        StateFracLength = [];
        %SECTIONINPUTFRACLENGTH Property is of type 'mxArray'
        SectionInputFracLength = [];
        %SECTIONOUTPUTFRACLENGTH Property is of type 'mxArray'
        SectionOutputFracLength = [];
    end
    
    properties (Transient, SetObservable, Hidden)
        %STAGEINPUTFRACLENGTH Property is of type 'mxArray'  (hidden)
        StageInputFracLength = [];
        %STAGEOUTPUTFRACLENGTH Property is of type 'mxArray'  (hidden)
        StageOutputFracLength = [];
    end
    
    
    methods
        function value = get.StateAutoScale(obj)
            value = get_stateautoscale(obj,obj.StateAutoScale);
        end
        function set.StateAutoScale(obj,value)
            obj.StateAutoScale = set_stateautoscale(obj,value);
        end
        
        function value = get.StateFracLength(obj)
            value = get_statefl(obj,obj.StateFracLength);
        end
        function set.StateFracLength(obj,value)
            obj.StateFracLength = lcl_set_statefl(obj,value);
        end
        
        function value = get.SectionInputFracLength(obj)
            value = get_stageinfl(obj,obj.SectionInputFracLength);
        end
        function set.SectionInputFracLength(obj,value)
            obj.SectionInputFracLength = set_stageinfl(obj,value);
        end
        
        function value = get.SectionOutputFracLength(obj)
            value = get_stageoutfl(obj,obj.SectionOutputFracLength);
        end
        function set.SectionOutputFracLength(obj,value)
            obj.SectionOutputFracLength = set_stageoutfl(obj,value);
        end
        
        function value = get.StageInputFracLength(obj)
            value = getobsoleteprop(obj,obj.StageInputFracLength,'StageInputFracLength','SectionInputFracLength',false,true);
        end
        function set.StageInputFracLength(obj,value)
            obj.StageInputFracLength = setobsoleteprop(obj,value,'StageInputFracLength','SectionInputFracLength',false,true);
        end
        
        function value = get.StageOutputFracLength(obj)
            value = getobsoleteprop(obj,obj.StageOutputFracLength,'StageOutputFracLength','SectionOutputFracLength',false,true);
        end
        function set.StageOutputFracLength(obj,value)
            obj.StageOutputFracLength = setobsoleteprop(obj,value,'StageOutputFracLength','SectionOutputFracLength',false,true);
        end
        
        function set.privStateAutoScale(obj,value)
            % DataType = 'bool'
            validateattributes(value,{'numeric','logical'}, {'scalar','nonnan'},'','privStateAutoScale')
            value = logical(value); %  convert to logical
            obj.privStateAutoScale = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        [NL,PrevIPorts,PrevOPorts,NextIPorts,NextOPorts,mainparams] = df2tsosbodyconnect(q,NL,H,mainparams)
        [y,zf,noverflows] = df2tsosfilter(q,num,den,sv,issvnoteq2one,x,zi,limitcycleflag)
        [NL,PrevIPorts,PrevOPorts,mainparams] = df2tsosfootconnect(q,NL,H,mainparams)
        [NL,NextIPorts,NextOPorts,mainparams] = df2tsosheadconnect(q,NL,H,mainparams)
        Head = df2tsosheader_order0(q,sosMatrix,scaleValues,H,info)
        disp(this,varargin)
        h = genmcode(this)
        stateautoscale = get_stateautoscale(q,stateautoscale)
        [p,v] = info(this)
        p = propstoadd(this)
        [accWL,accFL] = set_accq(q,inWL,inFL,ncoeffs)
        [accWL,accFL] = set_denaccq(q,inWL,inFL,ncoeffs)
        set_outq(q,accWL,accFL)
        stateautoscale = set_stateautoscale(this,stateautoscale)
        [stWL,stFL] = set_stateq(q,accWL,accFL)
        thisloadobj(this,s)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        p = blockparams(this,varargin)
        [ol,sectinl,sectoutl,stl,npl,dpl,naccl,daccl] = getlog(this,y,instage,outstage,states,num,den,numAcc,denAcc,sv,issvnoteq2one,x)
        specifyall(this,flag)
        this_setsysobjfixedpoint(this,Hs)
        thisautoscale(this,s,binptaligned)
        updateinternalsettings(q)
    end  % possibly private or hidden
    
end  % classdef

function sfl = lcl_set_statefl(this, sfl)

if this.StateAutoScale
    siguddutils('readonlyerror', 'StateFracLength', 'StateAutoScale', false);
end

sfl = set_statefl(this, sfl);
end  % lcl_set_statefl


