function [p, v] = info(this)
%INFO   Return the information for the display.

%   Author(s): J. Schickler
%   Copyright 1999-2004 The MathWorks, Inc.

p = {getString(message('signal:dfilt:info:Numerator')), ...
     getString(message('signal:dfilt:info:Input')), ...
     getString(message('signal:dfilt:info:FilterInternals')), ...
     ['  ' getString(message('signal:dfilt:info:Output'))], ...
     ['  ' getString(message('signal:dfilt:info:TapSum'))], ...
     ['  ' getString(message('signal:dfilt:info:Product'))], ...
     ['  ' getString(message('signal:dfilt:info:Accumulator'))], ...
     ['  ' getString(message('signal:dfilt:info:RoundMode'))], ...
     ['  ' getString(message('signal:dfilt:info:OverflowMode'))]};

if this.Signed
    pre = 's';
else
    pre = 'u';
end

if strncmpi(this.FilterInternals, 'full', 4)
    rm = 'No rounding';
    om = 'No overflow';
    extrastr = '  (auto determined)';
else
    rm = this.RoundMode;
    om = this.OverflowMode;
    extrastr = '';
end

v = {formatinfo(this,pre,this.CoeffWordLength, this.NumFracLength), ...
    formatinfo(this,'s',this.InputWordLength, this.InputFracLength), ...
    interspace(this.FilterInternals), ...
    formatinfo(this,'s',this.OutputWordLength, this.OutputFracLength, extrastr), ...
    formatinfo(this,'s',this.TapSumWordLength, this.TapSumFracLength, extrastr), ...
    formatinfo(this,'s',this.ProductWordLength, this.ProductFracLength, extrastr), ...
    formatinfo(this,'s',this.AccumWordLength, this.AccumFracLength, extrastr), ...
    rm, om};

% [EOF]
