classdef(CaseInsensitiveProperties=true) fixedfarrowsrcfilterq < quantum.abstractfixedfarrowfdfilterq
    %FIXEDFARROWSRCFILTERQ Construct a FIXEDFARROWSRCFILTERQ object
    %   OUT = FIXEDFARROWSRCFILTERQ(ARGS) <long description>

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.fixedfarrowsrcfilterq class
    %   quantum.fixedfarrowsrcfilterq extends quantum.abstractfixedfarrowfdfilterq.
    %
    %    quantum.fixedfarrowsrcfilterq properties:
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputFracLength - Property is of type 'mxArray'
    %       FDWordLength - Property is of type 'mxArray'
    %       FDFracLength - Property is of type 'mxArray'
    %       FilterInternals - Property is of type 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
    %       ProductWordLength - Property is of type 'mxArray'
    %       ProductFracLength - Property is of type 'mxArray'
    %       AccumWordLength - Property is of type 'mxArray'
    %       AccumFracLength - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       CoeffFracLength - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       MultiplicandWordLength - Property is of type 'mxArray'
    %       MultiplicandFracLength - Property is of type 'mxArray'
    %       FDProdWordLength - Property is of type 'mxArray'
    %       FDProdFracLength - Property is of type 'mxArray'
    %       FDAutoScale - Property is of type 'mxArray'
    %
    %    quantum.fixedfarrowsrcfilterq methods:
    %       farrowsrcfilter - Filter implementation for fixed point MFILT.FARROWSRC
    %       firsrcheadconnect - FIRSRCHEDCONNECT
    %       get_fdcwl - PreGet function for the 'fdcwl' property
    %       getfdcomputefxpt - Compute the constants and word sizes for the generation
    
    methods  % constructor block
        function this = fixedfarrowsrcfilterq        
            % Force Sum and ProductMode to SpecifyPrecision
            this.fimath.ProductMode = 'SpecifyPrecision';
            this.fimath.SumMode = 'SpecifyPrecision';
            this.fdfimath.ProductMode = 'SpecifyPrecision';
            this.fdfimath.SumMode = 'SpecifyPrecision';
            
            % Make CastBeforeSum false by default
            this.fimath.CastBeforeSum = false;
            this.fdfimath.CastBeforeSum = false;
            
            updateinternalsettings(this);
        end  % fixedfarrowsrcfilterq
        
    end  % constructor block
    
    methods  % public methods
        [y,z,Tnext] = farrowsrcfilter(this,C,x,L,M,z,Tnext)
        [NL,NextIPorts,NextOPorts,mainparams] = firsrcheadconnect(q,NL,H,mainparams,interp_order,flag)
        fdcwl = get_fdcwl(this,fdcwl)
        S = getfdcomputefxpt(this,L,M)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        afd_specifyall(this,flag)
        Outp = farrowsrcoutputer(q,nphases,H,interp_order,decim_order,info)
        [NL,PrevIPorts,PrevOPorts,NextIPorts,NextOPorts,mainparams] = firsrcbodyconnect(q,NL,H,mainparams,interp_order)
        [NL,PrevIPorts,PrevOPorts,NextIPorts,NextOPorts,mainparams] = firsrcfootconnect(q,NL,H,mainparams,interp_order)
        fdfl = set_fdfl(this,fdfl,prop)
        fdwl = set_fdwl(this,fdwl)
    end  % possibly private or hidden
    
end  % classdef

