classdef(CaseInsensitiveProperties=true) fixedfdfarrowfilterq < quantum.abstractfixedfarrowfdfilterq
    %FIXEDFDFARROWFILTERQ   Construct a FIXEDFDFARROWFILTERQ object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.fixedfdfarrowfilterq class
    %   quantum.fixedfdfarrowfilterq extends quantum.abstractfixedfarrowfdfilterq.
    %
    %    quantum.fixedfdfarrowfilterq properties:
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputFracLength - Property is of type 'mxArray'
    %       FDWordLength - Property is of type 'mxArray'
    %       FDFracLength - Property is of type 'mxArray'
    %       FilterInternals - Property is of type 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
    %       ProductWordLength - Property is of type 'mxArray'
    %       ProductFracLength - Property is of type 'mxArray'
    %       AccumWordLength - Property is of type 'mxArray'
    %       AccumFracLength - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       CoeffFracLength - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       MultiplicandWordLength - Property is of type 'mxArray'
    %       MultiplicandFracLength - Property is of type 'mxArray'
    %       FDProdWordLength - Property is of type 'mxArray'
    %       FDProdFracLength - Property is of type 'mxArray'
    %       FDAutoScale - Property is of type 'mxArray'
    %
    %    quantum.fixedfdfarrowfilterq methods:
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = fixedfdfarrowfilterq
            % Force Sum and ProductMode to SpecifyPrecision
            this.fimath.ProductMode = 'SpecifyPrecision';
            this.fimath.SumMode = 'SpecifyPrecision';
            this.fdfimath.ProductMode = 'SpecifyPrecision';
            this.fdfimath.SumMode = 'SpecifyPrecision';
            
            % Make CastBeforeSum false by default
            this.fimath.CastBeforeSum = false;
            this.fdfimath.CastBeforeSum = false;
            
            updateinternalsettings(this);
        end  % fixedfdfarrowfilterq
        
    end  % constructor block
    
    methods (Hidden) % possibly private or hidden
        Outp = fdfarrowoutputer(q,nphases,H,info)
        [NL,PrevIPorts,PrevOPorts,NextIPorts,NextOPorts,mainparams] = firinterpbodyconnect(q,NL,H,mainparams,interp_order)
        [NL,PrevIPorts,PrevOPorts,NextIPorts,NextOPorts,mainparams] = firinterpfootconnect(q,NL,H,mainparams,interp_order)
        [NL,NextIPorts,NextOPorts,mainparams] = firinterpheadconnect(q,NL,H,mainparams,interp_order)
        Head = firinterpheader_order0(q,num,interp_order,H,info)
    end  % possibly private or hidden
    
end  % classdef

