classdef(CaseInsensitiveProperties=true) fixedfirdecimfilterq < quantum.abstractfixeddffirmultiratefilterq
    %FIXEDFIRDECIMFILTERQ   Construct a FIXEDFIRDECIMFILTERQ object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.fixedfirdecimfilterq class
    %   quantum.fixedfirdecimfilterq extends quantum.abstractfixeddffirmultiratefilterq.
    %
    %    quantum.fixedfirdecimfilterq properties:
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       NumFracLength - Property is of type 'mxArray'
    %       FilterInternals - Property is of type 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputFracLength - Property is of type 'mxArray'
    %       ProductWordLength - Property is of type 'mxArray'
    %       ProductFracLength - Property is of type 'mxArray'
    %       AccumWordLength - Property is of type 'mxArray'
    %       AccumFracLength - Property is of type 'mxArray'
    %
    %    quantum.fixedfirdecimfilterq methods:
    %       setmaxsum -   Set the maxsum.
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function q = fixedfirdecimfilterq
            % Force Sum and ProductMode to SpecifyPrecision
            q.fimath.ProductMode = 'SpecifyPrecision';
            q.fimath.SumMode = 'SpecifyPrecision';
            
            % Force CastBeforeSum false
            q.fimath.CastBeforeSum = false;
        end  % fixedfirdecimfilterq
    end  % constructor block
    
    methods  % public methods
        setmaxsum(this,Hd)
    end  % public methods
    
    methods (Hidden) % possibly private or hidden
        [NL,PrevIPorts,PrevOPorts,NextIPorts,NextOPorts,mainparams] = firdecimbodyconnect(q,NL,H,mainparams,decim_order)
        [y,zf,acc,phaseidx,tapidx] = firdecimfilter(q,M,p,x,z,acc,phaseidx,tapidx,nx,nchans,ny)
        [NL,PrevIPorts,PrevOPorts,NextIPorts,NextOPorts,mainparams] = firdecimfootconnect(q,NL,H,mainparams,decim_order)
        [NL,PrevIPorts,PrevOPorts,NextIPorts,NextOPorts,mainparams] = firdecimheadconnect(q,NL,H,mainparams,decim_order)
        Head = firdecimheader_order0(q,num,decim_order,H,info)
        [NL,NextIPorts,NextOPorts,mainparams] = firdeciminputconnect(q,NL,H,mainparams,decim_order)
        [NL,PrevIPorts,PrevOPorts,mainparams] = firdecimoutputconnect(q,NL,H,mainparams,decim_order)
        [prodlog,outlog,acclog] = getlog(this,b,y,acc,x,phaseidx)
        bits2add = nguardbits(q)
    end  % possibly private or hidden
    
end  % classdef

