function this = loadobj(s)
%LOADOBJ   

%   Author(s): J. Schickler
%   Copyright 1999-2005 The MathWorks, Inc.

if isobject(s)
    this = feval(class(s));
else
    this = feval(s.class);
end

% Constructor Initialisation
this.fimath.ProductMode = 'SpecifyPrecision';
this.fimath.SumMode = 'SpecifyPrecision';
this.fimath.CastBeforeSum = false;
this.PolyAccfimath.CastBeforeSum = false;

this.ncoeffs         = s.ncoeffs;
this.nphases         = s.nphases;
if isstruct(s) && ~isfield(s, 'version')
    if isfield(s, 'nphases')
        s.version.number = 1;
        s.version.description = 'R14sp1';
    else
        s.version.number = 0;
        s.version.description = 'R14';
    end
end
if s.version.number > 2
    this.maxprod = s.maxprod;
    this.maxsum  = s.maxsum;
end

this.CoeffWordLength = s.CoeffWordLength;
this.CoeffAutoScale  = false;
this.NumFracLength = s.NumFracLength;
this.CoeffAutoScale  = s.CoeffAutoScale;

this.Signed          = s.Signed;

this.InputWordLength = s.InputWordLength;
this.InputFracLength = s.InputFracLength;

% this.InheritSettings = s.InheritSettings;

updateinternalsettings(this);

this.FilterInternals = s.FilterInternals;

switch lower(this.FilterInternals)
    case 'specifyprecision'
        this.RoundMode = s.RoundMode;
        this.OverflowMode = s.OverflowMode;
        this.ProductWordLength = s.ProductWordLength;
        this.ProductFracLength = s.ProductFracLength;
        this.AccumWordLength = s.AccumWordLength;
        this.AccumFracLength = s.AccumFracLength;
        this.OutputWordLength = s.OutputWordLength;
        this.OutputFracLength = s.OutputFracLength;
end


% [EOF]
