function [p, v] = info(this)
%INFO   Return the info for this object.

%   Author(s): J. Schickler
%   Copyright 1999-2004 The MathWorks, Inc.

p = {getString(message('signal:dfilt:info:Lattice')), ...
     getString(message('signal:dfilt:info:Ladder')), ...
     getString(message('signal:dfilt:info:Input')), ...
     getString(message('signal:dfilt:info:Output')), ...
     getString(message('signal:dfilt:info:State')), ...
     getString(message('signal:dfilt:info:LatticeProd')), ...
     getString(message('signal:dfilt:info:LadderProd')), ...
     getString(message('signal:dfilt:info:LatticeAccum')), ...
     getString(message('signal:dfilt:info:LadderAccum')), ...
     getString(message('signal:dfilt:info:RoundMode')), ...
     getString(message('signal:dfilt:info:OverflowMode'))};

if this.Signed
    pre = 's';
else
    pre = 'u';
end

v = {formatinfo(this,pre,this.CoeffWordLength, this.LatticeFracLength), ...
    formatinfo(this,pre,this.CoeffWordLength, this.LadderFracLength), ...
    formatinfo(this,'s',this.InputWordLength, this.InputFracLength), ...
    formatinfo(this,'s',this.OutputWordLength, this.OutputFracLength), ...
    formatinfo(this,'s',this.StateWordLength, this.StateFracLength), ...
    formatinfo(this,'s',this.ProductWordLength, this.LatticeProdFracLength), ...
    formatinfo(this,'s',this.ProductWordLength, this.LadderProdFracLength), ...
    formatinfo(this,'s',this.AccumWordLength, this.LatticeAccumFracLength), ...
    formatinfo(this,'s',this.AccumWordLength, this.LadderAccumFracLength), ...
    this.RoundMode, this.OverflowMode};

if ~strcmpi(this.AccumMode, 'FullPrecision')
    p{end+1} = getString(message('signal:dfilt:info:CastBeforeSum'));
    v{end+1} = mat2str(this.CastBeforeSum);
end

% [EOF]
