classdef(CaseInsensitiveProperties=true) fixedlinearinterpfilterq < quantum.abstractfixeddffirmultiratefilterq
    %FIXEDLINEARINTERPFILTERQ   Construct a FIXEDLINEARINTERPFILTERQ object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.fixedlinearinterpfilterq class
    %   quantum.fixedlinearinterpfilterq extends quantum.abstractfixeddffirmultiratefilterq.
    %
    %    quantum.fixedlinearinterpfilterq properties:
    %       CoeffWordLength - Property is of type 'mxArray'
    %       CoeffAutoScale - Property is of type 'mxArray'
    %       Signed - Property is of type 'mxArray'
    %       RoundMode - Property is of type 'RoundType enumeration: {'convergent','ceil','fix','floor','round','nearest'}'
    %       OverflowMode - Property is of type 'OverflowType enumeration: {'wrap','saturate'}'
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       NumFracLength - Property is of type 'mxArray'
    %       FilterInternals - Property is of type 'FilterInternalsType enumeration: {'FullPrecision','SpecifyPrecision'}'
    %       OutputWordLength - Property is of type 'mxArray'
    %       OutputFracLength - Property is of type 'mxArray'
    %       ProductWordLength - Property is of type 'mxArray'
    %       ProductFracLength - Property is of type 'mxArray'
    %       AccumWordLength - Property is of type 'mxArray'
    %       AccumFracLength - Property is of type 'mxArray'
    %
    %    quantum.fixedlinearinterpfilterq methods:
    %       disp - Object display.
    %       firinterpfilter -   Filtering method for fir interpolator.
    %       setmaxsum -   Set the maxsum.
    
    %   Author(s): R. Losada
    
    
    
    methods  % constructor block
        function q = fixedlinearinterpfilterq
            % Force Sum and ProductMode to SpecifyPrecision
            q.fimath.ProductMode = 'SpecifyPrecision';
            q.fimath.SumMode = 'SpecifyPrecision';
            
            % Make CastBeforeSum false by default
            q.fimath.CastBeforeSum = false;
            
            
        end  % fixedlinearinterpfilterq
        
    end  % constructor block
    
    methods  % public methods
        disp(this,varargin)
        [y,z,tapidx] = firinterpfilter(q,L,p,x,z,tapidx,nx,nchans,ny)
        setmaxsum(this,Hd)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        [NL,PrevIPorts,PrevOPorts,NextIPorts,NextOPorts,mainparams] = firinterpbodyconnect(q,NL,H,mainparams,interp_order)
        [NL,PrevIPorts,PrevOPorts,NextIPorts,NextOPorts,mainparams] = firinterpfootconnect(q,NL,H,mainparams,interp_order)
        [NL,NextIPorts,NextOPorts,mainparams] = firinterpheadconnect(q,NL,H,mainparams,interp_order)
        Head = firinterpheader_order0(q,num,interp_order,H,info)
        [NL,PrevIPorts,PrevOPorts,mainparams] = firinterpoutputconnect(q,NL,H,mainparams,interp_order)
        [prodlog,outlog,acclog] = getlog(this,b,y,acc,x,inlog)
        bits2add = nguardbits(q)
    end  % possibly private or hidden
    
end  % classdef

