classdef(CaseInsensitiveProperties=true) latticearmareport < quantum.abstractreport
    %LATTICEARMAREPORT   Construct a LATTICEARMAREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.latticearmareport class
    %   quantum.latticearmareport extends quantum.abstractreport.
    %
    %    quantum.latticearmareport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       States - Property is of type 'quantum.abstractlog'  (read only)
    %       LatticeProd - Property is of type 'quantum.abstractlog'  (read only)
    %       LatticeAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       LadderProd - Property is of type 'quantum.abstractlog'  (read only)
    %       LadderAcc - Property is of type 'quantum.abstractlog'  (read only)
    %
    %    quantum.latticearmareport methods:
    %       disp -   Display this object.
    
    %   Author(s): V. Pellissier
    
    properties (SetAccess=protected, SetObservable)
        %STATES Property is of type 'quantum.abstractlog'  (read only)
        States = [];
        %LATTICEPROD Property is of type 'quantum.abstractlog'  (read only)
        LatticeProd = [];
        %LATTICEACC Property is of type 'quantum.abstractlog'  (read only)
        LatticeAcc = [];
        %LADDERPROD Property is of type 'quantum.abstractlog'  (read only)
        LadderProd = [];
        %LADDERACC Property is of type 'quantum.abstractlog'  (read only)
        LadderAcc = [];
    end
    
    
    methods  % constructor block
        function this = latticearmareport(datatype,in,out,states,latprod,latacc,ladprod,ladacc)
            narginchk(8,8);
            this.DataType = datatype;
            this.Input = in;
            this.Output = out;
            this.States = states;
            this.LatticeProd = latprod;
            this.LatticeAcc = latacc;
            this.LadderProd = ladprod;
            this.LadderAcc = ladacc;
        end  % latticearmareport
    end  % constructor block
    
    methods
        function set.States(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','States')
            obj.States = value;
        end
        
        function set.LatticeProd(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','LatticeProd')
            obj.LatticeProd = value;
        end
        
        function set.LatticeAcc(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','LatticeAcc')
            obj.LatticeAcc = value;
        end
        
        function set.LadderProd(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','LadderProd')
            obj.LadderProd = value;
        end
        
        function set.LadderAcc(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','LadderAcc')
            obj.LadderAcc = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        disp(this)
    end  % public methods
    
end  % classdef

