classdef(CaseInsensitiveProperties=true) latticereport < quantum.dffirtreport
    %LATTICEREPORT   Construct a LATTICEREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.latticereport class
    %   quantum.latticereport extends quantum.dffirtreport.
    %
    %    quantum.latticereport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       Product - Property is of type 'quantum.abstractlog'  (read only)
    %       Accumulator - Property is of type 'quantum.abstractlog'  (read only)
    %       States - Property is of type 'quantum.abstractlog'  (read only)
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = latticereport(datatype,in,out,state,prod,acc)
            % Call super class constructor
            this@quantum.dffirtreport(datatype,in,out,state,prod,acc);
            this.DataType = datatype;
            this.Input = in;
            this.Output = out;
            this.States = state;
            this.Product = prod;
            this.Accumulator = acc;
        end  % latticereport
    end  % constructor block
end  % classdef

