classdef(CaseInsensitiveProperties=true) limitcycle < matlab.mixin.SetGet
    %LIMITCYCLE   Construct a LIMITCYCLE object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.limitcycle class
    %    quantum.limitcycle properties:
    %       LimitCycle - Property is of type 'mxArray'  (read only)
    %       Zi - Property is of type 'mxArray'  (read only)
    %       Output - Property is of type 'mxArray'  (read only)
    %       Trial - Property is of type 'mxArray'  (read only)
    %
    %    quantum.limitcycle methods:
    %       disp -   Display this object.
    
    %   Author(s): V. Pellissier
    
    properties (Access=protected)
        %PERIOD Property is of type 'mxArray'
        Period = [];
    end
    
    properties (SetAccess=protected)
        %LIMITCYCLE Property is of type 'mxArray'  (read only)
        LimitCycle = [];
        %ZI Property is of type 'mxArray'  (read only)
        Zi = [];
        %OUTPUT Property is of type 'mxArray'  (read only)
        Output = [];
        %TRIAL Property is of type 'mxArray'  (read only)
        Trial = [];
    end
   
    methods  % constructor block
        function this = limitcycle(limitcycle,zi,y,period,trial)
            this.LimitCycle = limitcycle;
            this.Zi = zi;
            this.Output = y;
            this.Period = period;
            this.Trial = trial;
        end  % limitcycle
    end  % constructor block
    
    methods  % public methods
        disp(this)
    end  % public methods
    
end  % classdef

