classdef(CaseInsensitiveProperties=true) linearfdreport < quantum.abstractsymfirreport
    %LINEARFDREPORT   Construct a LINEARFDREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.linearfdreport class
    %   quantum.linearfdreport extends quantum.abstractsymfirreport.
    %
    %    quantum.linearfdreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       Product - Property is of type 'quantum.abstractlog'  (read only)
    %       Accumulator - Property is of type 'quantum.abstractlog'  (read only)
    %       TapSum - Property is of type 'quantum.abstractlog'  (read only)
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = linearfdreport(datatype,in,out,prod,acc,tapsum)
            parse_inputs(this,datatype,in,out,prod,acc);
            this.TapSum = tapsum;
        end  % linearfdreport
    end  % constructor block
end  % classdef

