function thisrender(this, varargin)
%THISRENDER   Render the designer.

%   Copyright 1999-2019 The MathWorks, Inc.

pos  = parserenderinputs(this, varargin{:});
sz   = gui_sizes(this);
hFig = get(this, 'FigureHandle');

if isempty(pos)
    pos = [10 10 732 248]*sz.pixf;
end

totalw = 200*sz.pixf;

poppos = [pos(1) pos(2)+pos(4)-sz.uh-sz.vfus*3 totalw sz.uh];

rendercontrols(this, poppos, 'type');

h = get(this, 'Handles');

w = 116*sz.pixf; %largestuiwidth({'Interpolation Factor', 'Decimation Factor'});

lblpos = [poppos(1)+sz.hfus poppos(2)-sz.uh-sz.uuvs*2 w sz.uh];

x = lblpos(1)+lblpos(3)+sz.uuhs/2;

editpos = [x lblpos(2)+sz.lblTweak totalw-lblpos(3)-sz.hfus*2.5 sz.uh+4*sz.pixf];

h.interpolationfactor_lbl = uicontrol(hFig, ...
    'Position', lblpos, ...
    'HorizontalAlignment', 'Left', ...
    'Visible', 'Off', ...
    'Style', 'Text', ...
    'String', [getString(message('signal:sigtools:siggui:InterpolationFactor')) ':']);

h.interpolationfactor_edit = uicontrol(hFig, ...
    'HorizontalAlignment', 'left', ...
    'String', this.getinterpolationfactor(), ...
    'Visible', 'Off', ...
    'Position', editpos, ...
    'Callback', @(hcbo, ev)interpStateChanged(this, hcbo), ...
    'Style', 'edit');

lblpos(2)  = lblpos(2)  - sz.uh-sz.uuvs-4*sz.pixf;
editpos(2) = editpos(2) - sz.uh-sz.uuvs-4*sz.pixf;

h.decimationfactor_lbl = uicontrol(hFig, ...
    'Position', lblpos, ...
    'HorizontalAlignment', 'Left', ...
    'Visible', 'Off', ...
    'Style', 'Text', ...
    'String', [getString(message('signal:sigtools:siggui:DecimationFactor')) ':']);

h.decimationfactor_edit = uicontrol(hFig, ...
    'HorizontalAlignment', 'left', ...
    'String', this.getdecimationfactor(), ...
    'Visible', 'Off', ...
    'Enable', 'Off', ...
    'Position', editpos, ...
    'Callback', @(hcbo, ev)decimStateChanged(this, hcbo), ...
    'Style', 'edit');


divpos = [poppos(1)+poppos(3)+sz.hfus pos(2)+40*sz.pixf 1 pos(4)-50*sz.pixf];

h.divider = uicontrol(hFig, ...
    'Style', 'frame', ...
    'Visible', 'Off', ...
    'Position', divpos);

ht = sz.uh*5+sz.vfus*6;
imppos = [divpos(1)+sz.hfus pos(2)+pos(4)-ht-sz.vfus*2 220*sz.pixf ht];
hs = getcomponent(this, 'tag', 'implementation');
render(hs, hFig, [], imppos);

divpos(1) = imppos(1)+imppos(3)+sz.hfus;

h.divider(2) = uicontrol(hFig, ...
    'Style', 'frame', ...
    'Visible', 'Off', ...
    'Position', divpos);

set(this, 'Handles', h);
% update decimation factor and interpolation factor visibility
updateDecimInterpVisbility(this);
hfs = getcomponent(this, 'tag', 'fs');

fspos = [pos(1)+sz.hfus pos(2)+sz.bh+sz.uuvs totalw sz.uh*4+sz.vfus*4];
render(hfs, hFig, fspos);

ht = sz.uh*2+sz.vfus*3;
x  = divpos(1)+divpos(3)+sz.hfus;
cicpos = [x pos(2)+pos(4)-ht-sz.vfus*2 pos(1)+pos(3)-x ht];
rendercontrols(this, cicpos, {'differentialdelay', 'numberofsections'});

pos(3) = pos(3)-10;
renderactionbtn(this, pos, 'Create Multirate Filter', @design);

l = [ ...
        this.WhenRenderedListeners(:); ...
        handle.listener(this, this.findprop('Type'), 'PropertyPostSet', ...
        @selection_listener); ...
        handle.listener(hs, 'NewSelection', @selection_listener); ...
        handle.listener([this hfs], 'UserModifiedSpecs', @ums_listener); ...
    ];

set(l, 'CallbackTarget', this);
set(this, 'WhenRenderedListeners', l);

setupenablelink(this, 'isdesigned', false, 'design');

selection_listener(this);

% -------------------------------------------------------------------------
function ums_listener(this, ~)

set(this, 'isDesigned', false);

% -------------------------------------------------------------------------
function selection_listener(this, ~)

visible_listener(this);
set(this, 'isDesigned', false);

% -------------------------------------------------------------------------
function interpStateChanged(this, hcbo)

if ~isa(this, 'siggui.siggui')
    return
end
this.setinterpolationfactor(str2double(get(hcbo,'String')));

% -------------------------------------------------------------------------
function decimStateChanged(this, hcbo)

if ~isa(this, 'siggui.siggui')
    return
end
this.setdecimationfactor(str2double(get(hcbo,'String')));

