function updateDecimInterpVisbility(this)
%updateDecimInterpVisbility   Update the decimation factor and
%interpolation factor visibilities based on the type

%   Copyright 1999-2019 The MathWorks, Inc.

h = get(this, 'Handles');
switch lower(this.Type)
    case 'interpolator'
        set(h.decimationfactor_edit,'Enable','off');
        set(h.interpolationfactor_edit,'Enable','on');
        
    case 'decimator'
        set(h.decimationfactor_edit,'Enable','on');
        set(h.interpolationfactor_edit,'Enable','off');
        
    case 'fractional-rate converter'
        set(h.decimationfactor_edit,'Enable','on');
        set(h.interpolationfactor_edit,'Enable','on');
end

% [EOF]
