function Ab = notchpeakargchk(Wo,BW,opts,funcName)
% NOTCHPEAKARGCHK Validates the inputs for the IIRNOTCH and IIRPEAK
% functions.

%   Author(s): P. Pacheco
%   Copyright 1999-2021 The MathWorks, Inc.
%#codegen

% Define default values.
AbDefault = abs(10*log10(.5)); % 3-dB width

% Check Wo and BW for notch/peak filters.
validateattributes(Wo,{'single','double'},{'real','scalar','>',0,'<',1},funcName,'Wo',1);
validateattributes(BW,{'single','double'},{'real','scalar','>',0,'<',1},funcName,'BW',2);

% Parse and validate optional input args.
if ~isempty(opts)    
    validateattributes(opts{1},{'single','double'},{'scalar'},funcName,'Ab',3);
    Ab = abs(opts{1});
else
    Ab = AbDefault;
end

% [EOF]
